<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2015 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * To activate the extra configuration:
 *
 * Rename autotweet-extra-config.sample.php to autotweet-extra-config.php
 *
 */

/**
 * Advanced Extra configuration class
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class AutotweetExtraConfig
{
	// List of excluded channel types from groups
	public $excluded_channelstypes_groups = array(

		// Example 1: SuperAdministrators cannot access these channels
		8 => array(
			// Mail
			3
		),

		// Example 2: Administrators cannot access these channels
		7 => array(
			// Mail
			3,

			// EasySocial
			19
		)
	);

	/**
	 * getUserExcludedChanneltypes
	 *
	 * @return	array
	 */
	public function getUserExcludedChanneltypes()
	{
		$result = array();

		if ( (isset($this->excluded_channelstypes_groups))
			&& (is_array($this->excluded_channelstypes_groups)) )
		{
			$user_groups = JFactory::getUser()->getAuthorisedGroups();

			foreach ($user_groups as $gid)
			{
				if (array_key_exists($gid, $this->excluded_channelstypes_groups))
				{
					$result = array_merge(
							$result,
							$this->excluded_channelstypes_groups[$gid]
					);
				}
			}
		}

		return $result;
	}
}
