<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2015 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$document = JFactory::getDocument();

$siteUrl = JUri::root();

$document->addStyleSheet($siteUrl . '/media/com_autotweet/fullcalendar/fullcalendar.min.css');
$document->addStyleSheet($siteUrl . '/media/com_autotweet/fullcalendar/fullcalendar.print.min.css', 'text/css', 'print');

JHtml::_('jquery.framework');

$document->addScript($siteUrl . '/media/com_autotweet/fullcalendar/lib/moment.min.js');
$document->addScript($siteUrl . '/media/com_autotweet/fullcalendar/fullcalendar.min.js');

$now = JFactory::getDate();
$formatted_date = $now->format('Y-m-d');

$config = JFactory::getConfig();

$jlang = JFactory::getLanguage();
$current_lang = $jlang->getTag();
list($lang, $var) = explode('-', $current_lang);

if (($lang == 'en') || ($lang == 'es'))
{
	$document->addScript($siteUrl . '/media/com_autotweet/fullcalendar/lang/' . $lang . '.js');
}
else
{
	$document->addScript($siteUrl . '/media/com_autotweet/fullcalendar/lang/en.js');
}

$offset = EParameter::getTimezone();
$tmz = $offset->getName();

$document->addScriptDeclaration(
"
		jQuery(document).ready(function() {

			jQuery('#xt-calendar').fullCalendar({
				header: {
					left: 'prev,next today',
					center: 'title',
					right: 'month,agendaWeek,agendaDay'
				},
				defaultDate: '{$formatted_date}',
				lang: '{$lang}',
				timezone: '{$tmz}',
				timeFormat: 'HH:mm',
				startParam: 'xtstart',
				endParam: 'xtend',

				events: {
					url: 'index.php?option=com_autotweet&view=requests&layout=calendar&format=json',
					error: function() {
						jQuery('#script-warning').show();
					}
				},
				loading: function(bool) {
					if (bool) {
						jQuery('.loaderspinner72').addClass('loading72');
					} else {
						jQuery('.loaderspinner72').removeClass('loading72');
					}
				}
			});

		});
"
);

?>
<div class="container-fluid container-main">
	<div class="extly extly-calendar">
		<div class="extly-body">
			<div class="row-fluid xt-cal-header">
				<div class="span8">
					<h1><?php echo $config->get('sitename'); ?></h1>
					<hr/>
				</div>
				<div class="span4">
					<h3 class="xt-cal-brand text-right">
						<i class="xticon xticon-calendar"></i>
						<?php
							echo JText::_('COM_AUTOTWEET');
						?> -
						<?php
							echo JText::_('COM_AUTOTWEET_VIEW_CALENDAR_TITLE');
						?>
					</h3>
					<p class="xt-cal-brand">
						<?php
							echo AutoTweetDefaultView::showWorldClockLink();
						?>
					</p>
					<hr/>
				</div>
			</div>

			<div class="row-fluid">
				<div class="span12">

					<div id='script-warning' style="display:none;">
						<div class="alert alert-error">
							<p><?php echo JText::_('COM_AUTOTWEET_UNABLE_LOAD_ERROR'); ?></p>
						</div>
					</div>

					<span class="loaderspinner72"><?php echo JText::_('COM_AUTOTWEET_LOADING'); ?></span>

					<div id="xt-calendar"></div>
				</div>
			</div>
		</div>
	</div>
</div>
