<?php
/**
 * @version     2.1.0
 * @package     com_cloudbackup
 * @copyright   Copyright (C) 2012 - 2013. Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Izhar Aazmi <info@bhartiy.com> - http://bhartiy.com
 *
 * CloudBackup is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * CloudBackup is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with CloudBackup; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * or see http://www.gnu.org/licenses/.
**/

// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHTML::_('script','system/multiselect.js',false,true);
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_cloudbackup/assets/css/cloudbackup.css');

$user	= JFactory::getUser();
$userId	= $user->get('id');
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
$canOrder	= $user->authorise('core.edit.state', 'com_cloudbackup');
$saveOrder	= $listOrder == 'f.ordering';
$lang = JFactory::getLanguage();
$extension = 'com_cloudbackup';
$base_dir = JPATH_SITE;
$language_tag = 'fa-IR';
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);
?>
<style>
label {
	display:unset;
	
}
</style>
<form action="<?php echo JRoute::_('index.php?option=com_cloudbackup&view=backups'); ?>" method="post" name="adminForm" id="adminForm">
	<fieldset id="filter-bar" style="height:100%;">
	
		<div class="filter-search fltlft" style="display: inline-block;width: 100%;">
			<label class="filter-search-lbl" for="filter_search"><?php echo JText::_('JSEARCH_FILTER_LABEL'); ?></label>
			<input type="text" name="filter_search" id="filter_search" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" title="<?php echo JText::_('Search'); ?>" />
			<button type="submit"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
			<button type="button" onclick="document.id('filter_search').value='';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
			
			<label class="filter-search-lbl" for="filter_date1"><?php echo JText::_('COM_CLOUDBACKUP_FILTER_DATE_FROM'); ?>&nbsp;</label>
			<?php echo JHtml::_('calendar', $this->escape($this->state->get('filter.date1')), 'filter_date1', 'filter_date1', '%Y-%m-%d') ?>
			<label class="filter-search-lbl" for="filter_date2"><?php echo JText::_('COM_CLOUDBACKUP_FILTER_DATE_TO'); ?>&nbsp;&nbsp;</label>
			<?php echo JHtml::_('calendar', $this->escape($this->state->get('filter.date2')), 'filter_date2', 'filter_date2', '%Y-%m-%d') ?>
			<button type="submit"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
			<button type="button" onclick="document.id('filter_date1').value='';document.id('filter_date2').value='';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
		</div>
		
		<div class="filter-search fltrt" style="display: inline-block;">
			<label class="filter-search-lbl" for="filter_type"><?php echo JText::_('COM_CLOUDBACKUP_FILTER_TYPE'); ?>&nbsp;</label>
			<select name="filter_type" id="filter_type" class="inputbox" onchange="this.form.submit();">
				<?php $types = array(
								array('value' => '', 'text' => JText::_('COM_CLOUDBACKUP_FILTER_TYPE_ALL')),
								array('value' => 'db', 'text' => JText::_('COM_CLOUDBACKUP_FILTER_TYPE_DB')),
								array('value' => 'files', 'text' => JText::_('COM_CLOUDBACKUP_FILTER_TYPE_FILES')),
							) ?>
				<?php echo JHtml::_('select.options', $types, 'value', 'text', $this->state->get('filter.type'));?>
			</select>
		</div>
		
	</fieldset>
	<div class="clr"> </div>

	<table class="adminlist">
		<thead>
			<tr>
                <?php if (isset($this->items[0]->id)) { ?>
                <th width="1%" class="nowrap">
				<?php echo JHtml::_('grid.sort', 'JGRID_HEADING_ID', 'f.id', $listDirn, $listOrder); ?>
                </th>
				<th class="left">
				<?php echo JHtml::_('grid.sort', 'COM_CLOUDBACKUP_BACKUPS_FILENAME', 'f.filename', $listDirn, $listOrder); ?>
				</th>
 				<th width="100px" class="center">
				<?php echo JHtml::_('grid.sort', 'COM_CLOUDBACKUP_BACKUPS_FILESIZE', 'f.filesize', $listDirn, $listOrder); ?>
				</th>
 				<th width="120px" class="center">
				<?php echo JHtml::_('grid.sort', 'COM_CLOUDBACKUP_BACKUPS_MIME', 'f.mime', $listDirn, $listOrder); ?>
				</th>
 				<th width="160px" class="center">
				<?php echo JHtml::_('grid.sort', 'COM_CLOUDBACKUP_BACKUPS_DATEADDED', 'f.dateadded', $listDirn, $listOrder); ?>
				</th>
               <?php } ?>
				<th class="left">
				<?php echo JText::_('COM_CLOUDBACKUP_BACKUPS_LOCATION'); ?>
				</th>
                <?php if (isset($this->items[0]->state)) { ?>
				<th width="5%">
					<?php echo JHtml::_('grid.sort', 'JPUBLISHED', 'f.state', $listDirn, $listOrder); ?>
				</th>
                <?php } ?>
                <?php if (isset($this->items[0]->ordering)) { ?>
				<th width="10%">
					<?php echo JHtml::_('grid.sort',  'JGRID_HEADING_ORDERING', 'f.ordering', $listDirn, $listOrder); ?>
					<?php if ($canOrder && $saveOrder) :?>
						<?php echo JHtml::_('grid.order',  $this->items, 'filesave.png', 'backups.saveorder'); ?>
					<?php endif; ?>
				</th>
                <?php } ?>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php foreach ($this->items as $i => $item) :
			$ordering	= ($listOrder == 'f.ordering');
			$canCreate	= $user->authorise('core.create',		'com_cloudbackup');
			$canEdit	= $user->authorise('core.edit',			'com_cloudbackup');
			$canCheckin	= $user->authorise('core.manage',		'com_cloudbackup');
			$canChange	= $user->authorise('core.edit.state',	'com_cloudbackup');
			?>
			<tr class="row<?php echo $i % 2; ?>">
				<td class="center">
					<?php echo (int) $item->id; ?>
				</td>
				<td>
					<?php echo basename($item->filename); ?>
				</td>
				<td class="right">
					<?php echo $this->readableFilesize($item->filesize); ?>
				</td>
				<td class="center">
					<?php echo $item->mime; ?>
				</td>
				<td>
					<?php echo JHTML::_('date', $item->dateadded, 'M d, Y H:i A'); ?>
				</td>
				<td>
					<?php
						if(empty($item->backups)) 
						{
							echo JText::_('COM_CLOUDBACKUP_BACKUPS_LOCATION_NONE');
						}
						else 
						{
							foreach($item->backups as $backup) 
							{
								$btitle   = JText::sprintf('COM_CLOUDBACKUP_BACKUPS_LOCATION_CLICK_DOWNLOAD_'.strtoupper($backup->cloud), $backup->userid);
								$imageurl = JUri::base().'/components/com_cloudbackup/assets/images/'.strtolower($backup->cloud).'-16.png';
								// Currently putting Gdrive call into URL directly, should be generalised after multicloud implementation
								?>
								<a href="<?php echo JRoute::_('index.php?option=com_cloudbackup&task=backups.getgooglefile&fileid='.$backup->cloudid, false); ?>">
									<img class="hasTip" title="<?php echo $btitle ?>" src="<?php echo $imageurl ?>" />
								</a>
								<?php
							}
						}
					?>
					<?php $img = JText::_('COM_CLOUDBACKUP_BACKUPS_LOCATION_DROPBOX'); ?>&nbsp;&nbsp;
					<img class="hasTip" title="<?php echo JText::sprintf('COM_CLOUDBACKUP_BACKUPS_LOCATION_COMING_NEXT', $img, $img) ?>" src="<?php echo JUri::base().'/components/com_cloudbackup/assets/images/dropbox-16.png' ?>" width="16px" />
				</td>
                <?php if (isset($this->items[0]->state)) { ?>
				    <td class="center">
					    <?php echo JHtml::_('jgrid.published', $item->state, $i, 'backups.', $canChange, 'cb'); ?>
				    </td>
                <?php } ?>
                <?php if (isset($this->items[0]->ordering)) { ?>
				    <td class="order">
					    <?php if ($canChange) : ?>
						    <?php if ($saveOrder) :?>
							    <?php if ($listDirn == 'asc') : ?>
								    <span><?php echo $this->pagination->orderUpIcon($i, true, 'backups.orderup', 'JLIB_HTML_MOVE_UP', $ordering); ?></span>
								    <span><?php echo $this->pagination->orderDownIcon($i, $this->pagination->total, true, 'backups.orderdown', 'JLIB_HTML_MOVE_DOWN', $ordering); ?></span>
							    <?php elseif ($listDirn == 'desc') : ?>
								    <span><?php echo $this->pagination->orderUpIcon($i, true, 'backups.orderdown', 'JLIB_HTML_MOVE_UP', $ordering); ?></span>
								    <span><?php echo $this->pagination->orderDownIcon($i, $this->pagination->total, true, 'backups.orderup', 'JLIB_HTML_MOVE_DOWN', $ordering); ?></span>
							    <?php endif; ?>
						    <?php endif; ?>
						    <?php $disabled = $saveOrder ?  '' : 'disabled="disabled"'; ?>
						    <input type="text" name="order[]" size="5" value="<?php echo $item->ordering;?>" <?php echo $disabled ?> class="text-area-order" />
					    <?php else : ?>
						    <?php echo $item->ordering; ?>
					    <?php endif; ?>
				    </td>
                <?php } ?>
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>

	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>

<br />
<div class="joomina" style="background-color:#F90; clear:both; color:#000; text-align:center"> گروه طراحان وب <a href="http://joomina.ir" style="color:#900" target="_blank">جومینا</a><br />
اولین پشتیبان جوملا 2.5 در ایران<br />
هاستینگ مخصوص جوملا در <a style="color:#900" href="http://joominahost.com" target="_blank">joominahost.com</a></div>