<?php
/**
 * @version     2.1.0
 * @package     com_cloudbackup
 * @copyright   Copyright (C) 2012 - 2013. Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Izhar Aazmi <info@bhartiy.com> - http://bhartiy.com
 *
 * CloudBackup is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * CloudBackup is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with CloudBackup; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * or see http://www.gnu.org/licenses/.
**/

// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHTML::_('script','system/multiselect.js',false,true);
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_cloudbackup/assets/css/cloudbackup.css');

$user	= JFactory::getUser();
$userId	= $user->get('id');
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
$canOrder	= $user->authorise('core.edit.state', 'com_cloudbackup');
$saveOrder	= $listOrder == 'a.ordering';
?>

<form action="<?php echo JRoute::_('index.php?option=com_cloudbackup&view=profiles'); ?>" method="post" name="adminForm" id="adminForm">
	<fieldset id="filter-bar" style="height: 100%;">
		<div class="filter-search fltlft" style="display: inline-block;">
			<label class="filter-search-lbl" for="filter_search"><?php echo JText::_('JSEARCH_FILTER_LABEL'); ?></label>
			<input type="text" name="filter_search" id="filter_search" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" title="<?php echo JText::_('Search'); ?>" />
			<button type="submit"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
			<button type="button" onclick="document.id('filter_search').value='';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
		</div>
		
        
		<div class='filter-select fltrt' style="display: inline-block;">
			<?php //Filter for the field interval
			$selected_interval = $this->state->get('filter.interval');
			jimport('joomla.form.form');
			JForm::addFormPath(JPATH_COMPONENT . '/models/forms');
			$form = JForm::getInstance('com_cloudbackup.profile', 'profile');
			echo $form->getInput('filter_interval', null, $selected_interval);
			?>
		</div>

		<div class='filter-select fltrt' style="display: inline-block;">
			<?php //Filter for the field backuptype
			$selected_backuptype = $this->state->get('filter.backuptype');
			jimport('joomla.form.form');
			JForm::addFormPath(JPATH_COMPONENT . '/models/forms');
			$form = JForm::getInstance('com_cloudbackup.profile', 'profile');
			echo $form->getInput('filter_backuptype', null, $selected_backuptype);
			?>
		</div>

		<div class='filter-select fltrt' style="display: inline-block;">
			<?php //Filter for the field attemptresult
			$selected_attemptresult = $this->state->get('filter.attemptresult');
			jimport('joomla.form.form');
			JForm::addFormPath(JPATH_COMPONENT . '/models/forms');
			$form = JForm::getInstance('com_cloudbackup.profile', 'profile');
			echo $form->getInput('filter_attemptresult', null, $selected_attemptresult);
			?>
		</div>

		<div class='filter-select fltrt' style="display: inline-block;">
			<select name="filter_published" class="inputbox" onchange="this.form.submit()">
				<option value=""><?php echo JText::_('JOPTION_SELECT_PUBLISHED');?></option>
				<?php echo JHtml::_('select.options', JHtml::_('jgrid.publishedOptions'), "value", "text", $this->state->get('filter.state'), true);?>
			</select>
		</div>


	</fieldset>
	<div class="clr"> </div>

	<table class="adminlist">
		<thead>
			<tr>
				<th colspan="2" class="left" style="padding-left: 8px;">
					<input type="checkbox" name="checkall-toggle" value="" onclick="checkAll(this)" />
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_CLOUDBACKUP_PROFILES_BACKUPTYPE', 'a.backuptype', $listDirn, $listOrder); ?>
				</th>
				<th class='left' width="100px">
				<?php echo JHtml::_('grid.sort',  'COM_CLOUDBACKUP_PROFILES_INTERVAL', 'a.interval', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_CLOUDBACKUP_PROFILES_BACKUPFOLDER', 'a.backupfolder', $listDirn, $listOrder); ?>
				</th>
				<th class='left' width="150px">
				<?php echo JHtml::_('grid.sort',  'COM_CLOUDBACKUP_PROFILES_LASTATTEMPT', 'a.lastattempt', $listDirn, $listOrder); ?>
				</th>
				<th class='center' width="100px">
				<?php echo JHtml::_('grid.sort',  'COM_CLOUDBACKUP_PROFILES_ATTEMPTRESULT', 'a.attemptresult', $listDirn, $listOrder); ?>
				</th>
                <?php if (isset($this->items[0]->state)) { ?>
				<th width="90">
					<?php echo JHtml::_('grid.sort',  'JPUBLISHED', 'a.state', $listDirn, $listOrder); ?>
				</th>
                <?php } ?>
                <?php if (isset($this->items[0]->ordering)) { ?>
				<th width="10%">
					<?php echo JHtml::_('grid.sort',  'JGRID_HEADING_ORDERING', 'a.ordering', $listDirn, $listOrder); ?>
					<?php if ($canOrder && $saveOrder) :?>
						<?php echo JHtml::_('grid.order',  $this->items, 'filesave.png', 'profiles.saveorder'); ?>
					<?php endif; ?>
				</th>
                <?php } ?>
                <?php if (isset($this->items[0]->id)) { ?>
                <th width="1%" class="nowrap">
                    <?php echo JHtml::_('grid.sort',  'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
                </th>
                <?php } ?>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php foreach ($this->items as $i => $item) :
			$ordering	= ($listOrder == 'a.ordering');
			$canCreate	= $user->authorise('core.create',		'com_cloudbackup');
			$canEdit	= $user->authorise('core.edit',			'com_cloudbackup');
			$canCheckin	= $user->authorise('core.manage',		'com_cloudbackup');
			$canChange	= $user->authorise('core.edit.state',	'com_cloudbackup');
			?>
			<tr class="row<?php echo $i % 2; ?>">
				<td class="left" width="1">
					<?php echo JHtml::_('grid.id', $i, $item->id); ?>
				</td>
				<td class="center" width="60px">
					<?php if (isset($item->checked_out) && $item->checked_out) : ?>
						<?php echo JHtml::_('jgrid.checkedout', $i, $item->editor, $item->checked_out_time, 'profiles.', $canCheckin); ?>
					<?php endif; ?>
					<?php if ($canEdit) : ?>
						<a href="<?php echo JRoute::_('index.php?option=com_cloudbackup&task=profile.edit&id='.(int) $item->id); ?>">
						<?php echo JHtml::_('image', '/administrator/components/com_cloudbackup/assets/images/edit.png', JText::_('COM_CLOUDBACKUP_PROFILES_EDIT'), array('width' => '16px')); ?>
						</a>
					<?php else : ?>
						<?php echo JHtml::_('image', '/administrator/components/com_cloudbackup/assets/images/noedit.png', JText::_('COM_CLOUDBACKUP_PROFILES_NOEDIT'), array('width' => '16px')); ?>
					<?php endif; ?>
				</td>
				<td>
					<?php echo JText::_('COM_CLOUDBACKUP_PROFILES_BACKUPTYPE_'. $item->backuptype); ?>
				</td>
				<td>
					<?php echo JText::_('COM_CLOUDBACKUP_PROFILES_INTERVAL_'. (int)$item->interval); ?>
				</td>
				<td>
					<?php echo $this->escape($item->backupfolder); ?></a>
				</td>
				<td>
					<?php echo ($item->lastattempt == '0000-00-00 00:00:00') ? JText::_('COM_CLOUDBACKUP_PROFILES_LASTATTEMPT_NEVER') : JHtml::_('date', $item->lastattempt, 'M d, Y h:i A'); ?>
				</td>
				<td class="center">
					<?php 
						$attemptresult  = ($item->attemptresult == '') ? 'unknown' : $item->attemptresult;
						$imgtitle 		= JText::_('COM_CLOUDBACKUP_PROFILES_ATTEMPTRESULT_'.$attemptresult);
						echo JHtml::_('image', '/administrator/components/com_cloudbackup/assets/images/'.$attemptresult.'.png', $imgtitle, array('width' => '16px')); 
					?>
				</td>

                <?php if (isset($this->items[0]->state)) { ?>
				    <td class="center">
					    <?php echo JHtml::_('jgrid.published', $item->state, $i, 'profiles.', $canChange, 'cb'); ?>
				    </td>
                <?php } ?>

				<?php if (isset($this->items[0]->ordering)) { ?>
				    <td class="order">
					    <?php if ($canChange) : ?>
						    <?php if ($saveOrder) :?>
							    <?php if ($listDirn == 'asc') : ?>
								    <span><?php echo $this->pagination->orderUpIcon($i, true, 'profiles.orderup', 'JLIB_HTML_MOVE_UP', $ordering); ?></span>
								    <span><?php echo $this->pagination->orderDownIcon($i, $this->pagination->total, true, 'profiles.orderdown', 'JLIB_HTML_MOVE_DOWN', $ordering); ?></span>
							    <?php elseif ($listDirn == 'desc') : ?>
								    <span><?php echo $this->pagination->orderUpIcon($i, true, 'profiles.orderdown', 'JLIB_HTML_MOVE_UP', $ordering); ?></span>
								    <span><?php echo $this->pagination->orderDownIcon($i, $this->pagination->total, true, 'profiles.orderup', 'JLIB_HTML_MOVE_DOWN', $ordering); ?></span>
							    <?php endif; ?>
						    <?php endif; ?>
						    <?php $disabled = $saveOrder ?  '' : 'disabled="disabled"'; ?>
						    <input type="text" name="order[]" size="5" value="<?php echo $item->ordering;?>" <?php echo $disabled ?> class="text-area-order" />
					    <?php else : ?>
						    <?php echo $item->ordering; ?>
					    <?php endif; ?>
				    </td>
                <?php } ?>
                <?php if (isset($this->items[0]->id)) { ?>
				<td class="center">
					<?php echo (int) $item->id; ?>
				</td>
                <?php } ?>
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>

	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
	
</form>

<br />
<div class="joomina" style="background-color:#F90; clear:both; color:#000; text-align:center"> گروه طراحان وب <a href="http://joomina.ir" style="color:#900" target="_blank">جومینا</a><br />
اولین پشتیبان جوملا 2.5 در ایران<br />
هاستینگ مخصوص جوملا در <a style="color:#900" href="http://joominahost.com" target="_blank">joominahost.com</a></div>