/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2015 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* globals angular,_ */

angular
        .module('starter.agenda-controller', ['starter.agenda-service'])
        .controller(
                'AgendaController',
                function($scope, $rootScope, Agenda) {
                  "$scope:nomunge, $rootScope:nomunge, Agenda:nomunge";
                  'use strict';

                  var agendaCtrl = $scope.agendaCtrl, agendas = agendaCtrl.agendas = Agenda
                          .get();

                  Agenda.clear();

                  agendaCtrl.add = function() {
                    var scheduling_date = agendaCtrl.scheduling_date_value;
                    var scheduling_time = agendaCtrl.scheduling_time_value;

                    if ((!scheduling_date) || (!scheduling_time)) {
                      return;
                     }

                    scheduling_date = scheduling_date.trim();
                    if (!scheduling_date.length) {
                      return;
                    }

                    agendas.push({
                      agendaDate: scheduling_date,
                      agendaTime: scheduling_time
                    });

                    Agenda.put(agendas);

                    agendaCtrl.scheduling_date_value = '';
                  };

                  agendaCtrl.remove = function(agenda) {
                    agendas.splice(agendas.indexOf(agenda), 1);
                    Agenda.put(agendas);
                  };

                  $rootScope.$on('newRequest', function() {
                    Agenda.clear();
                    agendas = agendaCtrl.agendas = Agenda.get();
                  });

                  $rootScope.$on('loadDate', function(event, schedulingDate) {
                    agendaCtrl.scheduling_date_value = schedulingDate;
                  });

                  $rootScope.$on('loadTime', function(event, schedulingTime) {
                    agendaCtrl.scheduling_time_value = schedulingTime;
                  });

                  $rootScope.$on('loadAgenda', function(event, param) {
                    var output = [];

                    _.each(param, function(item) {
                      var scheduling_date, scheduling_time, parts = item
                              .split(' ');

                      scheduling_date = parts[0];
                      scheduling_time = parts[1];

                      // 14:45:00
                      parts = scheduling_time.split(':');

                      if (parts.length == 3) {
                        parts.splice(2, 1);
                        scheduling_time = parts.join(':');
                      }

                      output.push({
                        agendaDate: scheduling_date,
                        agendaTime: scheduling_time
                      });
                    });

                    Agenda.put(output);
                    agendas = agendaCtrl.agendas = Agenda.get();
                    agendaCtrl.scheduling_date_value = '';
                  });
                });
