/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 *
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2015 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

angular.module('starter.jquery-extras', [])
	.run(function() {
		angular.element(document).ready(function() {
			'use strict';

			var form = document.getElementById('adminForm'),
				$form = jQuery(form);

			// Social Attributes Tabs and fields group - Action on click
			$form.find('.post-attrs-group a').click(function(e) {
				var btn = jQuery(e.target), v;

				if (btn.hasClass('xticon')) {
				 	btn = btn.parent('a');
				 }

				 v = btn.attr('data-value');

				 $form.find('.xt-subform').hide();
				 $form.find('.xt-subform-' + v).show();
			});
			
			// Hide Social Attributes Tabs
			$form.find('.xt-subform').css('display', 'none');
		});
	});
