<?php
/**
 * @version     1.0.0
 * @package     com_itemrating
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Joomunited <contact@joomunited.com> - www.joomunited.com
 */

defined('_JEXEC') or die;

jimport('joomla.form.form');
require_once JPATH_SITE . '/components/com_itemrating/helpers/itemrating.php';
JTable::addIncludePath(JPATH_ADMINISTRATOR .'/components/com_itemrating/tables');

class plgHikashopItemRating extends JPlugin
{
	function plgHikashopItemRating(&$subject, $config){
		parent::__construct($subject, $config);
		
		if(!isset($this->params)){
			$plugin = JPluginHelper::getPlugin('hikashop', 'history');
			jimport('joomla.html.parameter');
			if(version_compare(JVERSION,'2.5','<')){
				$this->params = new JParameter($plugin->params);
			} else {
				$this->params = new JRegistry($plugin->params);
			}
		}
	}

	 function onProductFormDisplay(&$element,&$html) {
		ItemratingHelper::loadLanguage();
		 $form = JForm::getInstance('form', JPATH_ADMINISTRATOR . '/components/com_itemrating/models/forms/itemrating.xml');
		 if(!empty($element->product_id))
		 {
		$db = JFactory::getDBO();
		$sql = "select * from #__itemrating_context where context=" . $db->Quote('com_hikashop') . "AND context_id=" . $db->Quote($element->product_id);
		$db->setQuery($sql);
		$ratingitem = $db->loadObject();
		
		if(!empty($ratingitem))
		{
	
			$form->setValue('groupdata','attribs', $ratingitem->group_id);
			$form->setValue('textforscore','attribs', $ratingitem->textscore);
			$form->setValue('reviewsummary','attribs', $ratingitem->summary);
		}
		 }
		$chtml=""; 
	
	$chtml.='<table width="100%" class="admintable table">
				<tbody>';
				$chtml.='<tr>
			<td class="key"><label>' . $form->getLabel('groupdata','attribs') . '</label></td>
									<td >
			' .  $form->getInput('groupdata','attribs') . '</td>
								</tr>
								<tr>
			<td class="key"><label>' . $form->getLabel('textforscore','attribs') . '</label></td>
									<td >
				' . $form->getInput('textforscore','attribs') . '</td>
								</tr>
								<tr>
                            <td class="key"><label>' . $form->getLabel('reviewsummary','attribs') . '
				</label></td>
			<td >' . $form->getInput('reviewsummary','attribs') . '</td>
								</tr>';
			
				$chtml.='</table>';
				
	$html[]=$chtml;
	return true;
	}
	function onAfterProductCreate(&$element)
	{
		$this->saveItemrating($element);
		return;
	}
	function onAfterProductUpdate(&$element)
	{
		$this->saveItemrating($element);
		return;
	}
	function saveItemrating($element)
	{
		$data=JRequest::get('POST');
		$ratingdata=array();
		$db = JFactory::getDBO();
		$sql = "select id from #__itemrating_context where context=" . $db->Quote('com_hikashop') . "AND context_id=" . $db->Quote($element->product_id);
		$db->setQuery($sql);
		$ratingitem = $db->loadObject();
		if(empty($data))
		{
			return;
		}
		if(empty($ratingitem)&&empty($data['attribs']['groupdata']))
		{
			
			return;
		}
		if(!empty($ratingitem))
		{
		 $ratingdata['id'] = $ratingitem->id;	
		}
		
		$ratingdata['context']='com_hikashop';
		$ratingdata['context_id']=$element->product_id;
		$ratingdata['group_id']=$data['attribs']['groupdata'];
		if(!empty($data['attribs']['textforscore']))
		$ratingdata['textscore']=$data['attribs']['textforscore'];
		if(!empty($data['attribs']['reviewsummary']))
		$ratingdata['summary']=$data['attribs']['reviewsummary'];
		$type = 'itemcontext';
		$prefix = 'ItemratingTable';
		$config = array();
		$table = JTable::getInstance($type, $prefix, $config);
		$table->bind($ratingdata);
		if (!$table->check()) {
		    JFactory::getApplication()->enqueueMessage($table->getError(), 'error');
		}
		if (!$table->store()) {
	            JFactory::getApplication()->enqueueMessage($table->getError(), 'error');
		}
	}
	function onHikashopBeforeDisplayView(&$view)
	{
		if ((isset($view->ctrl))&&($view->ctrl=="product"))
		{
			if(empty($view->element->product_id))
			{
				return;
			}
			$html="";
			$db = JFactory::getDBO();
			$sql = "select * from #__itemrating_context where context=" . $db->Quote('com_hikashop') . "AND context_id=" . $db->Quote($view->element->product_id);
		$db->setQuery($sql);
		$ratingitem = $db->loadObject();
	     if(empty($ratingitem->id))
	     {
	      return;
	     }
	
	     $item=new stdClass();
	     $item->id=$view->element->product_id;
	     $item->introtext=$view->element->product_description;
	     $item->title=$view->element->product_name;
	     
	     $item->created=JFactory::getDate($view->element->product_created)->Format('d-m-Y');
	     $item->modified=JFactory::getDate($view->element->product_modified)->Format('d-m-Y');
	     $item->author=$view->element->product_vendor_id;
	     $currencyClass = hikashop_get('class.currency');
	     $item->productprice=$currencyClass->format($view->element->prices[0]->price_value_with_tax,$view->element->prices[0]->price_currency_id);
	     $item->productcategory=$view->categories[0]->category_name;
	     $item->quantity=$view->element->product_quantity;
	     $item->brand=$view->element;
	     $item->attribs=json_encode(array("groupdata"=>$ratingitem->group_id,'textforscore'=>$ratingitem->textscore,'reviewsummary'=>$ratingitem->summary));
	     
	     $html = ItemratingHelper::loadWidget($item,"top");
	      $view->element->product_description=$html.$view->element->product_description;
		}
	}
	 function onHikashopAfterDisplayView(&$view)
	{
		if ((isset($view->ctrl))&&($view->ctrl=="product"))
		{
				if(empty($view->element->product_id))
			{
				return;
			}
			$html="";
			$db = JFactory::getDBO();
			$sql = "select * from #__itemrating_context where context=" . $db->Quote('com_hikashop') . "AND context_id=" . $db->Quote($view->element->product_id);
		$db->setQuery($sql);
		$ratingitem = $db->loadObject();
	     if(empty($ratingitem->id))
	     {
	      return;
	     }
	     
	     $item=new stdClass();
	     $item->id=$view->element->product_id;
	     $item->introtext=$view->element->product_description;
	     $item->title=$view->element->product_name;
	     $item->created=JFactory::getDate($view->element->product_created)->Format('d-m-Y');
	     $item->modified=JFactory::getDate($view->element->product_modified)->Format('d-m-Y');
	     $item->author=$view->element->product_vendor_id;
	     $currencyClass = hikashop_get('class.currency');
	     $item->productprice=$currencyClass->format($view->element->prices[0]->price_value_with_tax,$view->element->prices[0]->price_currency_id);
	     $item->productcategory=$view->categories[0]->category_name;
	     $item->quantity=$view->element->product_quantity;
	     $item->brand=$view->element;
	     $item->attribs=json_encode(array("groupdata"=>$ratingitem->group_id,'textforscore'=>$ratingitem->textscore,'reviewsummary'=>$ratingitem->summary));
	     $html = ItemratingHelper::loadWidget($item,"bottom");
		echo $html;
		}
	}
	function onBeforeProductDelete(&$ids,&$do)
	{
		$db = JFactory::getDBO();
		$type = 'itemcontext';
		$prefix = 'ItemratingTable';
		$config = array();
		$table = JTable::getInstance($type, $prefix, $config);
		$type2 = 'itemdata';
		$prefix2 = 'ItemratingTable';
		$config2 = array();
		$table2 = JTable::getInstance($type2, $prefix2, $config2);
		
		foreach($ids as $id)
		{
		$sql = "select id from #__itemrating_context where context=" . $db->Quote('com_hikashop') . "AND context_id=" . $db->Quote($id);
		$db->setQuery($sql);
		$ratingitem = $db->loadObject();
		if(!empty($ratingitem))
		{
		$table->load($ratingitem->id);
		$table->delete($ratingitem->id);
		}
		$sql = "select id from #__itemrating_itemdata where context=" . $db->Quote('com_hikashop') . "AND context_id=" . $db->Quote($id);
		$db->setQuery($sql);
		$ratingdata = $db->loadObjectList();
		if(!empty($ratingdata))
		{
		foreach($ratingdata  as $data)
		{
		$table2->load($data->id);
		$table2->delete($data->id);
		}
		}
		}
	}
}
