<?php

/**
 * @version             1.1.3 EXTENDED
 * @package             ampz
 * @copyright           Copyright (C) 2014 roosterz.nl. All rights reserved.
 * @license             GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class plgSystemAmpzInstallerScript
{
    /**
     * Method to run after the plugin install, update, or discover_update actions have completed.
     *
     * @return void
     */
    function postflight( $type, $parent )
    {

        // We only need to perform this if the extension is being installed, not updated
        if ( $type == 'install' )
        {
            // Get the plugin information
            $db = JFactory::getDbo();
            $query = $db->getQuery(true)
                ->select('*')
                ->from($db->quoteName('#__extensions'))
                ->where($db->quoteName('type') . ' = ' . $db->quote('plugin'))
                ->where($db->quoteName('enabled') . ' = 0')
                ->where($db->quoteName('folder') . ' = ' . $db->quote('system'))
                ->where($db->quoteName('element') . ' = ' . $db->quote('ampz'));
            $db->setQuery($query);
            $plugin = $db->loadObject();

            // Enable the plugin
            $query->clear()
                ->update($db->quoteName('#__extensions'))
                ->set($db->quoteName('enabled') . ' = 1')
                ->where($db->quoteName('type') . ' = ' . $db->quote('plugin'))
                ->where($db->quoteName('folder') . ' = ' . $db->quote('system'))
                ->where($db->quoteName('element') . ' = ' . $db->quote('ampz'));
            $db->setQuery($query);
            $db->execute();

            // Redirect a user to the plugin configuration page
            $url = 'index.php?option=com_plugins&task=plugin.edit&extension_id=' . $plugin->extension_id;
            JFactory::getApplication()->redirect($url);
        }
    }
}
