<?php
/**
 * @copyright	Copyright (c) 2015 codingco.net All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// no direct access
defined('_JEXEC') or die;

jimport('joomla.plugin.plugin');

/**
 * system - persiannumber Plugin
 *
 * @package		Joomla.Plugin
 * @subpakage	codingco.persiannumber
 */
class plgsystempersiannumber extends JPlugin {

	/**
	 * Constructor.
	 *
	 * @param 	$subject
	 * @param	array $config
	 */
	function __construct(&$subject, $config = array()) {
		// call parent constructor
		parent::__construct($subject, $config);
	}
	function onAfterDispatch()
	{
		$mainframe 	= JFactory::getApplication();
		$document = JFactory::getDocument();
		
		$tags=$this->params->get('tags');
		$active_admion=$this->params->get('active-in-admin');
		
		if($mainframe->isAdmin() && !$active_admion)return;
		
		$noaction='';
		if(strlen(trim($tags)))
		{
			
			$noactions=array();
			$tagslist=explode(',',$tags);
			foreach($tagslist as $tag)
			{
				$noactions[]="el.nodeName =='".strtoupper($tag)."'";
			}
			$noaction="if(".implode(' || ',$noactions).")return;";
		}
		if($this->params->get('language','persian')=='persian')
			$lang="arabic = { 0: '۰', 1: '١', 2: '٢', 3: '٣', 4: '۴', 5: '۵', 6: '۶', 7: '٧', 8: '٨', 9: '٩' };";
		else $lang="arabic = { 0: '۰', 1: '١', 2: '٢', 3: '٣', 4: '٤', 5: '٥', 6: '٦', 7: '٧', 8: '٨', 9: '٩' };";
		
		$script="
		jQuery(window).on('load',  function() {
				ConvertNumberToArabic();
		function ConvertNumberToArabic() {
		{$lang}
			function traverse(el) {
				
				{$noaction}
				
				if (el.nodeType == 3) {
					var list = el.data.match(/[0-9]/g);
					if (list != null && list.length != 0) {
						for (var i = 0; i < list.length; i++)
							el.data = el.data.replace(list[i], arabic[list[i]]);
					}
				}
				for (var i = 0; i < el.childNodes.length; i++) {
					
						
					traverse(el.childNodes[i]);
				
					
				}
			}
			
			traverse(document.body);
		}
		});
		";
		$document->addScriptDeclaration($script);
	}
}