<?php

/**
 * @copyright	Copyright (C) 2010 Michael Richey. All rights reserved.
 * @license		GNU General Public License version 3; see LICENSE.txt
 */
defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');

class JFormFieldJavascript extends JFormField {

    protected $type = 'Javascript';

    protected function getInput() {
        JHtml::_('behavior.framework', true);
        $joomlaconfig = JFactory::getConfig();
        $userconfig = JComponentHelper::getParams('com_users');
        $config = array('defaultgroup'=>$userconfig->get('guest_usergroup'));
        $config['defaulttimeout']=$joomlaconfig->get('lifetime');
        $config['strings']=array();
        foreach(array('ADDBUTTON','DELETEBUTTON','DEFAULTTIMEOUTERROR') as $string) {
            $config['strings'][$string]=JText::_('PLG_SYS_SESSIONKEEPER_'.$string);
        }
        $doc=JFactory::getDocument();
        $doc->addScriptDeclaration('window.sessionkeeper_config = '.json_encode($config).";\n");
        $doc->addScript(JURI::root(true).'/media/plg_system_sessionkeeper/array-sortby.js');
        $doc->addScript(JURI::root(true).'/media/plg_system_sessionkeeper/admin.js');
        return;
    }
}
