<?php

/**
 * @package plugin SessionKeeper
 * @copyright (C) 2010-2012 RicheyWeb - www.richeyweb.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * SessionKeeper Copyright (c) 2011 Michael Richey.
 * SessionKeeper is licensed under the http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 *
 * SessionKeeper version 1.2 for Joomla 1.6.x devloped by RicheyWeb
 *
 */
// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

/**
 * SessionKeeper system plugin
 */
class plgSystemSessionKeeper extends JPlugin {
    private $_user;
    private $_config;
    function __construct(& $subject, $config) {
        $this->_user = JFactory::getUser();
        $this->_config = JFactory::getConfig();
        parent::__construct($subject, $config);
    }    
    function onBeforeCompileHead() {
        if($this->_user->guest) return;
        if(JFactory::getDocument()->getType() != 'html') return;
        if(count(array_intersect($this->_user->groups,$this->params->get('usergroups',array())))) {
            JHtml::_('behavior.keepalive');
            return;
        }   
        $this->_setWarning($this->_config->get('lifetime'));
        return;
    }
    function _getRedirect() {
        $app = JFactory::getApplication();
        $menu = $app->getMenu();
        $redirect = $app->isAdmin()?'':$this->params->get('redirectitemid','');
        error_log($redirect);
        if(is_numeric($redirect)) {
            return JRoute::_('index.php?Itemid='.$redirect);
        }
        return '';
    }
    function _setWarning($timeout){
        if(!$this->params->get('showwarning',1)) return;
        $doc = JFactory::getDocument();
        // determine if keepalive behavior is already enabled
        if(preg_match('/function keepAlive/',$doc->_script['text/javascript'])) return;
        JHtml::_('behavior.framework',true);
        $lang = JFactory::getLanguage();
        $lang->load('plg_system_sessionkeeper',JPATH_ADMINISTRATOR);
        $config = array('timeout'=>(int)$timeout);
        $config['messagetype']=$this->params->get('messagetype','js');
        $config['redirect'] = $this->_getRedirect();
        if($config['messagetype'] == 'modal') {
            $config['dimension']['x']=(int)$this->params->get('modalwidth',400);
            $config['dimension']['y']=(int)$this->params->get('modalheight',300);
            $config['strings']['title']=JText::_('PLG_SYS_SESSIONKEEPER_MODALTITLE');
            $config['strings']['expiredtitle']=JText::_('PLG_SYS_SESSIONKEEPER_MODALEXPIREDTITLE');
            $config['strings']['rescue']=JText::_('PLG_SYS_SESSIONKEEPER_RESCUE');
            $config['strings']['abandon']=JText::_('PLG_SYS_SESSIONKEEPER_ABANDON');
            $config['strings']['message']=JText::_('PLG_SYS_SESSIONKEEPER_WARNINGMESSAGE'); 
            $doc->addScript(JURI::root(true).'/media/plg_system_sessionkeeper/countdown.js');
            JHtml::_('behavior.modal');
            if($this->params->get('styletoggle',1)) {
                $doc->addStyleDeclaration($this->params->get('modalstyle',''));
            }
        } else {
            $config['strings']['message']=JText::_('PLG_SYS_SESSIONKEEPER_JSWARNINGMESSAGE');            
        }
        $doc->addScript(JURI::root(true).'/media/plg_system_sessionkeeper/sessionkeeperwarning.js');
        $config['warning']=(int)$this->params->get('advancewarning',2);
        $config['strings']['expired']=JText::_('PLG_SYS_SESSIONKEEPER_EXPIREDMESSAGE');
        $config['keepalivelight']=(class_exists('plgSystemKeepaliveLight',false))?true:false;
        $config['path']=JURI::root(true).'/index.php';
        $doc->addScriptDeclaration('window.sessionkeeper_config = '.json_encode($config).';');
    }
}
