<?php

/**
 * @version    CVS: 1.0.0
 * @package    Com_Joominatelegram
 * @author     AmirRezaTherani <admin@joomina.ir>
 * @copyright  Joomina.ir 2016
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

/**
 * Joominatelegram helper.
 *
 * @since  1.6
 */
class JoominatelegramHelpersJoominatelegram
{
	/**
	 * Configure the Linkbar.
	 *
	 * @param   string  $vName  string
	 *
	 * @return void
	 */
	public static function addSubmenu($vName = '')
	{
		JHtmlSidebar::addEntry(
			JText::_('COM_JOOMINATELEGRAM_TITLE_PAGESS'),
			'index.php?option=com_joominatelegram&view=pagess',
			$vName == 'pagess'
		);

	}

	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @return    JObject
	 *
	 * @since    1.6
	 */
	public static function getActions()
	{
		$user   = JFactory::getUser();
		$result = new JObject;

		$assetName = 'com_joominatelegram';

		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.own', 'core.edit.state', 'core.delete'
		);

		foreach ($actions as $action)
		{
			$result->set($action, $user->authorise($action, $assetName));
		}

		return $result;
	}
}


class JoominatelegramHelper extends JoominatelegramHelpersJoominatelegram
{

}
