TRUNCATE `#__j4schema_properties`;
TRUNCATE `#__j4schema_prop_values`;
TRUNCATE `#__j4schema_types`;
TRUNCATE `#__j4schema_type_prop`;

INSERT IGNORE INTO `#__j4schema_properties` (`id_properties`, `pr_comment`, `pr_comment_plain`, `pr_ranges`, `pr_url`) VALUES
('about', 'The subject matter of the content.', 'The subject matter of the content.', '', 'https://schema.org/about'),
('acceptsReservations', 'Either <code>Yes/No</code>, or a URL at which reservations can be made.', 'Either Yes/No, or a URL at which reservations can be made.', '', 'https://schema.org/acceptsReservations'),
('accountablePerson', 'Specifies the Person that is legally accountable for the CreativeWork.', 'Specifies the Person that is legally accountable for the CreativeWork.', '', 'https://schema.org/accountablePerson'),
('action', 'The movement the muscle generates.', 'The movement the muscle generates.', '', 'https://schema.org/action'),
('activeIngredient', 'An active ingredient, typically chemical compounds and/or biologic substances.', 'An active ingredient, typically chemical compounds and/or biologic substances.', '', 'https://schema.org/activeIngredient'),
('activityDuration', 'Length of time to engage in the activity.', 'Length of time to engage in the activity.', '', 'https://schema.org/activityDuration'),
('activityFrequency', 'How often one should engage in the activity.', 'How often one should engage in the activity.', '', 'https://schema.org/activityFrequency'),
('actor', 'A cast member of the movie, TV series, season, or episode, or video.', 'A cast member of the movie, TV series, season, or episode, or video.', '', 'https://schema.org/actor'),
('actors', 'A cast member of the movie, TV series, season, or episode, or video. (legacy spelling; see singular form, actor)', 'A cast member of the movie, TV series, season, or episode, or video. (legacy spelling; see singular form, actor)', '', 'https://schema.org/actors'),
('additionalName', 'An additional name for a Person, can be used for a middle name.', 'An additional name for a Person, can be used for a middle name.', '', 'https://schema.org/additionalName'),
('additionalType', 'An additional type for the item, typically used for adding more specific types from external vocabularies in microdata syntax. This is a relationship between something and a class that the thing is in. In RDFa syntax, it is better to use the native RDFa syntax - the ''typeof'' attribute - for multiple types. Schema.org tools may have only weaker understanding of extra types, in particular those defined externally.', 'An additional type for the item, typically used for adding more specific types from external vocabularies in microdata syntax. This is a relationship between something and a class that the thing is in. In RDFa syntax, it is better to use the native RDFa syntax - the ''typeof'' attribute - for multiple types. Schema.org tools may have only weaker understanding of extra types, in particular those defined externally.', '', 'https://schema.org/additionalType'),
('additionalVariable', 'Any additional component of the exercise prescription that may need to be articulated to the patient. This may include the order of exercises, the number of repetitions of movement, quantitative distance, progressions over time, etc.', 'Any additional component of the exercise prescription that may need to be articulated to the patient. This may include the order of exercises, the number of repetitions of movement, quantitative distance, progressions over time, etc.', '', 'https://schema.org/additionalVariable'),
('address', 'Physical address of the item.', 'Physical address of the item.', '', 'https://schema.org/address'),
('addressCountry', 'The country. For example, USA. You can also provide the two-letter <a href="http://en.wikipedia.org/wiki/ISO_3166-1">ISO 3166-1 alpha-2 country code</a>.', 'The country. For example, USA. You can also provide the two-letter ISO 3166-1 alpha-2 country code.', '', 'https://schema.org/addressCountry'),
('addressLocality', 'The locality. For example, Mountain View.', 'The locality. For example, Mountain View.', '', 'https://schema.org/addressLocality'),
('addressRegion', 'The region. For example, CA.', 'The region. For example, CA.', '', 'https://schema.org/addressRegion'),
('administrationRoute', 'A route by which this drug may be administered, e.g. ''oral''.', 'A route by which this drug may be administered, e.g. ''oral''.', '', 'https://schema.org/administrationRoute'),
('adverseOutcome', 'A possible complication and/or side effect of this therapy. If it is known that an adverse outcome is serious (resulting in death, disability, or permanent damage; requiring hospitalization; or is otherwise life-threatening or requires immediate medical attention), tag it as a seriouseAdverseOutcome instead.', 'A possible complication and/or side effect of this therapy. If it is known that an adverse outcome is serious (resulting in death, disability, or permanent damage; requiring hospitalization; or is otherwise life-threatening or requires immediate medical attention), tag it as a seriouseAdverseOutcome instead.', '', 'https://schema.org/adverseOutcome'),
('affectedBy', 'Drugs that affect the test''s results.', 'Drugs that affect the test''s results.', '', 'https://schema.org/affectedBy'),
('affiliation', 'An organization that this person is affiliated with. For example, a school/university, a club, or a team.', 'An organization that this person is affiliated with. For example, a school/university, a club, or a team.', '', 'https://schema.org/affiliation'),
('aggregateRating', 'The overall rating, based on a collection of reviews or ratings, of the item.', 'The overall rating, based on a collection of reviews or ratings, of the item.', '', 'https://schema.org/aggregateRating'),
('album', 'A music album.', 'A music album.', '', 'https://schema.org/album'),
('albums', 'A collection of music albums (legacy spelling; see singular form, album).', 'A collection of music albums (legacy spelling; see singular form, album).', '', 'https://schema.org/albums'),
('alcoholWarning', 'Any precaution, guidance, contraindication, etc. related to consumption of alcohol while taking this drug.', 'Any precaution, guidance, contraindication, etc. related to consumption of alcohol while taking this drug.', '', 'https://schema.org/alcoholWarning'),
('algorithm', 'The algorithm or rules to follow to compute the score.', 'The algorithm or rules to follow to compute the score.', '', 'https://schema.org/algorithm'),
('alternateName', 'Any alternate name for this medical entity.', 'Any alternate name for this medical entity.', '', 'https://schema.org/alternateName'),
('alternativeHeadline', 'A secondary title of the CreativeWork.', 'A secondary title of the CreativeWork.', '', 'https://schema.org/alternativeHeadline'),
('alumni', 'Alumni of educational organization.', 'Alumni of educational organization.', '', 'https://schema.org/alumni'),
('alumniOf', 'An educational organizations that the person is an alumni of.', 'An educational organizations that the person is an alumni of.', '', 'https://schema.org/alumniOf'),
('antagonist', 'The muscle whose action counteracts the specified muscle.', 'The muscle whose action counteracts the specified muscle.', '', 'https://schema.org/antagonist'),
('applicableLocation', 'The location in which the status applies.', 'The location in which the status applies.', '', 'https://schema.org/applicableLocation'),
('applicationCategory', 'Type of software application, e.g. "Game, Multimedia".', 'Type of software application, e.g. "Game, Multimedia".', '', 'https://schema.org/applicationCategory'),
('applicationSubCategory', 'Subcategory of the application, e.g. "Arcade Game".', 'Subcategory of the application, e.g. "Arcade Game".', '', 'https://schema.org/applicationSubCategory'),
('applicationSuite', 'The name of the application suite to which the application belongs (e.g. Excel belongs to Office)', 'The name of the application suite to which the application belongs (e.g. Excel belongs to Office)', '', 'https://schema.org/applicationSuite'),
('arterialBranch', 'The branches that comprise the arterial structure.', 'The branches that comprise the arterial structure.', '', 'https://schema.org/arterialBranch'),
('articleBody', 'The actual body of the article.', 'The actual body of the article.', '', 'https://schema.org/articleBody'),
('articleSection', 'Articles may belong to one or more ''sections'' in a magazine or newspaper, such as Sports, Lifestyle, etc.', 'Articles may belong to one or more ''sections'' in a magazine or newspaper, such as Sports, Lifestyle, etc.', '', 'https://schema.org/articleSection'),
('aspect', 'An aspect of medical practice that is considered on the page, such as ''diagnosis'', ''treatment'', ''causes'', ''prognosis'', ''etiology'', ''epidemiology'', etc.', 'An aspect of medical practice that is considered on the page, such as ''diagnosis'', ''treatment'', ''causes'', ''prognosis'', ''etiology'', ''epidemiology'', etc.', '', 'https://schema.org/aspect'),
('associatedAnatomy', 'The anatomy of the underlying organ system or structures associated with this entity.', 'The anatomy of the underlying organ system or structures associated with this entity.', '', 'https://schema.org/associatedAnatomy'),
('associatedArticle', 'A NewsArticle associated with the Media Object.', 'A NewsArticle associated with the Media Object.', '', 'https://schema.org/associatedArticle'),
('associatedMedia', 'The media objects that encode this creative work. This property is a synonym for encodings.', 'The media objects that encode this creative work. This property is a synonym for encodings.', '', 'https://schema.org/associatedMedia'),
('associatedPathophysiology', 'If applicable, a description of the pathophysiology associated with the anatomical system, including potential abnormal changes in the mechanical, physical, and biochemical functions of the system.', 'If applicable, a description of the pathophysiology associated with the anatomical system, including potential abnormal changes in the mechanical, physical, and biochemical functions of the system.', '', 'https://schema.org/associatedPathophysiology'),
('attendee', 'A person or organization attending the event.', 'A person or organization attending the event.', '', 'https://schema.org/attendee'),
('attendees', 'A person attending the event (legacy spelling; see singular form, attendee).', 'A person attending the event (legacy spelling; see singular form, attendee).', '', 'https://schema.org/attendees'),
('audience', 'The intended audience of the work, i.e. the group for whom the work was created.', 'The intended audience of the work, i.e. the group for whom the work was created.', '', 'https://schema.org/audience'),
('audio', 'An embedded audio object.', 'An embedded audio object.', '', 'https://schema.org/audio'),
('author', 'The author of this content. Please note that author is special in that HTML 5 provides a special mechanism for indicating authorship via the rel tag. That is equivalent to this and may be used interchangeably.', 'The author of this content. Please note that author is special in that HTML 5 provides a special mechanism for indicating authorship via the rel tag. That is equivalent to this and may be used interchangeably.', '', 'https://schema.org/author'),
('availability', 'The availability of this itemâ€”for example In stock, Out of stock, Pre-order, etc.', 'The availability of this itemâ€”for example In stock, Out of stock, Pre-order, etc.', '', 'https://schema.org/availability'),
('availableIn', 'The location in which the strength is available.', 'The location in which the strength is available.', '', 'https://schema.org/availableIn'),
('availableService', 'A medical service available from this provider.', 'A medical service available from this provider.', '', 'https://schema.org/availableService'),
('availableStrength', 'An available dosage strength for the drug.', 'An available dosage strength for the drug.', '', 'https://schema.org/availableStrength'),
('availableTest', 'A diagnostic test or procedure offered by this lab.', 'A diagnostic test or procedure offered by this lab.', '', 'https://schema.org/availableTest'),
('award', 'An award won by this person or for this creative work.', 'An award won by this person or for this creative work.', '', 'https://schema.org/award'),
('awards', 'Awards won by this person or for this creative work. (legacy spelling; see singular form, award)', 'Awards won by this person or for this creative work. (legacy spelling; see singular form, award)', '', 'https://schema.org/awards'),
('background', 'Descriptive information establishing a historical perspective on the supplement. May include the rationale for the name, the population where the supplement first came to prominence, etc.', 'Descriptive information establishing a historical perspective on the supplement. May include the rationale for the name, the population where the supplement first came to prominence, etc.', '', 'https://schema.org/background'),
('baseSalary', 'The base salary of the job.', 'The base salary of the job.', '', 'https://schema.org/baseSalary'),
('benefits', 'Description of benefits associated with the job.', 'Description of benefits associated with the job.', '', 'https://schema.org/benefits'),
('bestRating', 'The highest value allowed in this rating system. If bestRating is omitted, 5 is assumed.', 'The highest value allowed in this rating system. If bestRating is omitted, 5 is assumed.', '', 'https://schema.org/bestRating'),
('biomechnicalClass', 'The biomechanical properties of the bone.', 'The biomechanical properties of the bone.', '', 'https://schema.org/biomechnicalClass'),
('birthDate', 'Date of birth.', 'Date of birth.', '', 'https://schema.org/birthDate'),
('bitrate', 'The bitrate of the media object.', 'The bitrate of the media object.', '', 'https://schema.org/bitrate'),
('blogPost', 'A posting that is part of this blog.', 'A posting that is part of this blog.', '', 'https://schema.org/blogPost'),
('blogPosts', 'The postings that are part of this blog (legacy spelling; see singular form, blogPost).', 'The postings that are part of this blog (legacy spelling; see singular form, blogPost).', '', 'https://schema.org/blogPosts'),
('bloodSupply', 'The blood vessel that carries blood from the heart to the muscle.', 'The blood vessel that carries blood from the heart to the muscle.', '', 'https://schema.org/bloodSupply'),
('bodyLocation', 'Location in the body of the anatomical structure.', 'Location in the body of the anatomical structure.', '', 'https://schema.org/bodyLocation'),
('bookEdition', 'The edition of the book.', 'The edition of the book.', '', 'https://schema.org/bookEdition'),
('bookFormat', 'The format of the book.', 'The format of the book.', '', 'https://schema.org/bookFormat'),
('box', 'A polygon is the area enclosed by a point-to-point path for which the starting and ending points are the same. A polygon is expressed as a series of four or more spacedelimited points where the first and final points are identical.', 'A polygon is the area enclosed by a point-to-point path for which the starting and ending points are the same. A polygon is expressed as a series of four or more spacedelimited points where the first and final points are identical.', '', 'https://schema.org/box'),
('branch', 'The branches that delineate from the nerve bundle.', 'The branches that delineate from the nerve bundle.', '', 'https://schema.org/branch'),
('branchOf', 'The larger organization that this local business is a branch of, if any.', 'The larger organization that this local business is a branch of, if any.', '', 'https://schema.org/branchOf'),
('brand', 'The brand of the product.', 'The brand of the product.', '', 'https://schema.org/brand'),
('breadcrumb', 'A set of links that can help a user understand and navigate a website hierarchy.', 'A set of links that can help a user understand and navigate a website hierarchy.', '', 'https://schema.org/breadcrumb'),
('breastfeedingWarning', 'Any precaution, guidance, contraindication, etc. related to this drug''s use by breastfeeding mothers.', 'Any precaution, guidance, contraindication, etc. related to this drug''s use by breastfeeding mothers.', '', 'https://schema.org/breastfeedingWarning'),
('browserRequirements', 'Specifies browser requirements in human-readable text. For example,"requires HTML5 support".', 'Specifies browser requirements in human-readable text. For example,"requires HTML5 support".', '', 'https://schema.org/browserRequirements'),
('byArtist', 'The artist that performed this album or recording.', 'The artist that performed this album or recording.', '', 'https://schema.org/byArtist'),
('calories', 'The number of calories', 'The number of calories', '', 'https://schema.org/calories'),
('caption', 'The caption for this object.', 'The caption for this object.', '', 'https://schema.org/caption'),
('carbohydrateContent', 'The number of grams of carbohydrates.', 'The number of grams of carbohydrates.', '', 'https://schema.org/carbohydrateContent'),
('carrierRequirements', 'Specifies specific carrier(s) requirements for the application (e.g. an application may only work on a specific carrier network).', 'Specifies specific carrier(s) requirements for the application (e.g. an application may only work on a specific carrier network).', '', 'https://schema.org/carrierRequirements'),
('category', 'The category of physical activity, classified according to its physiologic effect or impact on the body.', 'The category of physical activity, classified according to its physiologic effect or impact on the body.', '', 'https://schema.org/category'),
('cause', 'An underlying cause. More specifically, one of the causative agent(s) that are most directly responsible for the pathophysiologic process that eventually results in the occurrence.', 'An underlying cause. More specifically, one of the causative agent(s) that are most directly responsible for the pathophysiologic process that eventually results in the occurrence.', '', 'https://schema.org/cause'),
('causeOf', 'The condition, complication, symptom, sign, etc. caused.', 'The condition, complication, symptom, sign, etc. caused.', '', 'https://schema.org/causeOf'),
('children', 'A child of the person.', 'A child of the person.', '', 'https://schema.org/children'),
('cholesterolContent', 'The number of milligrams of cholesterol.', 'The number of milligrams of cholesterol.', '', 'https://schema.org/cholesterolContent'),
('circle', 'A circle is the circular region of a specified radius centered at a specified latitude and longitude. A circle is expressed as a pair followed by a radius in meters.', 'A circle is the circular region of a specified radius centered at a specified latitude and longitude. A circle is expressed as a pair followed by a radius in meters.', '', 'https://schema.org/circle'),
('citation', 'A citation or reference to another creative work, such as another publication, web page, scholarly article, etc. NOTE: Candidate for promotion to ScholarlyArticle.', 'A citation or reference to another creative work, such as another publication, web page, scholarly article, etc. NOTE: Candidate for promotion to ScholarlyArticle.', '', 'https://schema.org/citation'),
('clincalPharmacology', 'Description of the absorption and elimination of drugs, including their concentration (pharmacokinetics, pK) and biological effects (pharmacodynamics, pD).', 'Description of the absorption and elimination of drugs, including their concentration (pharmacokinetics, pK) and biological effects (pharmacodynamics, pD).', '', 'https://schema.org/clincalPharmacology'),
('code', 'A medical code for the entity, taken from a controlled vocabulary or ontology such as ICD-9, DiseasesDB, MeSH, SNOMED-CT, RxNorm, etc.', 'A medical code for the entity, taken from a controlled vocabulary or ontology such as ICD-9, DiseasesDB, MeSH, SNOMED-CT, RxNorm, etc.', '', 'https://schema.org/code'),
('codeValue', 'The actual code.', 'The actual code.', '', 'https://schema.org/codeValue'),
('codingSystem', 'The coding system, e.g. ''ICD-10''.', 'The coding system, e.g. ''ICD-10''.', '', 'https://schema.org/codingSystem'),
('colleague', 'A colleague of the person.', 'A colleague of the person.', '', 'https://schema.org/colleague'),
('colleagues', 'A colleague of the person (legacy spelling; see singular form, colleague).', 'A colleague of the person (legacy spelling; see singular form, colleague).', '', 'https://schema.org/colleagues'),
('comment', 'Comments, typically from users, on this CreativeWork.', 'Comments, typically from users, on this CreativeWork.', '', 'https://schema.org/comment'),
('commentText', 'The text of the UserComment.', 'The text of the UserComment.', '', 'https://schema.org/commentText'),
('commentTime', 'The time at which the UserComment was made.', 'The time at which the UserComment was made.', '', 'https://schema.org/commentTime'),
('comprisedOf', 'The underlying anatomical structures, such as organs, that comprise the anatomical system.', 'The underlying anatomical structures, such as organs, that comprise the anatomical system.', '', 'https://schema.org/comprisedOf'),
('connectedTo', 'Other anatomical structures to which this structure is connected.', 'Other anatomical structures to which this structure is connected.', '', 'https://schema.org/connectedTo'),
('contactPoint', 'A contact point for a person or organization.', 'A contact point for a person or organization.', '', 'https://schema.org/contactPoint'),
('contactPoints', 'A contact point for a person or organization (legacy spelling; see singular form, contactPoint).', 'A contact point for a person or organization (legacy spelling; see singular form, contactPoint).', '', 'https://schema.org/contactPoints'),
('contactType', 'A person or organization can have different contact points, for different purposes. For example, a sales contact point, a PR contact point and so on. This property is used to specify the kind of contact point.', 'A person or organization can have different contact points, for different purposes. For example, a sales contact point, a PR contact point and so on. This property is used to specify the kind of contact point.', '', 'https://schema.org/contactType'),
('containedIn', 'The basic containment relation between places.', 'The basic containment relation between places.', '', 'https://schema.org/containedIn'),
('contentLocation', 'The location of the content.', 'The location of the content.', '', 'https://schema.org/contentLocation'),
('contentRating', 'Official rating of a piece of contentâ€”for example,''MPAA PG-13''.', 'Official rating of a piece of contentâ€”for example,''MPAA PG-13''.', '', 'https://schema.org/contentRating'),
('contentSize', 'File size in (mega/kilo) bytes.', 'File size in (mega/kilo) bytes.', '', 'https://schema.org/contentSize'),
('contentUrl', 'Actual bytes of the media object, for example the image file or video file. (previous spelling: contentURL)', 'Actual bytes of the media object, for example the image file or video file. (previous spelling: contentURL)', '', 'https://schema.org/contentUrl'),
('contraindication', 'A contraindication for this therapy.', 'A contraindication for this therapy.', '', 'https://schema.org/contraindication'),
('contributor', 'A secondary contributor to the CreativeWork.', 'A secondary contributor to the CreativeWork.', '', 'https://schema.org/contributor'),
('cookTime', 'The time it takes to actually cook the dish, in <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 duration format</a>.', 'The time it takes to actually cook the dish, in ISO 8601 duration format.', '', 'https://schema.org/cookTime'),
('cookingMethod', 'The method of cooking, such as Frying, Steaming, ...', 'The method of cooking, such as Frying, Steaming, ...', '', 'https://schema.org/cookingMethod'),
('copyrightHolder', 'The party holding the legal copyright to the CreativeWork.', 'The party holding the legal copyright to the CreativeWork.', '', 'https://schema.org/copyrightHolder'),
('copyrightYear', 'The year during which the claimed copyright for the CreativeWork was first asserted.', 'The year during which the claimed copyright for the CreativeWork was first asserted.', '', 'https://schema.org/copyrightYear'),
('cost', 'Cost per unit of the drug, as reported by the source being tagged.', 'Cost per unit of the drug, as reported by the source being tagged.', '', 'https://schema.org/cost'),
('costCategory', 'The category of cost, such as wholesale, retail, reimbursement cap, etc.', 'The category of cost, such as wholesale, retail, reimbursement cap, etc.', '', 'https://schema.org/costCategory'),
('costCurrency', 'The currency (in 3-letter <a href="http://en.wikipedia.org/wiki/ISO_4217">ISO 4217 format</a>) of the drug cost.', 'The currency (in 3-letter ISO 4217 format) of the drug cost.', '', 'https://schema.org/costCurrency'),
('costOrigin', 'Additional details to capture the origin of the cost data. For example, ''Medicare Part B''.', 'Additional details to capture the origin of the cost data. For example, ''Medicare Part B''.', '', 'https://schema.org/costOrigin'),
('costPerUnit', 'The cost per unit of the drug.', 'The cost per unit of the drug.', '', 'https://schema.org/costPerUnit'),
('countriesNotSupported', 'Countries for which the application is not supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.', 'Countries for which the application is not supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.', '', 'https://schema.org/countriesNotSupported'),
('countriesSupported', 'Countries for which the application is supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.', 'Countries for which the application is supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.', '', 'https://schema.org/countriesSupported'),
('creator', 'The creator/author of this CreativeWork or UserComments. This is the same as the Author property for CreativeWork.', 'The creator/author of this CreativeWork or UserComments. This is the same as the Author property for CreativeWork.', '', 'https://schema.org/creator'),
('currenciesAccepted', 'The currency accepted (in <a href="http://en.wikipedia.org/wiki/ISO_4217">ISO 4217 currency format</a>).', 'The currency accepted (in ISO 4217 currency format).', '', 'https://schema.org/currenciesAccepted'),
('dateCreated', 'The date on which the CreativeWork was created.', 'The date on which the CreativeWork was created.', '', 'https://schema.org/dateCreated'),
('dateModified', 'The date on which the CreativeWork was most recently modified.', 'The date on which the CreativeWork was most recently modified.', '', 'https://schema.org/dateModified'),
('datePosted', 'Publication date for the job posting.', 'Publication date for the job posting.', '', 'https://schema.org/datePosted'),
('datePublished', 'Date of first broadcast/publication.', 'Date of first broadcast/publication.', '', 'https://schema.org/datePublished'),
('dateline', 'The location where the NewsArticle was produced.', 'The location where the NewsArticle was produced.', '', 'https://schema.org/dateline'),
('deathDate', 'Date of death.', 'Date of death.', '', 'https://schema.org/deathDate'),
('description', 'A short description of the item.', 'A short description of the item.', '', 'https://schema.org/description'),
('device', 'Device required to run the application. Used in cases where a specific make/model is required to run the application.', 'Device required to run the application. Used in cases where a specific make/model is required to run the application.', '', 'https://schema.org/device'),
('diagnosis', 'One or more alternative conditions considered in the differential diagnosis process.', 'One or more alternative conditions considered in the differential diagnosis process.', '', 'https://schema.org/diagnosis'),
('diagram', 'An image containing a diagram that illustrates the structure and/or its component substructures and/or connections with other structures.', 'An image containing a diagram that illustrates the structure and/or its component substructures and/or connections with other structures.', '', 'https://schema.org/diagram'),
('dietFeatures', 'Nutritional information specific to the dietary plan. May include dietary recommendations on what foods to avoid, what foods to consume, and specific alterations/deviations from the USDA or other regulatory body''s approved dietary guidelines.', 'Nutritional information specific to the dietary plan. May include dietary recommendations on what foods to avoid, what foods to consume, and specific alterations/deviations from the USDA or other regulatory body''s approved dietary guidelines.', '', 'https://schema.org/dietFeatures'),
('differentialDiagnosis', 'One of a set of differential diagnoses for the condition. Specifically, a closely-related or competing diagnosis typically considered later in the cognitive process whereby this medical condition is distinguished from others most likely responsible for a similar collection of signs and symptoms to reach the most parsimonious diagnosis or diagnoses in a patient.', 'One of a set of differential diagnoses for the condition. Specifically, a closely-related or competing diagnosis typically considered later in the cognitive process whereby this medical condition is distinguished from others most likely responsible for a similar collection of signs and symptoms to reach the most parsimonious diagnosis or diagnoses in a patient.', '', 'https://schema.org/differentialDiagnosis'),
('director', 'The director of the movie, TV episode, or series.', 'The director of the movie, TV episode, or series.', '', 'https://schema.org/director'),
('discusses', 'Specifies the CreativeWork associated with the UserComment.', 'Specifies the CreativeWork associated with the UserComment.', '', 'https://schema.org/discusses'),
('discussionUrl', 'A link to the page containing the comments of the CreativeWork.', 'A link to the page containing the comments of the CreativeWork.', '', 'https://schema.org/discussionUrl'),
('distinguishingSign', 'One of a set of signs and symptoms that can be used to distinguish this diagnosis from others in the differential diagnosis.', 'One of a set of signs and symptoms that can be used to distinguish this diagnosis from others in the differential diagnosis.', '', 'https://schema.org/distinguishingSign'),
('dosageForm', 'A dosage form in which this drug/supplement is available, e.g. ''tablet'', ''suspension'', ''injection''.', 'A dosage form in which this drug/supplement is available, e.g. ''tablet'', ''suspension'', ''injection''.', '', 'https://schema.org/dosageForm'),
('doseSchedule', 'A dosing schedule for the drug for a given population, either observed, recommended, or maximum dose based on the type used.', 'A dosing schedule for the drug for a given population, either observed, recommended, or maximum dose based on the type used.', '', 'https://schema.org/doseSchedule'),
('doseUnit', 'The unit of the dose, e.g. ''mg''.', 'The unit of the dose, e.g. ''mg''.', '', 'https://schema.org/doseUnit'),
('doseValue', 'The value of the dose, e.g. 500.', 'The value of the dose, e.g. 500.', '', 'https://schema.org/doseValue'),
('downloadUrl', 'If the file can be downloaded, URL to download the binary.', 'If the file can be downloaded, URL to download the binary.', '', 'https://schema.org/downloadUrl'),
('drainsTo', 'The vasculature that the vein drains into.', 'The vasculature that the vein drains into.', '', 'https://schema.org/drainsTo'),
('drug', 'A drug in this drug class.', 'A drug in this drug class.', '', 'https://schema.org/drug'),
('drugClass', 'The class of drug this belongs to (e.g., statins).', 'The class of drug this belongs to (e.g., statins).', '', 'https://schema.org/drugClass'),
('drugUnit', 'The unit in which the drug is measured, e.g. ''5 mg tablet''.', 'The unit in which the drug is measured, e.g. ''5 mg tablet''.', '', 'https://schema.org/drugUnit'),
('duplicateTherapy', 'A therapy that duplicates or overlaps this one.', 'A therapy that duplicates or overlaps this one.', '', 'https://schema.org/duplicateTherapy'),
('duration', 'The duration of the item (movie, audio recording, event, etc.) in <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 date format</a>.', 'The duration of the item (movie, audio recording, event, etc.) in ISO 8601 date format.', '', 'https://schema.org/duration'),
('editor', 'Specifies the Person who edited the CreativeWork.', 'Specifies the Person who edited the CreativeWork.', '', 'https://schema.org/editor'),
('educationRequirements', 'Educational background needed for the position.', 'Educational background needed for the position.', '', 'https://schema.org/educationRequirements'),
('elevation', 'The elevation of a location.', 'The elevation of a location.', '', 'https://schema.org/elevation'),
('email', 'Email address.', 'Email address.', '', 'https://schema.org/email'),
('embedUrl', 'A URL pointing to a player for a specific video. In general, this is the information in the <code>src</code> element of an <code>embed</code> tag and should not be the same as the content of the <code>loc</code> tag. (previous spelling: embedURL)', 'A URL pointing to a player for a specific video. In general, this is the information in the src element of an embed tag and should not be the same as the content of the loc tag. (previous spelling: embedURL)', '', 'https://schema.org/embedUrl'),
('employee', 'Someone working for this organization.', 'Someone working for this organization.', '', 'https://schema.org/employee'),
('employees', 'People working for this organization. (legacy spelling; see singular form, employee)', 'People working for this organization. (legacy spelling; see singular form, employee)', '', 'https://schema.org/employees'),
('employmentType', 'Type of employment (e.g. full-time, part-time, contract, temporary, seasonal, internship).', 'Type of employment (e.g. full-time, part-time, contract, temporary, seasonal, internship).', '', 'https://schema.org/employmentType'),
('encodesCreativeWork', 'The creative work encoded by this media object', 'The creative work encoded by this media object', '', 'https://schema.org/encodesCreativeWork'),
('encoding', 'A media object that encode this CreativeWork.', 'A media object that encode this CreativeWork.', '', 'https://schema.org/encoding'),
('encodingFormat', 'mp3, mpeg4, etc.', 'mp3, mpeg4, etc.', '', 'https://schema.org/encodingFormat'),
('encodings', 'The media objects that encode this creative work (legacy spelling; see singular form, encoding).', 'The media objects that encode this creative work (legacy spelling; see singular form, encoding).', '', 'https://schema.org/encodings'),
('endDate', 'The end date and time of the event (in <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 date format</a>).', 'The end date and time of the event (in ISO 8601 date format).', '', 'https://schema.org/endDate'),
('endorsers', 'People or organizations that endorse the plan.', 'People or organizations that endorse the plan.', '', 'https://schema.org/endorsers'),
('epidemiology', 'The characteristics of associated patients, such as age, gender, race etc.', 'The characteristics of associated patients, such as age, gender, race etc.', '', 'https://schema.org/epidemiology'),
('episode', 'An episode of a TV series or season.', 'An episode of a TV series or season.', '', 'https://schema.org/episode'),
('episodeNumber', 'The episode number.', 'The episode number.', '', 'https://schema.org/episodeNumber'),
('episodes', 'The episode of a TV series or season (legacy spelling; see singular form, episode).', 'The episode of a TV series or season (legacy spelling; see singular form, episode).', '', 'https://schema.org/episodes'),
('estimatesRiskOf', 'The condition, complication, or symptom whose risk is being estimated.', 'The condition, complication, or symptom whose risk is being estimated.', '', 'https://schema.org/estimatesRiskOf'),
('event', 'Upcoming or past event associated with this place or organization.', 'Upcoming or past event associated with this place or organization.', '', 'https://schema.org/event'),
('events', 'Upcoming or past events associated with this place or organization (legacy spelling; see singular form, event).', 'Upcoming or past events associated with this place or organization (legacy spelling; see singular form, event).', '', 'https://schema.org/events'),
('evidenceLevel', 'Strength of evidence of the data used to formulate the guideline (enumerated).', 'Strength of evidence of the data used to formulate the guideline (enumerated).', '', 'https://schema.org/evidenceLevel'),
('evidenceOrigin', 'Source of the data used to formulate the guidance, e.g. RCT, consensus opinion, etc.', 'Source of the data used to formulate the guidance, e.g. RCT, consensus opinion, etc.', '', 'https://schema.org/evidenceOrigin'),
('exerciseType', 'Type(s) of exercise or activity, such as strength training, flexibility training, aerobics, cardiac rehabilitation, etc.', 'Type(s) of exercise or activity, such as strength training, flexibility training, aerobics, cardiac rehabilitation, etc.', '', 'https://schema.org/exerciseType'),
('exifData', 'exif data for this object.', 'exif data for this object.', '', 'https://schema.org/exifData'),
('expectedPrognosis', 'The likely outcome in either the short term or long term of the medical condition.', 'The likely outcome in either the short term or long term of the medical condition.', '', 'https://schema.org/expectedPrognosis'),
('experienceRequirements', 'Description of skills and experience needed for the position.', 'Description of skills and experience needed for the position.', '', 'https://schema.org/experienceRequirements'),
('expertConsiderations', 'Medical expert advice related to the plan.', 'Medical expert advice related to the plan.', '', 'https://schema.org/expertConsiderations'),
('expires', 'Date the content expires and is no longer useful or available. Useful for videos.', 'Date the content expires and is no longer useful or available. Useful for videos.', '', 'https://schema.org/expires'),
('familyName', 'Family name. In the U.S., the last name of an Person. This can be used along with givenName instead of the Name property.', 'Family name. In the U.S., the last name of an Person. This can be used along with givenName instead of the Name property.', '', 'https://schema.org/familyName'),
('fatContent', 'The number of grams of fat.', 'The number of grams of fat.', '', 'https://schema.org/fatContent'),
('faxNumber', 'The fax number.', 'The fax number.', '', 'https://schema.org/faxNumber'),
('featureList', 'Features or modules provided by this application (and possibly required by other applications).', 'Features or modules provided by this application (and possibly required by other applications).', '', 'https://schema.org/featureList'),
('fiberContent', 'The number of grams of fiber.', 'The number of grams of fiber.', '', 'https://schema.org/fiberContent'),
('fileFormat', 'MIME format of the binary (e.g. application/zip).', 'MIME format of the binary (e.g. application/zip).', '', 'https://schema.org/fileFormat'),
('fileSize', 'Size of the application / package (e.g. 18MB). In the absence of a unit (MB, KB etc.), KB will be assumed.', 'Size of the application / package (e.g. 18MB). In the absence of a unit (MB, KB etc.), KB will be assumed.', '', 'https://schema.org/fileSize'),
('follows', 'The most generic uni-directional social relation.', 'The most generic uni-directional social relation.', '', 'https://schema.org/follows'),
('followup', 'Typical or recommended followup care after the procedure is performed.', 'Typical or recommended followup care after the procedure is performed.', '', 'https://schema.org/followup'),
('foodWarning', 'Any precaution, guidance, contraindication, etc. related to consumption of specific foods while taking this drug.', 'Any precaution, guidance, contraindication, etc. related to consumption of specific foods while taking this drug.', '', 'https://schema.org/foodWarning'),
('founder', 'A person who founded this organization.', 'A person who founded this organization.', '', 'https://schema.org/founder'),
('founders', 'A person who founded this organization (legacy spelling; see singular form, founder).', 'A person who founded this organization (legacy spelling; see singular form, founder).', '', 'https://schema.org/founders'),
('foundingDate', 'The date that this organization was founded.', 'The date that this organization was founded.', '', 'https://schema.org/foundingDate'),
('frequency', 'How often the dose is taken, e.g. ''daily''.', 'How often the dose is taken, e.g. ''daily''.', '', 'https://schema.org/frequency'),
('function', 'Function of the anatomical structure.', 'Function of the anatomical structure.', '', 'https://schema.org/function'),
('functionalClass', 'The degree of mobility the joint allows.', 'The degree of mobility the joint allows.', '', 'https://schema.org/functionalClass'),
('gender', 'Gender of the person.', 'Gender of the person.', '', 'https://schema.org/gender'),
('genre', 'Genre of the creative work', 'Genre of the creative work', '', 'https://schema.org/genre'),
('geo', 'The geo coordinates of the place.', 'The geo coordinates of the place.', '', 'https://schema.org/geo'),
('givenName', 'Given name. In the U.S., the first name of a Person. This can be used along with familyName instead of the Name property.', 'Given name. In the U.S., the first name of a Person. This can be used along with familyName instead of the Name property.', '', 'https://schema.org/givenName'),
('guideline', 'A medical guideline related to this entity.', 'A medical guideline related to this entity.', '', 'https://schema.org/guideline'),
('guidelineDate', 'Date on which this guideline''s recommendation was made.', 'Date on which this guideline''s recommendation was made.', '', 'https://schema.org/guidelineDate'),
('guidelineSubject', 'The medical conditions, treatments, etc. that are the subject of the guideline.', 'The medical conditions, treatments, etc. that are the subject of the guideline.', '', 'https://schema.org/guidelineSubject'),
('headline', 'Headline of the article', 'Headline of the article', '', 'https://schema.org/headline'),
('height', 'The height of the media object.', 'The height of the media object.', '', 'https://schema.org/height'),
('highPrice', 'The highest price of all offers available.', 'The highest price of all offers available.', '', 'https://schema.org/highPrice'),
('hiringOrganization', 'Organization offering the job position.', 'Organization offering the job position.', '', 'https://schema.org/hiringOrganization'),
('homeLocation', 'A contact location for a person''s residence.', 'A contact location for a person''s residence.', '', 'https://schema.org/homeLocation'),
('honorificPrefix', 'An honorific prefix preceding a Person''s name such as Dr/Mrs/Mr.', 'An honorific prefix preceding a Person''s name such as Dr/Mrs/Mr.', '', 'https://schema.org/honorificPrefix'),
('honorificSuffix', 'An honorific suffix preceding a Person''s name such as M.D. /PhD/MSCSW.', 'An honorific suffix preceding a Person''s name such as M.D. /PhD/MSCSW.', '', 'https://schema.org/honorificSuffix'),
('hospitalAffiliation', 'A hospital with which the physician or office is affiliated.', 'A hospital with which the physician or office is affiliated.', '', 'https://schema.org/hospitalAffiliation'),
('howPerformed', 'How the procedure is performed.', 'How the procedure is performed.', '', 'https://schema.org/howPerformed'),
('identifyingExam', 'A physical examination that can identify this sign.', 'A physical examination that can identify this sign.', '', 'https://schema.org/identifyingExam'),
('identifyingTest', 'A diagnostic test that can identify this sign.', 'A diagnostic test that can identify this sign.', '', 'https://schema.org/identifyingTest'),
('illustrator', 'The illustrator of the book.', 'The illustrator of the book.', '', 'https://schema.org/illustrator'),
('image', 'URL of an image of the item.', 'URL of an image of the item.', '', 'https://schema.org/image'),
('imagingTechnique', 'Imaging technique used.', 'Imaging technique used.', '', 'https://schema.org/imagingTechnique'),
('inAlbum', 'The album to which this recording belongs.', 'The album to which this recording belongs.', '', 'https://schema.org/inAlbum'),
('inLanguage', 'The language of the content. please use one of the language codes from the <a href="http://tools.ietf.org/html/bcp47">IETF BCP 47 standard.</a>', 'The language of the content. please use one of the language codes from the IETF BCP 47 standard.', '', 'https://schema.org/inLanguage'),
('inPlaylist', 'The playlist to which this recording belongs.', 'The playlist to which this recording belongs.', '', 'https://schema.org/inPlaylist'),
('incentives', 'Description of bonus and commission compensation aspects of the job.', 'Description of bonus and commission compensation aspects of the job.', '', 'https://schema.org/incentives'),
('includedRiskFactor', 'A modifiable or non-modifiable risk factor included in the calculation, e.g. age, coexisting condition.', 'A modifiable or non-modifiable risk factor included in the calculation, e.g. age, coexisting condition.', '', 'https://schema.org/includedRiskFactor'),
('increasesRiskOf', 'The condition, complication, etc. influenced by this factor.', 'The condition, complication, etc. influenced by this factor.', '', 'https://schema.org/increasesRiskOf'),
('indication', 'A factor that indicates use of this therapy for treatment and/or prevention of a condition, symptom, etc. For therapies such as drugs, indications can include both officially-approved indications as well as off-label uses. These can be distinguished by using the ApprovedIndication subtype of MedicalIndication.', 'A factor that indicates use of this therapy for treatment and/or prevention of a condition, symptom, etc. For therapies such as drugs, indications can include both officially-approved indications as well as off-label uses. These can be distinguished by using the ApprovedIndication subtype of MedicalIndication.', '', 'https://schema.org/indication'),
('industry', 'The industry associated with the job position.', 'The industry associated with the job position.', '', 'https://schema.org/industry'),
('infectiousAgent', 'The actual infectious agent, such as a specific bacterium.', 'The actual infectious agent, such as a specific bacterium.', '', 'https://schema.org/infectiousAgent'),
('infectiousAgentClass', 'The class of infectious agent (bacteria, prion, etc.) that causes the disease.', 'The class of infectious agent (bacteria, prion, etc.) that causes the disease.', '', 'https://schema.org/infectiousAgentClass'),
('ingredients', 'An ingredient used in the recipe.', 'An ingredient used in the recipe.', '', 'https://schema.org/ingredients'),
('insertion', 'The place of attachment of a muscle, or what the muscle moves.', 'The place of attachment of a muscle, or what the muscle moves.', '', 'https://schema.org/insertion'),
('installUrl', 'URL at which the app may be installed, if different from the URL of the item.', 'URL at which the app may be installed, if different from the URL of the item.', '', 'https://schema.org/installUrl'),
('intensity', 'Quantitative measure gauging the degree of force involved in the exercise, for example, heartbeats per minute. May include the velocity of the movement.', 'Quantitative measure gauging the degree of force involved in the exercise, for example, heartbeats per minute. May include the velocity of the movement.', '', 'https://schema.org/intensity'),
('interactingDrug', 'Another drug that is known to interact with this drug in a way that impacts the effect of this drug or causes a risk to the patient. Note: disease interactions are typically captured as contraindications.', 'Another drug that is known to interact with this drug in a way that impacts the effect of this drug or causes a risk to the patient. Note: disease interactions are typically captured as contraindications.', '', 'https://schema.org/interactingDrug'),
('interactionCount', 'A count of a specific user interactions with this itemâ€”for example, <code>20 UserLikes</code>, <code>5 UserComments</code>, or <code>300 UserDownloads</code>. The user interaction type should be one of the sub types of <a href="https://schema.org/UserInteraction">UserInteraction</a>.', 'A count of a specific user interactions with this itemâ€”for example, 20 UserLikes, 5 UserComments, or 300 UserDownloads. The user interaction type should be one of the sub types of UserInteraction.', '', 'https://schema.org/interactionCount'),
('isAvailableGenerically', 'True if the drug is available in a generic form (regardless of name).', 'True if the drug is available in a generic form (regardless of name).', '', 'https://schema.org/isAvailableGenerically'),
('isFamilyFriendly', 'Indicates whether this content is family friendly.', 'Indicates whether this content is family friendly.', '', 'https://schema.org/isFamilyFriendly'),
('isPartOf', 'Indicates the collection or gallery to which the item belongs.', 'Indicates the collection or gallery to which the item belongs.', '', 'https://schema.org/isPartOf'),
('isProprietary', 'True if this item''s name is a proprietary/brand name (vs. generic name).', 'True if this item''s name is a proprietary/brand name (vs. generic name).', '', 'https://schema.org/isProprietary'),
('isbn', 'The ISBN of the book.', 'The ISBN of the book.', '', 'https://schema.org/isbn'),
('itemCondition', 'The condition of the item for saleâ€”for example New, Refurbished, Used, etc.', 'The condition of the item for saleâ€”for example New, Refurbished, Used, etc.', '', 'https://schema.org/itemCondition'),
('itemListElement', 'A single list item.', 'A single list item.', '', 'https://schema.org/itemListElement'),
('itemListOrder', 'Type of ordering (e.g. Ascending, Descending, Unordered).', 'Type of ordering (e.g. Ascending, Descending, Unordered).', '', 'https://schema.org/itemListOrder'),
('itemOffered', 'The item being sold.', 'The item being sold.', '', 'https://schema.org/itemOffered'),
('itemReviewed', 'The item that is being reviewed/rated.', 'The item that is being reviewed/rated.', '', 'https://schema.org/itemReviewed'),
('jobLocation', 'A (typically single) geographic location associated with the job position.', 'A (typically single) geographic location associated with the job position.', '', 'https://schema.org/jobLocation');
INSERT IGNORE INTO `#__j4schema_properties` (`id_properties`, `pr_comment`, `pr_comment_plain`, `pr_ranges`, `pr_url`) VALUES
('jobTitle', 'The job title of the person (for example, Financial Manager).', 'The job title of the person (for example, Financial Manager).', '', 'https://schema.org/jobTitle'),
('keywords', 'The keywords/tags used to describe this content.', 'The keywords/tags used to describe this content.', '', 'https://schema.org/keywords'),
('knows', 'The most generic bi-directional social/work relation.', 'The most generic bi-directional social/work relation.', '', 'https://schema.org/knows'),
('labelDetails', 'Link to the drug''s label details.', 'Link to the drug''s label details.', '', 'https://schema.org/labelDetails'),
('lastReviewed', 'Date on which the content on this web page was last reviewed for accuracy and/or completeness.', 'Date on which the content on this web page was last reviewed for accuracy and/or completeness.', '', 'https://schema.org/lastReviewed'),
('latitude', 'The latitude of a location. For example <code>37.42242</code>.', 'The latitude of a location. For example 37.42242.', '', 'https://schema.org/latitude'),
('legalStatus', 'The drug or supplement''s legal status, including any controlled substance schedules that apply.', 'The drug or supplement''s legal status, including any controlled substance schedules that apply.', '', 'https://schema.org/legalStatus'),
('line', 'A line is a point-to-point path consisting of two or more points. A line is expressed as a series of two or more point objects separated by space.', 'A line is a point-to-point path consisting of two or more points. A line is expressed as a series of two or more point objects separated by space.', '', 'https://schema.org/line'),
('location', 'The location of the event or organization.', 'The location of the event or organization.', '', 'https://schema.org/location'),
('longitude', 'The longitude of a location. For example <code>-122.08585</code>.', 'The longitude of a location. For example -122.08585.', '', 'https://schema.org/longitude'),
('lowPrice', 'The lowest price of all offers available.', 'The lowest price of all offers available.', '', 'https://schema.org/lowPrice'),
('mainContentOfPage', 'Indicates if this web page element is the main subject of the page.', 'Indicates if this web page element is the main subject of the page.', '', 'https://schema.org/mainContentOfPage'),
('manufacturer', 'The manufacturer of the product.', 'The manufacturer of the product.', '', 'https://schema.org/manufacturer'),
('map', 'A URL to a map of the place.', 'A URL to a map of the place.', '', 'https://schema.org/map'),
('maps', 'A URL to a map of the place (legacy spelling; see singular form, map).', 'A URL to a map of the place (legacy spelling; see singular form, map).', '', 'https://schema.org/maps'),
('maximumIntake', 'Recommended intake of this supplement for a given population as defined by a specific recommending authority.', 'Recommended intake of this supplement for a given population as defined by a specific recommending authority.', '', 'https://schema.org/maximumIntake'),
('mechanismOfAction', 'The specific biochemical interaction through which this drug or supplement produces its pharmacological effect.', 'The specific biochemical interaction through which this drug or supplement produces its pharmacological effect.', '', 'https://schema.org/mechanismOfAction'),
('medicalSpecialty', 'A medical specialty of the provider.', 'A medical specialty of the provider.', '', 'https://schema.org/medicalSpecialty'),
('medicineSystem', 'The system of medicine that includes this MedicalEntity, for example ''evidence-based'', ''homeopathic'', ''chiropractic'', etc.', 'The system of medicine that includes this MedicalEntity, for example ''evidence-based'', ''homeopathic'', ''chiropractic'', etc.', '', 'https://schema.org/medicineSystem'),
('member', 'A member of this organization.', 'A member of this organization.', '', 'https://schema.org/member'),
('memberOf', 'An organization to which the person belongs.', 'An organization to which the person belongs.', '', 'https://schema.org/memberOf'),
('members', 'A member of this organization (legacy spelling; see singular form, member).', 'A member of this organization (legacy spelling; see singular form, member).', '', 'https://schema.org/members'),
('memoryRequirements', 'Minimum memory requirements.', 'Minimum memory requirements.', '', 'https://schema.org/memoryRequirements'),
('mentions', 'Indicates that the CreativeWork contains a reference to, but is not necessarily about a concept.', 'Indicates that the CreativeWork contains a reference to, but is not necessarily about a concept.', '', 'https://schema.org/mentions'),
('menu', 'Either the actual menu or a URL of the menu.', 'Either the actual menu or a URL of the menu.', '', 'https://schema.org/menu'),
('model', 'The model of the product.', 'The model of the product.', '', 'https://schema.org/model'),
('musicBy', 'The composer of the movie or TV soundtrack.', 'The composer of the movie or TV soundtrack.', '', 'https://schema.org/musicBy'),
('musicGroupMember', 'A member of the music groupâ€”for example, John, Paul, George, or Ringo.', 'A member of the music groupâ€”for example, John, Paul, George, or Ringo.', '', 'https://schema.org/musicGroupMember'),
('name', 'The name of the item.', 'The name of the item.', '', 'https://schema.org/name'),
('nationality', 'Nationality of the person.', 'Nationality of the person.', '', 'https://schema.org/nationality'),
('naturalProgression', 'The expected progression of the condition if it is not treated and allowed to progress naturally.', 'The expected progression of the condition if it is not treated and allowed to progress naturally.', '', 'https://schema.org/naturalProgression'),
('nerve', 'The underlying innervation associated with the muscle.', 'The underlying innervation associated with the muscle.', '', 'https://schema.org/nerve'),
('nerveMotor', 'The neurological pathway extension that involves muscle control.', 'The neurological pathway extension that involves muscle control.', '', 'https://schema.org/nerveMotor'),
('nonProprietaryName', 'The generic name of this drug or supplement.', 'The generic name of this drug or supplement.', '', 'https://schema.org/nonProprietaryName'),
('normalRange', 'Range of acceptable values for a typical patient, when applicable.', 'Range of acceptable values for a typical patient, when applicable.', '', 'https://schema.org/normalRange'),
('numTracks', 'The number of tracks in this album or playlist.', 'The number of tracks in this album or playlist.', '', 'https://schema.org/numTracks'),
('numberOfEpisodes', 'The number of episodes in this season or series.', 'The number of episodes in this season or series.', '', 'https://schema.org/numberOfEpisodes'),
('numberOfPages', 'The number of pages in the book.', 'The number of pages in the book.', '', 'https://schema.org/numberOfPages'),
('nutrition', 'Nutrition information about the recipe.', 'Nutrition information about the recipe.', '', 'https://schema.org/nutrition'),
('occupationalCategory', 'Category or categories describing the job. Use BLS O*NET-SOC taxonomy: http://www.onetcenter.org/taxonomy.html. Ideally includes textual label and formal code, with the property repeated for each applicable value.', 'Category or categories describing the job. Use BLS O*NET-SOC taxonomy: http://www.onetcenter.org/taxonomy.html. Ideally includes textual label and formal code, with the property repeated for each applicable value.', '', 'https://schema.org/occupationalCategory'),
('offerCount', 'The number of offers for the product.', 'The number of offers for the product.', '', 'https://schema.org/offerCount'),
('offers', 'An offer to sell this itemâ€”for example, an offer to sell a product, the DVD of a movie, or tickets to an event.', 'An offer to sell this itemâ€”for example, an offer to sell a product, the DVD of a movie, or tickets to an event.', '', 'https://schema.org/offers'),
('openingHours', 'The opening hours for a business. Opening hours can be specified as a weekly time range, starting with days, then times per day. Multiple days can be listed with commas '','' separating each day. Day or time ranges are specified using a hyphen ''-''.<br/>- Days are specified using the following two-letter combinations: <code>Mo</code>, <code>Tu</code>, <code>We</code>, <code>Th</code>, <code>Fr</code>, <code>Sa</code>, <code>Su</code>.<br/>- Times are specified using 24:00 time. For example, 3pm is specified as <code>15:00</code>. <br/>- Here is an example: <code>&lt;time itemprop="openingHours" datetime="Tu,Th 16:00-20:00"&gt;Tuesdays and Thursdays 4-8pm&lt;/time&gt;</code>. <br/>- If a business is open 7 days a week, then it can be specified as <code>&lt;time itemprop="openingHours" datetime="Mo-Su"&gt;Monday through Sunday, all day&lt;/time&gt;</code>.', 'The opening hours for a business. Opening hours can be specified as a weekly time range, starting with days, then times per day. Multiple days can be listed with commas '','' separating each day. Day or time ranges are specified using a hyphen ''-''.- Days are specified using the following two-letter combinations: Mo, Tu, We, Th, Fr, Sa, Su.- Times are specified using 24:00 time. For example, 3pm is specified as 15:00. - Here is an example: <time itemprop="openingHours" datetime="Tu,Th 16:00-20:00">Tuesdays and Thursdays 4-8pm</time>. - If a business is open 7 days a week, then it can be specified as <time itemprop="openingHours" datetime="Mo-Su">Monday through Sunday, all day</time>.', '', 'https://schema.org/openingHours'),
('operatingSystem', 'Operating systems supported (Windows 7, OSX 10.6, Android 1.6).', 'Operating systems supported (Windows 7, OSX 10.6, Android 1.6).', '', 'https://schema.org/operatingSystem'),
('origin', 'The place or point where a muscle arises.', 'The place or point where a muscle arises.', '', 'https://schema.org/origin'),
('originatesFrom', 'The vasculature the lymphatic structure originates, or afferents, from.', 'The vasculature the lymphatic structure originates, or afferents, from.', '', 'https://schema.org/originatesFrom'),
('outcome', 'Expected or actual outcomes of the study.', 'Expected or actual outcomes of the study.', '', 'https://schema.org/outcome'),
('overdosage', 'Any information related to overdose on a drug, including signs or symptoms, treatments, contact information for emergency response.', 'Any information related to overdose on a drug, including signs or symptoms, treatments, contact information for emergency response.', '', 'https://schema.org/overdosage'),
('overview', 'Descriptive information establishing the overarching theory/philosophy of the plan. May include the rationale for the name, the population where the plan first came to prominence, etc.', 'Descriptive information establishing the overarching theory/philosophy of the plan. May include the rationale for the name, the population where the plan first came to prominence, etc.', '', 'https://schema.org/overview'),
('parent', 'A parent of this person.', 'A parent of this person.', '', 'https://schema.org/parent'),
('parents', 'A parents of the person (legacy spelling; see singular form, parent).', 'A parents of the person (legacy spelling; see singular form, parent).', '', 'https://schema.org/parents'),
('partOfSeason', 'The season to which this episode belongs.', 'The season to which this episode belongs.', '', 'https://schema.org/partOfSeason'),
('partOfSystem', 'The anatomical or organ system that this structure is part of.', 'The anatomical or organ system that this structure is part of.', '', 'https://schema.org/partOfSystem'),
('partOfTVSeries', 'The TV series to which this episode or season belongs.', 'The TV series to which this episode or season belongs.', '', 'https://schema.org/partOfTVSeries'),
('pathophysiology', 'Changes in the normal mechanical, physical, and biochemical functions that are associated with this activity or condition.', 'Changes in the normal mechanical, physical, and biochemical functions that are associated with this activity or condition.', '', 'https://schema.org/pathophysiology'),
('paymentAccepted', 'Cash, credit card, etc.', 'Cash, credit card, etc.', '', 'https://schema.org/paymentAccepted'),
('performer', 'A performer at the eventâ€”for example, a presenter, musician, musical group or actor.', 'A performer at the eventâ€”for example, a presenter, musician, musical group or actor.', '', 'https://schema.org/performer'),
('performerIn', 'Event that this person is a performer or participant in.', 'Event that this person is a performer or participant in.', '', 'https://schema.org/performerIn'),
('performers', 'The main performer or performers of the eventâ€”for example, a presenter, musician, or actor (legacy spelling; see singular form, performer).', 'The main performer or performers of the eventâ€”for example, a presenter, musician, or actor (legacy spelling; see singular form, performer).', '', 'https://schema.org/performers'),
('permissions', 'Permission(s) required to run the app (for example, a mobile app may require full internet access or may run only on wifi).', 'Permission(s) required to run the app (for example, a mobile app may require full internet access or may run only on wifi).', '', 'https://schema.org/permissions'),
('phase', 'The phase of the trial.', 'The phase of the trial.', '', 'https://schema.org/phase'),
('photo', 'A photograph of this place.', 'A photograph of this place.', '', 'https://schema.org/photo'),
('photos', 'Photographs of this place (legacy spelling; see singular form, photo).', 'Photographs of this place (legacy spelling; see singular form, photo).', '', 'https://schema.org/photos'),
('physiologicalBenefits', 'Specific physiologic benefits associated to the plan.', 'Specific physiologic benefits associated to the plan.', '', 'https://schema.org/physiologicalBenefits'),
('playerType', 'Player type requiredâ€”for example, Flash or Silverlight.', 'Player type requiredâ€”for example, Flash or Silverlight.', '', 'https://schema.org/playerType'),
('polygon', 'A polygon is the area enclosed by a point-to-point path for which the starting and ending points are the same. A polygon is expressed as a series of four or more spacedelimited points where the first and final points are identical.', 'A polygon is the area enclosed by a point-to-point path for which the starting and ending points are the same. A polygon is expressed as a series of four or more spacedelimited points where the first and final points are identical.', '', 'https://schema.org/polygon'),
('population', 'Any characteristics of the population used in the study, e.g. ''males under 65''.', 'Any characteristics of the population used in the study, e.g. ''males under 65''.', '', 'https://schema.org/population'),
('possibleComplication', 'A possible unexpected and unfavorable evolution of a medical condition. Complications may include worsening of the signs or symptoms of the disease, extension of the condition to other organ systems, etc.', 'A possible unexpected and unfavorable evolution of a medical condition. Complications may include worsening of the signs or symptoms of the disease, extension of the condition to other organ systems, etc.', '', 'https://schema.org/possibleComplication'),
('possibleTreatment', 'A possible treatment to address this condition, sign or symptom.', 'A possible treatment to address this condition, sign or symptom.', '', 'https://schema.org/possibleTreatment'),
('postOfficeBoxNumber', 'The post offce box number for PO box addresses.', 'The post offce box number for PO box addresses.', '', 'https://schema.org/postOfficeBoxNumber'),
('postOp', 'A description of the postoperative procedures, care, and/or followups for this device.', 'A description of the postoperative procedures, care, and/or followups for this device.', '', 'https://schema.org/postOp'),
('postalCode', 'The postal code. For example, 94043.', 'The postal code. For example, 94043.', '', 'https://schema.org/postalCode'),
('preOp', 'A description of the workup, testing, and other preparations required before implanting this device.', 'A description of the workup, testing, and other preparations required before implanting this device.', '', 'https://schema.org/preOp'),
('pregnancyCategory', 'Pregnancy category of this drug.', 'Pregnancy category of this drug.', '', 'https://schema.org/pregnancyCategory'),
('pregnancyWarning', 'Any precaution, guidance, contraindication, etc. related to this drug''s use during pregnancy.', 'Any precaution, guidance, contraindication, etc. related to this drug''s use during pregnancy.', '', 'https://schema.org/pregnancyWarning'),
('prepTime', 'The length of time it takes to prepare the recipe, in <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 duration format</a>.', 'The length of time it takes to prepare the recipe, in ISO 8601 duration format.', '', 'https://schema.org/prepTime'),
('preparation', 'Typical preparation that a patient must undergo before having the procedure performed.', 'Typical preparation that a patient must undergo before having the procedure performed.', '', 'https://schema.org/preparation'),
('prescribingInfo', 'Link to prescribing information for the drug.', 'Link to prescribing information for the drug.', '', 'https://schema.org/prescribingInfo'),
('prescriptionStatus', 'Indicates whether this drug is available by prescription or over-the-counter.', 'Indicates whether this drug is available by prescription or over-the-counter.', '', 'https://schema.org/prescriptionStatus'),
('price', 'The offer price of the product.', 'The offer price of the product.', '', 'https://schema.org/price'),
('priceCurrency', 'The currency (in 3-letter <a href="http://en.wikipedia.org/wiki/ISO_4217">ISO 4217 format</a>) of the offer price.', 'The currency (in 3-letter ISO 4217 format) of the offer price.', '', 'https://schema.org/priceCurrency'),
('priceRange', 'The price range of the business, for example <code>$$$</code>.', 'The price range of the business, for example $$$.', '', 'https://schema.org/priceRange'),
('priceValidUntil', 'The date after which the price is no longer available.', 'The date after which the price is no longer available.', '', 'https://schema.org/priceValidUntil'),
('primaryImageOfPage', 'Indicates the main image on the page', 'Indicates the main image on the page', '', 'https://schema.org/primaryImageOfPage'),
('primaryPrevention', 'A preventative therapy used to prevent an initial occurrence of the medical condition, such as vaccination.', 'A preventative therapy used to prevent an initial occurrence of the medical condition, such as vaccination.', '', 'https://schema.org/primaryPrevention'),
('printColumn', 'The number of the column in which the NewsArticle appears in the print edition.', 'The number of the column in which the NewsArticle appears in the print edition.', '', 'https://schema.org/printColumn'),
('printEdition', 'The edition of the print product in which the NewsArticle appears.', 'The edition of the print product in which the NewsArticle appears.', '', 'https://schema.org/printEdition'),
('printPage', 'If this NewsArticle appears in print, this field indicates the name of the page on which the article is found. Please note that this field is intended for the exact page name (e.g. A5, B18).', 'If this NewsArticle appears in print, this field indicates the name of the page on which the article is found. Please note that this field is intended for the exact page name (e.g. A5, B18).', '', 'https://schema.org/printPage'),
('printSection', 'If this NewsArticle appears in print, this field indicates the print section in which the article appeared.', 'If this NewsArticle appears in print, this field indicates the print section in which the article appeared.', '', 'https://schema.org/printSection'),
('procedure', 'A description of the procedure involved in setting up, using, and/or installing the device.', 'A description of the procedure involved in setting up, using, and/or installing the device.', '', 'https://schema.org/procedure'),
('procedureType', 'The type of procedure, for example Surgical, Noninvasive, or Percutaneous.', 'The type of procedure, for example Surgical, Noninvasive, or Percutaneous.', '', 'https://schema.org/procedureType'),
('processorRequirements', 'Processor architecture required to run the application (e.g. IA64).', 'Processor architecture required to run the application (e.g. IA64).', '', 'https://schema.org/processorRequirements'),
('producer', 'The producer of the movie, TV series, season, or episode, or video.', 'The producer of the movie, TV series, season, or episode, or video.', '', 'https://schema.org/producer'),
('productID', 'The product identifier, such as ISBN. For example: <code>&lt;meta itemprop=''productID'' content=''isbn:123-456-789''/&gt;</code>.', 'The product identifier, such as ISBN. For example: <meta itemprop=''productID'' content=''isbn:123-456-789''/>.', '', 'https://schema.org/productID'),
('productionCompany', 'The production company or studio that made the movie, TV series, season, or episode, or video.', 'The production company or studio that made the movie, TV series, season, or episode, or video.', '', 'https://schema.org/productionCompany'),
('proprietaryName', 'Proprietary name given to the diet plan, typically by its originator or creator.', 'Proprietary name given to the diet plan, typically by its originator or creator.', '', 'https://schema.org/proprietaryName'),
('proteinContent', 'The number of grams of protein.', 'The number of grams of protein.', '', 'https://schema.org/proteinContent'),
('provider', 'Specifies the Person or Organization that distributed the CreativeWork.', 'Specifies the Person or Organization that distributed the CreativeWork.', '', 'https://schema.org/provider'),
('publicationType', 'The type of the medical article, taken from the US NLM MeSH <a href="http://www.nlm.nih.gov/mesh/pubtypes.html">publication type catalog.</a>', 'The type of the medical article, taken from the US NLM MeSH publication type catalog.', '', 'https://schema.org/publicationType'),
('publisher', 'The publisher of the creative work.', 'The publisher of the creative work.', '', 'https://schema.org/publisher'),
('publishingPrinciples', 'Link to page describing the editorial principles of the organization primarily responsible for the creation of the CreativeWork.', 'Link to page describing the editorial principles of the organization primarily responsible for the creation of the CreativeWork.', '', 'https://schema.org/publishingPrinciples'),
('purpose', 'The purpose or purposes of this device, for example whether it is intended for diagnostic or therapeutic use.', 'The purpose or purposes of this device, for example whether it is intended for diagnostic or therapeutic use.', '', 'https://schema.org/purpose'),
('qualifications', 'Specific qualifications required for this role.', 'Specific qualifications required for this role.', '', 'https://schema.org/qualifications'),
('ratingCount', 'The count of total number of ratings.', 'The count of total number of ratings.', '', 'https://schema.org/ratingCount'),
('ratingValue', 'The rating for the content.', 'The rating for the content.', '', 'https://schema.org/ratingValue'),
('recipeCategory', 'The category of the recipeâ€”for example, appetizer, entree, etc.', 'The category of the recipeâ€”for example, appetizer, entree, etc.', '', 'https://schema.org/recipeCategory'),
('recipeCuisine', 'The cuisine of the recipe (for example, French or Ethopian).', 'The cuisine of the recipe (for example, French or Ethopian).', '', 'https://schema.org/recipeCuisine'),
('recipeInstructions', 'The steps to make the dish.', 'The steps to make the dish.', '', 'https://schema.org/recipeInstructions'),
('recipeYield', 'The quantity produced by the recipe (for example, number of people served, number of servings, etc).', 'The quantity produced by the recipe (for example, number of people served, number of servings, etc).', '', 'https://schema.org/recipeYield'),
('recognizingAuthority', 'If applicable, the organization that officially recognizes this entity as part of its endorsed system of medicine.', 'If applicable, the organization that officially recognizes this entity as part of its endorsed system of medicine.', '', 'https://schema.org/recognizingAuthority'),
('recommendationStrength', 'Strength of the guideline''s recommendation (e.g. ''class I'').', 'Strength of the guideline''s recommendation (e.g. ''class I'').', '', 'https://schema.org/recommendationStrength'),
('recommendedIntake', 'Recommended intake of this supplement for a given population as defined by a specific recommending authority.', 'Recommended intake of this supplement for a given population as defined by a specific recommending authority.', '', 'https://schema.org/recommendedIntake'),
('regionDrained', 'The anatomical or organ system drained by this vessel; generally refers to a specific part of an organ.', 'The anatomical or organ system drained by this vessel; generally refers to a specific part of an organ.', '', 'https://schema.org/regionDrained'),
('regionsAllowed', 'The regions where the media is allowed. If not specified, then it''s assumed to be allowed everywhere. Specify the countries in <a href="http://en.wikipedia.org/wiki/ISO_3166">ISO 3166 format</a>.', 'The regions where the media is allowed. If not specified, then it''s assumed to be allowed everywhere. Specify the countries in ISO 3166 format.', '', 'https://schema.org/regionsAllowed'),
('relatedAnatomy', 'Anatomical systems or structures that relate to the superficial anatomy.', 'Anatomical systems or structures that relate to the superficial anatomy.', '', 'https://schema.org/relatedAnatomy'),
('relatedCondition', 'A medical condition associated with this anatomy.', 'A medical condition associated with this anatomy.', '', 'https://schema.org/relatedCondition'),
('relatedDrug', 'Any other drug related to this one, for example commonly-prescribed alternatives.', 'Any other drug related to this one, for example commonly-prescribed alternatives.', '', 'https://schema.org/relatedDrug'),
('relatedLink', 'A link related to this web page, for example to other related web pages.', 'A link related to this web page, for example to other related web pages.', '', 'https://schema.org/relatedLink'),
('relatedStructure', 'Related anatomical structure(s) that are not part of the system but relate or connect to it, such as vascular bundles associated with an organ system.', 'Related anatomical structure(s) that are not part of the system but relate or connect to it, such as vascular bundles associated with an organ system.', '', 'https://schema.org/relatedStructure'),
('relatedTherapy', 'A medical therapy related to this anatomy.', 'A medical therapy related to this anatomy.', '', 'https://schema.org/relatedTherapy'),
('relatedTo', 'The most generic familial relation.', 'The most generic familial relation.', '', 'https://schema.org/relatedTo'),
('releaseNotes', 'Description of what changed in this version.', 'Description of what changed in this version.', '', 'https://schema.org/releaseNotes'),
('relevantSpecialty', 'If applicable, a medical specialty in which this entity is relevant.', 'If applicable, a medical specialty in which this entity is relevant.', '', 'https://schema.org/relevantSpecialty'),
('repetitions', 'Number of times one should repeat the activity.', 'Number of times one should repeat the activity.', '', 'https://schema.org/repetitions'),
('replyToUrl', 'The URL at which a reply may be posted to the specified UserComment.', 'The URL at which a reply may be posted to the specified UserComment.', '', 'https://schema.org/replyToUrl'),
('representativeOfPage', 'Indicates whether this image is representative of the content of the page.', 'Indicates whether this image is representative of the content of the page.', '', 'https://schema.org/representativeOfPage'),
('requirements', 'Component dependency requirements for application. This includes runtime environments and shared libraries that are not included in the application distribution package, but required to run the application (Examples: DirectX, Java or .NET runtime).', 'Component dependency requirements for application. This includes runtime environments and shared libraries that are not included in the application distribution package, but required to run the application (Examples: DirectX, Java or .NET runtime).', '', 'https://schema.org/requirements'),
('requiresSubscription', 'Indicates if use of the media require a subscription  (either paid or free). Allowed values are <code>yes</code> or <code>no</code>.', 'Indicates if use of the media require a subscription  (either paid or free). Allowed values are yes or no.', '', 'https://schema.org/requiresSubscription'),
('responsibilities', 'Responsibilities associated with this role.', 'Responsibilities associated with this role.', '', 'https://schema.org/responsibilities'),
('restPeriods', 'How often one should break from the activity.', 'How often one should break from the activity.', '', 'https://schema.org/restPeriods'),
('review', 'A review of the item.', 'A review of the item.', '', 'https://schema.org/review'),
('reviewBody', 'The actual body of the review', 'The actual body of the review', '', 'https://schema.org/reviewBody'),
('reviewCount', 'The count of total number of reviews.', 'The count of total number of reviews.', '', 'https://schema.org/reviewCount'),
('reviewRating', 'The rating given in this review. Note that reviews can themselves be rated. The <code>reviewRating</code> applies to rating given by the review. The <code>aggregateRating</code> property applies to the review itself, as a creative work.', 'The rating given in this review. Note that reviews can themselves be rated. The reviewRating applies to rating given by the review. The aggregateRating property applies to the review itself, as a creative work.', '', 'https://schema.org/reviewRating'),
('reviewedBy', 'People or organizations that have reviewed the content on this web page for accuracy and/or completeness.', 'People or organizations that have reviewed the content on this web page for accuracy and/or completeness.', '', 'https://schema.org/reviewedBy'),
('reviews', 'Review of the item (legacy spelling; see singular form, review).', 'Review of the item (legacy spelling; see singular form, review).', '', 'https://schema.org/reviews'),
('riskFactor', 'A modifiable or non-modifiable factor that increases the risk of a patient contracting this condition, e.g. age,  coexisting condition.', 'A modifiable or non-modifiable factor that increases the risk of a patient contracting this condition, e.g. age,  coexisting condition.', '', 'https://schema.org/riskFactor'),
('risks', 'Specific physiologic risks associated to the plan.', 'Specific physiologic risks associated to the plan.', '', 'https://schema.org/risks'),
('runsTo', 'The vasculature the lymphatic structure runs, or efferents, to.', 'The vasculature the lymphatic structure runs, or efferents, to.', '', 'https://schema.org/runsTo'),
('safetyConsideration', 'Any potential safety concern associated with the supplement. May include interactions with other drugs and foods, pregnancy, breastfeeding, known adverse reactions, and documented efficacy of the supplement.', 'Any potential safety concern associated with the supplement. May include interactions with other drugs and foods, pregnancy, breastfeeding, known adverse reactions, and documented efficacy of the supplement.', '', 'https://schema.org/safetyConsideration'),
('salaryCurrency', 'The currency (coded using ISO 4217, http://en.wikipedia.org/wiki/ISO_4217 used for the main salary information in this job posting.', 'The currency (coded using ISO 4217, http://en.wikipedia.org/wiki/ISO_4217 used for the main salary information in this job posting.', '', 'https://schema.org/salaryCurrency'),
('saturatedFatContent', 'The number of grams of saturated fat.', 'The number of grams of saturated fat.', '', 'https://schema.org/saturatedFatContent'),
('screenshot', 'A link to a screenshot image of the app.', 'A link to a screenshot image of the app.', '', 'https://schema.org/screenshot'),
('season', 'A season of a TV series.', 'A season of a TV series.', '', 'https://schema.org/season'),
('seasonNumber', 'The season number.', 'The season number.', '', 'https://schema.org/seasonNumber'),
('seasons', 'The seasons of the TV series (legacy spelling; see singular form, season).', 'The seasons of the TV series (legacy spelling; see singular form, season).', '', 'https://schema.org/seasons'),
('secondaryPrevention', 'A preventative therapy used to prevent reoccurrence of the medical condition after an initial episode of the condition.', 'A preventative therapy used to prevent reoccurrence of the medical condition after an initial episode of the condition.', '', 'https://schema.org/secondaryPrevention'),
('seller', 'The seller of the product.', 'The seller of the product.', '', 'https://schema.org/seller'),
('sensoryUnit', 'The neurological pathway extension that inputs and sends information to the brain or spinal cord.', 'The neurological pathway extension that inputs and sends information to the brain or spinal cord.', '', 'https://schema.org/sensoryUnit'),
('seriousAdverseOutcome', 'A possible serious complication and/or serious side effect of this therapy. Serious adverse outcomes include those that are life-threatening; result in death, disability, or permanent damage; require hospitalization or prolong existing hospitalization; cause congenital anomalies or birth defects; or jeopardize the patient and may require medical or surgical intervention to prevent one of the outcomes in this definition.', 'A possible serious complication and/or serious side effect of this therapy. Serious adverse outcomes include those that are life-threatening; result in death, disability, or permanent damage; require hospitalization or prolong existing hospitalization; cause congenital anomalies or birth defects; or jeopardize the patient and may require medical or surgical intervention to prevent one of the outcomes in this definition.', '', 'https://schema.org/seriousAdverseOutcome'),
('servesCuisine', 'The cuisine of the restaurant.', 'The cuisine of the restaurant.', '', 'https://schema.org/servesCuisine'),
('servingSize', 'The serving size, in terms of the number of volume or mass', 'The serving size, in terms of the number of volume or mass', '', 'https://schema.org/servingSize'),
('sibling', 'A sibling of the person.', 'A sibling of the person.', '', 'https://schema.org/sibling'),
('siblings', 'A sibling of the person (legacy spelling; see singular form, sibling).', 'A sibling of the person (legacy spelling; see singular form, sibling).', '', 'https://schema.org/siblings'),
('signDetected', 'A sign detected by the test.', 'A sign detected by the test.', '', 'https://schema.org/signDetected'),
('signOrSymptom', 'A sign or symptom of this condition. Signs are objective or physically observable manifestations of the medical condition while symptoms are the subjective experienceof the medical condition.', 'A sign or symptom of this condition. Signs are objective or physically observable manifestations of the medical condition while symptoms are the subjective experienceof the medical condition.', '', 'https://schema.org/signOrSymptom'),
('significance', 'The significance associated with the superficial anatomy; as an example, how characteristics of the superficial anatomy can suggest underlying medical conditions or courses of treatment.', 'The significance associated with the superficial anatomy; as an example, how characteristics of the superficial anatomy can suggest underlying medical conditions or courses of treatment.', '', 'https://schema.org/significance'),
('significantLink', 'One of the more significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most.', 'One of the more significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most.', '', 'https://schema.org/significantLink'),
('significantLinks', 'The most significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most (legacy spelling; see singular form, significantLink).', 'The most significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most (legacy spelling; see singular form, significantLink).', '', 'https://schema.org/significantLinks'),
('skills', 'Skills required to fulfill this role.', 'Skills required to fulfill this role.', '', 'https://schema.org/skills'),
('sodiumContent', 'The number of milligrams of sodium.', 'The number of milligrams of sodium.', '', 'https://schema.org/sodiumContent'),
('softwareVersion', 'Version of the software instance.', 'Version of the software instance.', '', 'https://schema.org/softwareVersion'),
('source', 'The anatomical or organ system that the artery originates from.', 'The anatomical or organ system that the artery originates from.', '', 'https://schema.org/source'),
('sourceOrganization', 'The Organization on whose behalf the creator was working.', 'The Organization on whose behalf the creator was working.', '', 'https://schema.org/sourceOrganization'),
('sourcedFrom', 'The neurological pathway that originates the neurons.', 'The neurological pathway that originates the neurons.', '', 'https://schema.org/sourcedFrom'),
('specialCommitments', 'Any special commitments associated with this job posting. Valid entries include VeteranCommit, MilitarySpouseCommit, etc.', 'Any special commitments associated with this job posting. Valid entries include VeteranCommit, MilitarySpouseCommit, etc.', '', 'https://schema.org/specialCommitments'),
('specialty', 'One of the domain specialities to which this web page''s content applies.', 'One of the domain specialities to which this web page''s content applies.', '', 'https://schema.org/specialty'),
('sponsor', 'Sponsor of the study.', 'Sponsor of the study.', '', 'https://schema.org/sponsor'),
('spouse', 'The person''s spouse.', 'The person''s spouse.', '', 'https://schema.org/spouse'),
('stage', 'The stage of the condition, if applicable.', 'The stage of the condition, if applicable.', '', 'https://schema.org/stage'),
('stageAsNumber', 'The stage represented as a number, e.g. 3.', 'The stage represented as a number, e.g. 3.', '', 'https://schema.org/stageAsNumber'),
('startDate', 'The start date and time of the event (in <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 date format</a>).', 'The start date and time of the event (in ISO 8601 date format).', '', 'https://schema.org/startDate'),
('status', 'The status of the study (enumerated).', 'The status of the study (enumerated).', '', 'https://schema.org/status'),
('storageRequirements', 'Storage requirements (free space required).', 'Storage requirements (free space required).', '', 'https://schema.org/storageRequirements'),
('streetAddress', 'The street address. For example, 1600 Amphitheatre Pkwy.', 'The street address. For example, 1600 Amphitheatre Pkwy.', '', 'https://schema.org/streetAddress'),
('strengthUnit', 'The units of an active ingredient''s strength, e.g. mg.', 'The units of an active ingredient''s strength, e.g. mg.', '', 'https://schema.org/strengthUnit'),
('strengthValue', 'The value of an active ingredient''s strength, e.g. 325.', 'The value of an active ingredient''s strength, e.g. 325.', '', 'https://schema.org/strengthValue'),
('structuralClass', 'The name given to how bone physically connects to each other.', 'The name given to how bone physically connects to each other.', '', 'https://schema.org/structuralClass'),
('study', 'A medical study or trial related to this entity.', 'A medical study or trial related to this entity.', '', 'https://schema.org/study'),
('studyDesign', 'Specifics about the observational study design (enumerated).', 'Specifics about the observational study design (enumerated).', '', 'https://schema.org/studyDesign'),
('studyLocation', 'The location in which the study is taking/took place.', 'The location in which the study is taking/took place.', '', 'https://schema.org/studyLocation'),
('studySubject', 'A subject of the study, i.e. one of the medical conditions, therapies, devices, drugs, etc. investigated by the study.', 'A subject of the study, i.e. one of the medical conditions, therapies, devices, drugs, etc. investigated by the study.', '', 'https://schema.org/studySubject'),
('subEvent', 'An Event that is part of this event. For example, a conference event includes many presentations, each are a subEvent of the conference.', 'An Event that is part of this event. For example, a conference event includes many presentations, each are a subEvent of the conference.', '', 'https://schema.org/subEvent'),
('subEvents', 'Events that are a part of this event. For example, a conference event includes many presentations, each are subEvents of the conference (legacy spelling; see singular form, subEvent).', 'Events that are a part of this event. For example, a conference event includes many presentations, each are subEvents of the conference (legacy spelling; see singular form, subEvent).', '', 'https://schema.org/subEvents'),
('subStageSuffix', 'The substage, e.g. ''a'' for Stage IIIa.', 'The substage, e.g. ''a'' for Stage IIIa.', '', 'https://schema.org/subStageSuffix'),
('subStructure', 'Component (sub-)structure(s) that comprise this anatomical structure.', 'Component (sub-)structure(s) that comprise this anatomical structure.', '', 'https://schema.org/subStructure'),
('subTest', 'A component test of the panel.', 'A component test of the panel.', '', 'https://schema.org/subTest'),
('subtype', 'A more specific type of the condition, where applicable, for example ''Type 1 Diabetes'', ''Type 2 Diabetes'', or ''Gestational Diabetes'' for Diabetes.', 'A more specific type of the condition, where applicable, for example ''Type 1 Diabetes'', ''Type 2 Diabetes'', or ''Gestational Diabetes'' for Diabetes.', '', 'https://schema.org/subtype'),
('sugarContent', 'The number of grams of sugar.', 'The number of grams of sugar.', '', 'https://schema.org/sugarContent'),
('superEvent', 'An event that this event is a part of. For example, a collection of individual music performances might each have a music festival as their superEvent.', 'An event that this event is a part of. For example, a collection of individual music performances might each have a music festival as their superEvent.', '', 'https://schema.org/superEvent'),
('supplyTo', 'The area to which the artery supplies blood to.', 'The area to which the artery supplies blood to.', '', 'https://schema.org/supplyTo'),
('targetPopulation', 'Characteristics of the population for which this is intended, or which typically uses it, e.g. ''adults''.', 'Characteristics of the population for which this is intended, or which typically uses it, e.g. ''adults''.', '', 'https://schema.org/targetPopulation'),
('telephone', 'The telephone number.', 'The telephone number.', '', 'https://schema.org/telephone'),
('text', 'The textual content of this CreativeWork.', 'The textual content of this CreativeWork.', '', 'https://schema.org/text'),
('thumbnail', 'Thumbnail image for an image or video.', 'Thumbnail image for an image or video.', '', 'https://schema.org/thumbnail'),
('thumbnailUrl', 'A thumbnail image relevant to the Thing.', 'A thumbnail image relevant to the Thing.', '', 'https://schema.org/thumbnailUrl'),
('tickerSymbol', 'The exchange traded instrument associated with a Corporation object. The tickerSymbol is expressed as an exchange and an instrument name separated by a space character. For the exchange component of the tickerSymbol attribute, we reccommend using the controlled vocaulary of Market Identifier Codes (MIC) specified in ISO15022.', 'The exchange traded instrument associated with a Corporation object. The tickerSymbol is expressed as an exchange and an instrument name separated by a space character. For the exchange component of the tickerSymbol attribute, we reccommend using the controlled vocaulary of Market Identifier Codes (MIC) specified in ISO15022.', '', 'https://schema.org/tickerSymbol'),
('tissueSample', 'The type of tissue sample required for the test.', 'The type of tissue sample required for the test.', '', 'https://schema.org/tissueSample'),
('title', 'The title of the job.', 'The title of the job.', '', 'https://schema.org/title'),
('totalTime', 'The total time it takes to prepare and cook the recipe, in <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 duration format</a>.', 'The total time it takes to prepare and cook the recipe, in ISO 8601 duration format.', '', 'https://schema.org/totalTime'),
('track', 'A music recording (track)â€”usually a single song.', 'A music recording (track)â€”usually a single song.', '', 'https://schema.org/track'),
('tracks', 'A music recording (track)â€”usually a single song (legacy spelling; see singular form, track).', 'A music recording (track)â€”usually a single song (legacy spelling; see singular form, track).', '', 'https://schema.org/tracks'),
('trailer', 'The trailer of the movie or TV series, season, or episode.', 'The trailer of the movie or TV series, season, or episode.', '', 'https://schema.org/trailer'),
('transFatContent', 'The number of grams of trans fat.', 'The number of grams of trans fat.', '', 'https://schema.org/transFatContent'),
('transcript', 'If this MediaObject is an AudioObject or VideoObject, the transcript of that object.', 'If this MediaObject is an AudioObject or VideoObject, the transcript of that object.', '', 'https://schema.org/transcript'),
('transmissionMethod', 'How the disease spreads, either as a route or vector, for example ''direct contact'', ''Aedes aegypti'', etc.', 'How the disease spreads, either as a route or vector, for example ''direct contact'', ''Aedes aegypti'', etc.', '', 'https://schema.org/transmissionMethod'),
('trialDesign', 'Specifics about the trial design (enumerated).', 'Specifics about the trial design (enumerated).', '', 'https://schema.org/trialDesign'),
('tributary', 'The anatomical or organ system that the vein flows into; a larger structure that the vein connects to.', 'The anatomical or organ system that the vein flows into; a larger structure that the vein connects to.', '', 'https://schema.org/tributary'),
('typicalTest', 'A medical test typically performed given this condition.', 'A medical test typically performed given this condition.', '', 'https://schema.org/typicalTest'),
('unsaturatedFatContent', 'The number of grams of unsaturated fat.', 'The number of grams of unsaturated fat.', '', 'https://schema.org/unsaturatedFatContent'),
('uploadDate', 'Date when this media object was uploaded to this site.', 'Date when this media object was uploaded to this site.', '', 'https://schema.org/uploadDate'),
('url', 'URL of the item.', 'URL of the item.', '', 'https://schema.org/url'),
('usedToDiagnose', 'A condition the test is used to diagnose.', 'A condition the test is used to diagnose.', '', 'https://schema.org/usedToDiagnose'),
('usesDevice', 'Device used to perform the test.', 'Device used to perform the test.', '', 'https://schema.org/usesDevice'),
('version', 'The version of the CreativeWork embodied by a specified resource.', 'The version of the CreativeWork embodied by a specified resource.', '', 'https://schema.org/version'),
('video', 'An embedded video object.', 'An embedded video object.', '', 'https://schema.org/video'),
('videoFrameSize', 'The frame size of the video.', 'The frame size of the video.', '', 'https://schema.org/videoFrameSize'),
('videoQuality', 'The quality of the video.', 'The quality of the video.', '', 'https://schema.org/videoQuality'),
('warning', 'Any FDA or other warnings about the drug (text or URL).', 'Any FDA or other warnings about the drug (text or URL).', '', 'https://schema.org/warning'),
('width', 'The width of the media object.', 'The width of the media object.', '', 'https://schema.org/width'),
('wordCount', 'The number of words in the text of the Article.', 'The number of words in the text of the Article.', '', 'https://schema.org/wordCount'),
('workHours', 'The typical working hours for this job (e.g. 1st shift, night shift, 8am-5pm).', 'The typical working hours for this job (e.g. 1st shift, night shift, 8am-5pm).', '', 'https://schema.org/workHours'),
('workLocation', 'A contact location for a person''s place of work.', 'A contact location for a person''s place of work.', '', 'https://schema.org/workLocation'),
('workload', 'Quantitative measure of the physiologic output of the exercise; also referred to as energy expenditure.', 'Quantitative measure of the physiologic output of the exercise; also referred to as energy expenditure.', '', 'https://schema.org/workload'),
('worksFor', 'Organizations that the person works for.', 'Organizations that the person works for.', '', 'https://schema.org/worksFor'),
('worstRating', 'The lowest value allowed in this rating system. If worstRating is omitted, 1 is assumed.', 'The lowest value allowed in this rating system. If worstRating is omitted, 1 is assumed.', '', 'https://schema.org/worstRating'),
('EBook', '', '', '', 'EBook'),
('Hardcover', '', '', '', 'Hardcover'),
('Paperback', '', '', '', 'Paperback'),
('ReimbursementCap', '', '', '', 'ReimbursementCap'),
('Retail', '', '', '', 'Retail'),
('Wholesale', '', '', '', 'Wholesale'),
('FDAcategoryA', '', '', '', 'FDAcategoryA'),
('FDAcategoryB', '', '', '', 'FDAcategoryB'),
('FDAcategoryC', '', '', '', 'FDAcategoryC'),
('FDAcategoryD', '', '', '', 'FDAcategoryD'),
('FDAcategoryX', '', '', '', 'FDAcategoryX'),
('FDAnotEvaluated', '', '', '', 'FDAnotEvaluated'),
('OTC', '', '', '', 'OTC'),
('PrescriptionOnly', '', '', '', 'PrescriptionOnly'),
('Bacteria', '', '', '', 'Bacteria'),
('Fungus', '', '', '', 'Fungus'),
('MulticellularParasite', '', '', '', 'MulticellularParasite'),
('Prion', '', '', '', 'Prion'),
('Protozoa', '', '', '', 'Protozoa'),
('Virus', '', '', '', 'Virus'),
('Discontinued', '', '', '', 'Discontinued'),
('InStock', '', '', '', 'InStock'),
('InStoreOnly', '', '', '', 'InStoreOnly'),
('OnlineOnly', '', '', '', 'OnlineOnly'),
('OutOfStock', '', '', '', 'OutOfStock'),
('PreOrder', '', '', '', 'PreOrder'),
('Clinician', '', '', '', 'Clinician'),
('Patient', '', '', '', 'Patient'),
('Researcher', '', '', '', 'Researcher');
INSERT IGNORE INTO `#__j4schema_properties` (`id_properties`, `pr_comment`, `pr_comment_plain`, `pr_ranges`, `pr_url`) VALUES
('Diagnostic', '', '', '', 'Diagnostic'),
('Therapeutic', '', '', '', 'Therapeutic'),
('EvidenceLevelA', '', '', '', 'EvidenceLevelA'),
('EvidenceLevelB', '', '', '', 'EvidenceLevelB'),
('EvidenceLevelC', '', '', '', 'EvidenceLevelC'),
('CT', '', '', '', 'CT'),
('MRI', '', '', '', 'MRI'),
('PET', '', '', '', 'PET'),
('Ultrasound', '', '', '', 'Ultrasound'),
('XRay', '', '', '', 'XRay'),
('CaseSeries', '', '', '', 'CaseSeries'),
('CohortStudy', '', '', '', 'CohortStudy'),
('CrossSectional', '', '', '', 'CrossSectional'),
('Longitudinal', '', '', '', 'Longitudinal'),
('Observational', '', '', '', 'Observational'),
('Registry', '', '', '', 'Registry'),
('NoninvasiveProcedure', '', '', '', 'NoninvasiveProcedure'),
('PercutaneousProcedure', '', '', '', 'PercutaneousProcedure'),
('SurgicalProcedure', '', '', '', 'SurgicalProcedure'),
('Anesthesia', '', '', '', 'Anesthesia'),
('Cardiovascular', '', '', '', 'Cardiovascular'),
('CommunityHealth', '', '', '', 'CommunityHealth'),
('Dentistry', '', '', '', 'Dentistry'),
('Dermatologic', '', '', '', 'Dermatologic'),
('DietNutrition', '', '', '', 'DietNutrition'),
('Emergency', '', '', '', 'Emergency'),
('Endocrine', '', '', '', 'Endocrine'),
('Gastroenterologic', '', '', '', 'Gastroenterologic'),
('Genetic', '', '', '', 'Genetic'),
('Geriatric', '', '', '', 'Geriatric'),
('Gynecologic', '', '', '', 'Gynecologic'),
('Hematologic', '', '', '', 'Hematologic'),
('Infectious', '', '', '', 'Infectious'),
('LaboratoryScience', '', '', '', 'LaboratoryScience'),
('Midwifery', '', '', '', 'Midwifery'),
('Musculoskeletal', '', '', '', 'Musculoskeletal'),
('Neurologic', '', '', '', 'Neurologic'),
('Nursing', '', '', '', 'Nursing'),
('Obstetric', '', '', '', 'Obstetric'),
('OccupationalTherapy', '', '', '', 'OccupationalTherapy'),
('Oncologic', '', '', '', 'Oncologic'),
('Optometic', '', '', '', 'Optometic'),
('Otolaryngologic', '', '', '', 'Otolaryngologic'),
('Pathology', '', '', '', 'Pathology'),
('Pediatric', '', '', '', 'Pediatric'),
('Pharmacy', '', '', '', 'Pharmacy'),
('Physiotherapy', '', '', '', 'Physiotherapy'),
('PlasticSurgery', '', '', '', 'PlasticSurgery'),
('Podiatric', '', '', '', 'Podiatric'),
('PrimaryCare', '', '', '', 'PrimaryCare'),
('Psychiatric', '', '', '', 'Psychiatric'),
('PublicHealth', '', '', '', 'PublicHealth'),
('Pulmonary', '', '', '', 'Pulmonary'),
('Radiograpy', '', '', '', 'Radiograpy'),
('Renal', '', '', '', 'Renal'),
('RespiratoryTherapy', '', '', '', 'RespiratoryTherapy'),
('Rheumatologic', '', '', '', 'Rheumatologic'),
('SpeechPathology', '', '', '', 'SpeechPathology'),
('Surgical', '', '', '', 'Surgical'),
('Toxicologic', '', '', '', 'Toxicologic'),
('Urologic', '', '', '', 'Urologic'),
('ActiveNotRecruiting', '', '', '', 'ActiveNotRecruiting'),
('Completed', '', '', '', 'Completed'),
('EnrollingByInvitation', '', '', '', 'EnrollingByInvitation'),
('NotYetRecruiting', '', '', '', 'NotYetRecruiting'),
('Recruiting', '', '', '', 'Recruiting'),
('ResultsAvailable', '', '', '', 'ResultsAvailable'),
('ResultsNotAvailable', '', '', '', 'ResultsNotAvailable'),
('Suspended', '', '', '', 'Suspended'),
('Terminated', '', '', '', 'Terminated'),
('Withdrawn', '', '', '', 'Withdrawn'),
('DoubleBlindedTrial', '', '', '', 'DoubleBlindedTrial'),
('InternationalTrial', '', '', '', 'InternationalTrial'),
('MultiCenterTrial', '', '', '', 'MultiCenterTrial'),
('OpenTrial', '', '', '', 'OpenTrial'),
('PlaceboControlledTrial', '', '', '', 'PlaceboControlledTrial'),
('RandomizedTrial', '', '', '', 'RandomizedTrial'),
('SingleBlindedTrial', '', '', '', 'SingleBlindedTrial'),
('SingleCenterTrial', '', '', '', 'SingleCenterTrial'),
('TripleBlindedTrial', '', '', '', 'TripleBlindedTrial'),
('Ayurvedic', '', '', '', 'Ayurvedic'),
('Chiropractic', '', '', '', 'Chiropractic'),
('Homeopathic', '', '', '', 'Homeopathic'),
('Osteopathic', '', '', '', 'Osteopathic'),
('TraditionalChinese', '', '', '', 'TraditionalChinese'),
('WesternConventional', '', '', '', 'WesternConventional'),
('DamagedCondition', '', '', '', 'DamagedCondition'),
('NewCondition', '', '', '', 'NewCondition'),
('RefurbishedCondition', '', '', '', 'RefurbishedCondition'),
('UsedCondition', '', '', '', 'UsedCondition'),
('AerobicActivity', '', '', '', 'AerobicActivity'),
('AnaerobicActivity', '', '', '', 'AnaerobicActivity'),
('Balance', '', '', '', 'Balance'),
('Flexibility', '', '', '', 'Flexibility'),
('LeisureTimeActivity', '', '', '', 'LeisureTimeActivity'),
('OccupationalActivity', '', '', '', 'OccupationalActivity'),
('StrengthTraining', '', '', '', 'StrengthTraining'),
('Abdomen', '', '', '', 'Abdomen'),
('Appearance', '', '', '', 'Appearance'),
('Ear', '', '', '', 'Ear'),
('Eye', '', '', '', 'Eye'),
('Genitourinary', '', '', '', 'Genitourinary'),
('Head', '', '', '', 'Head'),
('Lung', '', '', '', 'Lung'),
('Neck', '', '', '', 'Neck'),
('Neuro', '', '', '', 'Neuro'),
('Nose', '', '', '', 'Nose'),
('Skin', '', '', '', 'Skin'),
('Throat', '', '', '', 'Throat'),
('VitalSign', '', '', '', 'VitalSign'),
('False', '', '', '', 'False'),
('True', '', '', '', 'True');

INSERT IGNORE INTO `#__j4schema_prop_values` (`pv_id_properties`, `pv_value`, `pv_enum`) VALUES
('about', 'Thing', 0),
('acceptsReservations', 'Text', 0),
('acceptsReservations', 'URL', 0),
('accountablePerson', 'Person', 0),
('action', 'Text', 0),
('activeIngredient', 'Text', 0),
('activityDuration', 'Duration', 0),
('activityFrequency', 'Text', 0),
('actor', 'Person', 0),
('actors', 'Person', 0),
('additionalName', 'Text', 0),
('additionalType', 'URL', 0),
('additionalVariable', 'Text', 0),
('address', 'PostalAddress', 0),
('addressCountry', 'Country', 0),
('addressLocality', 'Text', 0),
('addressRegion', 'Text', 0),
('administrationRoute', 'Text', 0),
('adverseOutcome', 'MedicalEntity', 0),
('affectedBy', 'Drug', 0),
('affiliation', 'Organization', 0),
('aggregateRating', 'AggregateRating', 0),
('album', 'MusicAlbum', 0),
('albums', 'MusicAlbum', 0),
('alcoholWarning', 'Text', 0),
('algorithm', 'Text', 0),
('alternateName', 'Text', 0),
('alternativeHeadline', 'Text', 0),
('alumni', 'Person', 0),
('alumniOf', 'EducationalOrganization', 0),
('antagonist', 'Muscle', 0),
('applicableLocation', 'AdministrativeArea', 0),
('applicationCategory', 'Text', 0),
('applicationCategory', 'URL', 0),
('applicationSubCategory', 'Text', 0),
('applicationSubCategory', 'URL', 0),
('applicationSuite', 'Text', 0),
('arterialBranch', 'AnatomicalStructure', 0),
('articleBody', 'Text', 0),
('articleSection', 'Text', 0),
('aspect', 'Text', 0),
('associatedAnatomy', 'AnatomicalSystem', 0),
('associatedAnatomy', 'SuperficialAnatomy', 0),
('associatedAnatomy', 'AnatomicalStructure', 0),
('associatedArticle', 'NewsArticle', 0),
('associatedMedia', 'MediaObject', 0),
('associatedPathophysiology', 'Text', 0),
('attendee', 'Person', 0),
('attendee', 'Organization', 0),
('attendees', 'Person', 0),
('attendees', 'Organization', 0),
('audience', 'Audience', 0),
('audio', 'AudioObject', 0),
('author', 'Person', 0),
('author', 'Organization', 0),
('availability', 'ItemAvailability', 0),
('availableIn', 'AdministrativeArea', 0),
('availableService', 'MedicalTest', 0),
('availableService', 'MedicalProcedure', 0),
('availableService', 'MedicalTherapy', 0),
('availableStrength', 'DrugStrength', 0),
('availableTest', 'MedicalTest', 0),
('award', 'Text', 0),
('awards', 'Text', 0),
('background', 'Text', 0),
('baseSalary', 'Number', 0),
('benefits', 'Text', 0),
('bestRating', 'Number', 0),
('bestRating', 'Text', 0),
('biomechnicalClass', 'Text', 0),
('birthDate', 'Date', 0),
('bitrate', 'Text', 0),
('blogPost', 'BlogPosting', 0),
('blogPosts', 'BlogPosting', 0),
('bloodSupply', 'Vessel', 0),
('bodyLocation', 'Text', 0),
('bookEdition', 'Text', 0),
('bookFormat', 'BookFormatType', 0),
('box', 'Text', 0),
('branch', 'Nerve', 0),
('branch', 'AnatomicalStructure', 0),
('branchOf', 'Organization', 0),
('brand', 'Organization', 0),
('breadcrumb', 'Text', 0),
('breastfeedingWarning', 'Text', 0),
('browserRequirements', 'Text', 0),
('byArtist', 'MusicGroup', 0),
('calories', 'Energy', 0),
('caption', 'Text', 0),
('carbohydrateContent', 'Mass', 0),
('carrierRequirements', 'Text', 0),
('category', 'PhysicalActivityCategory', 0),
('cause', 'MedicalCause', 0),
('causeOf', 'MedicalEntity', 0),
('children', 'Person', 0),
('cholesterolContent', 'Mass', 0),
('circle', 'Text', 0),
('citation', 'CreativeWork', 0),
('citation', 'Text', 0),
('clincalPharmacology', 'Text', 0),
('code', 'MedicalCode', 0),
('codeValue', 'Text', 0),
('codingSystem', 'Text', 0),
('colleague', 'Person', 0),
('colleagues', 'Person', 0),
('comment', 'UserComments', 0),
('commentText', 'Text', 0),
('commentTime', 'Date', 0),
('comprisedOf', 'AnatomicalStructure', 0),
('comprisedOf', 'AnatomicalSystem', 0),
('connectedTo', 'AnatomicalStructure', 0),
('contactPoint', 'ContactPoint', 0),
('contactPoints', 'ContactPoint', 0),
('contactType', 'Text', 0),
('containedIn', 'Place', 0),
('contentLocation', 'Place', 0),
('contentRating', 'Text', 0),
('contentSize', 'Text', 0),
('contentUrl', 'URL', 0),
('contraindication', 'MedicalContraindication', 0),
('contributor', 'Person', 0),
('contributor', 'Organization', 0),
('cookTime', 'Duration', 0),
('cookingMethod', 'Text', 0),
('copyrightHolder', 'Person', 0),
('copyrightHolder', 'Organization', 0),
('copyrightYear', 'Number', 0),
('cost', 'DrugCost', 0),
('costCategory', 'DrugCostCategory', 0),
('costCurrency', 'Text', 0),
('costOrigin', 'Text', 0),
('costPerUnit', 'Number', 0),
('costPerUnit', 'Text', 0),
('countriesNotSupported', 'Text', 0),
('countriesSupported', 'Text', 0),
('creator', 'Person', 0),
('creator', 'Organization', 0),
('currenciesAccepted', 'Text', 0),
('dateCreated', 'Date', 0),
('dateModified', 'Date', 0),
('datePosted', 'Date', 0),
('datePublished', 'Date', 0),
('dateline', 'Text', 0),
('deathDate', 'Date', 0),
('description', 'Text', 0),
('device', 'Text', 0),
('diagnosis', 'MedicalCondition', 0),
('diagram', 'ImageObject', 0),
('dietFeatures', 'Text', 0),
('differentialDiagnosis', 'DDxElement', 0),
('director', 'Person', 0),
('discusses', 'CreativeWork', 0),
('discussionUrl', 'URL', 0),
('distinguishingSign', 'MedicalSignOrSymptom', 0),
('dosageForm', 'Text', 0),
('doseSchedule', 'DoseSchedule', 0),
('doseUnit', 'Text', 0),
('doseValue', 'Number', 0),
('downloadUrl', 'URL', 0),
('drainsTo', 'Vessel', 0),
('drug', 'Drug', 0),
('drugClass', 'DrugClass', 0),
('drugUnit', 'Text', 0),
('duplicateTherapy', 'MedicalTherapy', 0),
('duration', 'Duration', 0),
('editor', 'Person', 0),
('educationRequirements', 'Text', 0),
('elevation', 'Text', 0),
('elevation', 'Number', 0),
('email', 'Text', 0),
('embedUrl', 'URL', 0),
('employee', 'Person', 0),
('employees', 'Person', 0),
('employmentType', 'Text', 0),
('encodesCreativeWork', 'CreativeWork', 0),
('encoding', 'MediaObject', 0),
('encodingFormat', 'Text', 0),
('encodings', 'MediaObject', 0),
('endDate', 'Date', 0),
('endorsers', 'Person', 0),
('endorsers', 'Organization', 0),
('epidemiology', 'Text', 0),
('episode', 'TVEpisode', 0),
('episodeNumber', 'Number', 0),
('episodes', 'TVEpisode', 0),
('estimatesRiskOf', 'MedicalEntity', 0),
('event', 'Event', 0),
('events', 'Event', 0),
('evidenceLevel', 'MedicalEvidenceLevel', 0),
('evidenceOrigin', 'Text', 0),
('exerciseType', 'Text', 0),
('exifData', 'Text', 0),
('expectedPrognosis', 'Text', 0),
('experienceRequirements', 'Text', 0),
('expertConsiderations', 'Text', 0),
('expires', 'Date', 0),
('familyName', 'Text', 0),
('fatContent', 'Mass', 0),
('faxNumber', 'Text', 0),
('featureList', 'URL', 0),
('featureList', 'Text', 0),
('fiberContent', 'Mass', 0),
('fileFormat', 'Text', 0),
('fileSize', 'Integer', 0),
('follows', 'Person', 0),
('followup', 'Text', 0),
('foodWarning', 'Text', 0),
('founder', 'Person', 0),
('founders', 'Person', 0),
('foundingDate', 'Date', 0),
('frequency', 'Text', 0),
('function', 'Text', 0),
('functionalClass', 'Text', 0),
('gender', 'Text', 0),
('genre', 'Text', 0),
('geo', 'GeoCoordinates', 0),
('geo', 'GeoShape', 0),
('givenName', 'Text', 0),
('guideline', 'MedicalGuideline', 0),
('guidelineDate', 'Date', 0),
('guidelineSubject', 'MedicalEntity', 0),
('headline', 'Text', 0),
('height', 'Distance', 0),
('highPrice', 'Number', 0),
('highPrice', 'Text', 0),
('hiringOrganization', 'Organization', 0),
('homeLocation', 'Place', 0),
('homeLocation', 'ContactPoint', 0),
('honorificPrefix', 'Text', 0),
('honorificSuffix', 'Text', 0),
('hospitalAffiliation', 'Hospital', 0),
('howPerformed', 'Text', 0),
('identifyingExam', 'PhysicalExam', 0),
('identifyingTest', 'MedicalTest', 0),
('illustrator', 'Person', 0),
('image', 'URL', 0),
('imagingTechnique', 'MedicalImagingTechnique', 0),
('inAlbum', 'MusicAlbum', 0),
('inLanguage', 'Text', 0),
('inPlaylist', 'MusicPlaylist', 0),
('incentives', 'Text', 0),
('includedRiskFactor', 'MedicalRiskFactor', 0),
('increasesRiskOf', 'MedicalEntity', 0),
('indication', 'MedicalIndication', 0),
('industry', 'Text', 0),
('infectiousAgent', 'Text', 0),
('infectiousAgentClass', 'InfectiousAgentClass', 0),
('ingredients', 'Text', 0),
('insertion', 'AnatomicalStructure', 0),
('installUrl', 'URL', 0),
('intensity', 'Text', 0),
('interactingDrug', 'Drug', 0),
('interactionCount', 'Text', 0),
('isAvailableGenerically', 'Boolean', 0),
('isFamilyFriendly', 'Boolean', 0),
('isPartOf', 'CollectionPage', 0),
('isProprietary', 'Boolean', 0),
('isbn', 'Text', 0),
('itemCondition', 'OfferItemCondition', 0),
('itemListElement', 'Text', 0),
('itemListOrder', 'Text', 0),
('itemOffered', 'Product', 0),
('itemReviewed', 'Thing', 0),
('jobLocation', 'Place', 0),
('jobTitle', 'Text', 0),
('keywords', 'Text', 0),
('knows', 'Person', 0),
('labelDetails', 'URL', 0),
('lastReviewed', 'Date', 0),
('latitude', 'Number', 0),
('latitude', 'Text', 0),
('legalStatus', 'DrugLegalStatus', 0),
('line', 'Text', 0),
('location', 'PostalAddress', 0),
('location', 'Place', 0),
('longitude', 'Number', 0),
('longitude', 'Text', 0),
('lowPrice', 'Number', 0),
('lowPrice', 'Text', 0),
('mainContentOfPage', 'WebPageElement', 0),
('manufacturer', 'Organization', 0),
('map', 'URL', 0),
('maps', 'URL', 0),
('maximumIntake', 'MaximumDoseSchedule', 0),
('mechanismOfAction', 'Text', 0),
('medicalSpecialty', 'MedicalSpecialty', 0),
('medicineSystem', 'MedicineSystem', 0),
('member', 'Person', 0),
('member', 'Organization', 0),
('memberOf', 'Organization', 0),
('members', 'Person', 0),
('members', 'Organization', 0),
('memoryRequirements', 'URL', 0),
('memoryRequirements', 'Text', 0),
('mentions', 'Thing', 0),
('menu', 'Text', 0),
('menu', 'URL', 0),
('model', 'Text', 0),
('musicBy', 'Person', 0),
('musicBy', 'MusicGroup', 0),
('musicGroupMember', 'Person', 0),
('name', 'Text', 0),
('nationality', 'Country', 0),
('naturalProgression', 'Text', 0),
('nerve', 'Nerve', 0),
('nerveMotor', 'Muscle', 0),
('nonProprietaryName', 'Text', 0),
('normalRange', 'Text', 0),
('numTracks', 'Integer', 0),
('numberOfEpisodes', 'Number', 0),
('numberOfPages', 'Integer', 0),
('nutrition', 'NutritionInformation', 0),
('occupationalCategory', 'Text', 0),
('offerCount', 'Integer', 0),
('offers', 'Offer', 0),
('openingHours', 'Duration', 0),
('operatingSystem', 'Text', 0),
('origin', 'AnatomicalStructure', 0),
('originatesFrom', 'Vessel', 0),
('outcome', 'Text', 0),
('overdosage', 'Text', 0),
('overview', 'Text', 0),
('parent', 'Person', 0),
('parents', 'Person', 0),
('partOfSeason', 'TVSeason', 0),
('partOfSystem', 'AnatomicalSystem', 0),
('partOfTVSeries', 'TVSeries', 0),
('pathophysiology', 'Text', 0),
('paymentAccepted', 'Text', 0),
('performer', 'Person', 0),
('performer', 'Organization', 0),
('performerIn', 'Event', 0),
('performers', 'Person', 0),
('performers', 'Organization', 0),
('permissions', 'Text', 0),
('phase', 'Text', 0),
('photo', 'Photograph', 0),
('photo', 'ImageObject', 0),
('photos', 'Photograph', 0),
('photos', 'ImageObject', 0),
('physiologicalBenefits', 'Text', 0),
('playerType', 'Text', 0),
('polygon', 'Text', 0),
('population', 'Text', 0),
('possibleComplication', 'Text', 0),
('possibleTreatment', 'MedicalTherapy', 0),
('postOfficeBoxNumber', 'Text', 0),
('postOp', 'Text', 0),
('postalCode', 'Text', 0),
('preOp', 'Text', 0),
('pregnancyCategory', 'DrugPregnancyCategory', 0),
('pregnancyWarning', 'Text', 0),
('prepTime', 'Duration', 0),
('preparation', 'Text', 0),
('prescribingInfo', 'URL', 0),
('prescriptionStatus', 'DrugPrescriptionStatus', 0),
('price', 'Number', 0),
('price', 'Text', 0),
('priceCurrency', 'Text', 0),
('priceRange', 'Text', 0),
('priceValidUntil', 'Date', 0),
('primaryImageOfPage', 'ImageObject', 0),
('primaryPrevention', 'MedicalTherapy', 0),
('printColumn', 'Text', 0),
('printEdition', 'Text', 0),
('printPage', 'Text', 0),
('printSection', 'Text', 0),
('procedure', 'Text', 0),
('procedureType', 'MedicalProcedureType', 0),
('processorRequirements', 'Text', 0),
('producer', 'Person', 0),
('productID', 'Text', 0),
('productionCompany', 'Organization', 0),
('proprietaryName', 'Text', 0),
('proteinContent', 'Mass', 0),
('provider', 'Person', 0),
('provider', 'Organization', 0),
('publicationType', 'Text', 0),
('publisher', 'Organization', 0),
('publishingPrinciples', 'URL', 0),
('purpose', 'MedicalDevicePurpose', 0),
('qualifications', 'Text', 0),
('ratingCount', 'Number', 0),
('ratingValue', 'Text', 0),
('recipeCategory', 'Text', 0),
('recipeCuisine', 'Text', 0),
('recipeInstructions', 'Text', 0),
('recipeYield', 'Text', 0),
('recognizingAuthority', 'Organization', 0),
('recommendationStrength', 'Text', 0),
('recommendedIntake', 'RecommendedDoseSchedule', 0),
('regionDrained', 'AnatomicalSystem', 0),
('regionDrained', 'AnatomicalStructure', 0),
('regionsAllowed', 'Place', 0),
('relatedAnatomy', 'AnatomicalSystem', 0),
('relatedAnatomy', 'AnatomicalStructure', 0),
('relatedCondition', 'MedicalCondition', 0),
('relatedDrug', 'Drug', 0),
('relatedLink', 'URL', 0),
('relatedStructure', 'AnatomicalStructure', 0),
('relatedTherapy', 'MedicalTherapy', 0),
('relatedTo', 'Person', 0),
('releaseNotes', 'URL', 0),
('releaseNotes', 'Text', 0),
('relevantSpecialty', 'MedicalSpecialty', 0),
('repetitions', 'Number', 0),
('replyToUrl', 'URL', 0),
('representativeOfPage', 'Boolean', 0),
('requirements', 'URL', 0),
('requirements', 'Text', 0),
('requiresSubscription', 'Boolean', 0),
('responsibilities', 'Text', 0),
('restPeriods', 'Text', 0),
('review', 'Review', 0),
('reviewBody', 'Text', 0),
('reviewCount', 'Number', 0),
('reviewRating', 'Rating', 0),
('reviewedBy', 'Person', 0),
('reviewedBy', 'Organization', 0),
('reviews', 'Review', 0),
('riskFactor', 'MedicalRiskFactor', 0),
('risks', 'Text', 0),
('runsTo', 'Vessel', 0),
('safetyConsideration', 'Text', 0),
('salaryCurrency', 'Text', 0),
('saturatedFatContent', 'Mass', 0),
('screenshot', 'ImageObject', 0),
('screenshot', 'URL', 0),
('season', 'TVSeason', 0),
('seasonNumber', 'Integer', 0),
('seasons', 'TVSeason', 0),
('secondaryPrevention', 'MedicalTherapy', 0),
('seller', 'Organization', 0),
('sensoryUnit', 'SuperficialAnatomy', 0),
('sensoryUnit', 'AnatomicalStructure', 0),
('seriousAdverseOutcome', 'MedicalEntity', 0),
('servesCuisine', 'Text', 0),
('servingSize', 'Text', 0),
('sibling', 'Person', 0),
('siblings', 'Person', 0),
('signDetected', 'MedicalSign', 0),
('signOrSymptom', 'MedicalSignOrSymptom', 0),
('significance', 'Text', 0),
('significantLink', 'URL', 0),
('significantLinks', 'URL', 0),
('skills', 'Text', 0),
('sodiumContent', 'Mass', 0),
('softwareVersion', 'Text', 0),
('source', 'AnatomicalStructure', 0),
('sourceOrganization', 'Organization', 0),
('sourcedFrom', 'BrainStructure', 0),
('specialCommitments', 'Text', 0),
('specialty', 'Specialty', 0),
('sponsor', 'Organization', 0),
('spouse', 'Person', 0),
('stage', 'MedicalConditionStage', 0),
('stageAsNumber', 'Number', 0),
('startDate', 'Date', 0),
('status', 'MedicalStudyStatus', 0),
('storageRequirements', 'URL', 0),
('storageRequirements', 'Text', 0),
('streetAddress', 'Text', 0),
('strengthUnit', 'Text', 0),
('strengthValue', 'Number', 0),
('structuralClass', 'Text', 0),
('study', 'MedicalStudy', 0),
('studyDesign', 'MedicalObservationalStudyDesign', 0),
('studyLocation', 'AdministrativeArea', 0),
('studySubject', 'MedicalEntity', 0),
('subEvent', 'Event', 0),
('subEvents', 'Event', 0),
('subStageSuffix', 'Text', 0),
('subStructure', 'AnatomicalStructure', 0),
('subTest', 'MedicalTest', 0),
('subtype', 'Text', 0),
('sugarContent', 'Mass', 0),
('superEvent', 'Event', 0),
('supplyTo', 'AnatomicalStructure', 0),
('targetPopulation', 'Text', 0),
('telephone', 'Text', 0),
('text', 'Text', 0),
('thumbnail', 'ImageObject', 0),
('thumbnailUrl', 'URL', 0),
('tickerSymbol', 'Text', 0),
('tissueSample', 'Text', 0),
('title', 'Text', 0),
('totalTime', 'Duration', 0),
('track', 'MusicRecording', 0),
('tracks', 'MusicRecording', 0),
('trailer', 'VideoObject', 0),
('transFatContent', 'Mass', 0),
('transcript', 'Text', 0),
('transmissionMethod', 'Text', 0),
('trialDesign', 'MedicalTrialDesign', 0),
('tributary', 'AnatomicalStructure', 0),
('typicalTest', 'MedicalTest', 0),
('unsaturatedFatContent', 'Mass', 0),
('uploadDate', 'Date', 0),
('url', 'URL', 0),
('usedToDiagnose', 'MedicalCondition', 0),
('usesDevice', 'MedicalDevice', 0),
('version', 'Number', 0),
('video', 'VideoObject', 0),
('videoFrameSize', 'Text', 0),
('videoQuality', 'Text', 0),
('warning', 'Text', 0),
('warning', 'URL', 0),
('width', 'Distance', 0),
('wordCount', 'Integer', 0),
('workHours', 'Text', 0),
('workLocation', 'Place', 0),
('workLocation', 'ContactPoint', 0),
('workload', 'Energy', 0),
('worksFor', 'Organization', 0),
('worstRating', 'Number', 0),
('worstRating', 'Text', 0),
('EBook', 'Enum', 1),
('Hardcover', 'Enum', 1),
('Paperback', 'Enum', 1),
('ReimbursementCap', 'Enum', 1),
('Retail', 'Enum', 1),
('Wholesale', 'Enum', 1),
('FDAcategoryA', 'Enum', 1),
('FDAcategoryB', 'Enum', 1),
('FDAcategoryC', 'Enum', 1),
('FDAcategoryD', 'Enum', 1),
('FDAcategoryX', 'Enum', 1),
('FDAnotEvaluated', 'Enum', 1),
('OTC', 'Enum', 1),
('PrescriptionOnly', 'Enum', 1),
('Bacteria', 'Enum', 1),
('Fungus', 'Enum', 1),
('MulticellularParasite', 'Enum', 1),
('Prion', 'Enum', 1),
('Protozoa', 'Enum', 1),
('Virus', 'Enum', 1),
('Discontinued', 'Enum', 1),
('InStock', 'Enum', 1),
('InStoreOnly', 'Enum', 1),
('OnlineOnly', 'Enum', 1),
('OutOfStock', 'Enum', 1),
('PreOrder', 'Enum', 1),
('Clinician', 'Enum', 1),
('Patient', 'Enum', 1),
('Researcher', 'Enum', 1),
('Diagnostic', 'Enum', 1),
('Therapeutic', 'Enum', 1),
('EvidenceLevelA', 'Enum', 1),
('EvidenceLevelB', 'Enum', 1),
('EvidenceLevelC', 'Enum', 1),
('CT', 'Enum', 1),
('MRI', 'Enum', 1),
('PET', 'Enum', 1),
('Ultrasound', 'Enum', 1),
('XRay', 'Enum', 1),
('CaseSeries', 'Enum', 1),
('CohortStudy', 'Enum', 1),
('CrossSectional', 'Enum', 1),
('Longitudinal', 'Enum', 1),
('Observational', 'Enum', 1),
('Registry', 'Enum', 1),
('NoninvasiveProcedure', 'Enum', 1),
('PercutaneousProcedure', 'Enum', 1),
('SurgicalProcedure', 'Enum', 1),
('Anesthesia', 'Enum', 1),
('Cardiovascular', 'Enum', 1),
('CommunityHealth', 'Enum', 1),
('Dentistry', 'Enum', 1),
('Dermatologic', 'Enum', 1),
('DietNutrition', 'Enum', 1),
('Emergency', 'Enum', 1),
('Endocrine', 'Enum', 1),
('Gastroenterologic', 'Enum', 1),
('Genetic', 'Enum', 1),
('Geriatric', 'Enum', 1),
('Gynecologic', 'Enum', 1),
('Hematologic', 'Enum', 1),
('Infectious', 'Enum', 1),
('LaboratoryScience', 'Enum', 1),
('Midwifery', 'Enum', 1),
('Musculoskeletal', 'Enum', 1),
('Neurologic', 'Enum', 1),
('Nursing', 'Enum', 1),
('Obstetric', 'Enum', 1),
('OccupationalTherapy', 'Enum', 1),
('Oncologic', 'Enum', 1),
('Optometic', 'Enum', 1),
('Otolaryngologic', 'Enum', 1),
('Pathology', 'Enum', 1),
('Pediatric', 'Enum', 1),
('Pharmacy', 'Enum', 1),
('Physiotherapy', 'Enum', 1),
('PlasticSurgery', 'Enum', 1),
('Podiatric', 'Enum', 1),
('PrimaryCare', 'Enum', 1),
('Psychiatric', 'Enum', 1),
('PublicHealth', 'Enum', 1),
('Pulmonary', 'Enum', 1),
('Radiograpy', 'Enum', 1),
('Renal', 'Enum', 1),
('RespiratoryTherapy', 'Enum', 1),
('Rheumatologic', 'Enum', 1),
('SpeechPathology', 'Enum', 1),
('Surgical', 'Enum', 1),
('Toxicologic', 'Enum', 1),
('Urologic', 'Enum', 1),
('ActiveNotRecruiting', 'Enum', 1),
('Completed', 'Enum', 1),
('EnrollingByInvitation', 'Enum', 1),
('NotYetRecruiting', 'Enum', 1),
('Recruiting', 'Enum', 1),
('ResultsAvailable', 'Enum', 1),
('ResultsNotAvailable', 'Enum', 1),
('Suspended', 'Enum', 1),
('Terminated', 'Enum', 1),
('Withdrawn', 'Enum', 1),
('DoubleBlindedTrial', 'Enum', 1),
('InternationalTrial', 'Enum', 1),
('MultiCenterTrial', 'Enum', 1),
('OpenTrial', 'Enum', 1),
('PlaceboControlledTrial', 'Enum', 1),
('RandomizedTrial', 'Enum', 1),
('SingleBlindedTrial', 'Enum', 1),
('SingleCenterTrial', 'Enum', 1),
('TripleBlindedTrial', 'Enum', 1),
('Ayurvedic', 'Enum', 1),
('Chiropractic', 'Enum', 1),
('Homeopathic', 'Enum', 1),
('Osteopathic', 'Enum', 1),
('TraditionalChinese', 'Enum', 1),
('WesternConventional', 'Enum', 1),
('DamagedCondition', 'Enum', 1),
('NewCondition', 'Enum', 1),
('RefurbishedCondition', 'Enum', 1),
('UsedCondition', 'Enum', 1),
('AerobicActivity', 'Enum', 1),
('AnaerobicActivity', 'Enum', 1),
('Balance', 'Enum', 1),
('Flexibility', 'Enum', 1),
('LeisureTimeActivity', 'Enum', 1),
('OccupationalActivity', 'Enum', 1),
('StrengthTraining', 'Enum', 1),
('Abdomen', 'Enum', 1),
('Appearance', 'Enum', 1),
('Ear', 'Enum', 1),
('Eye', 'Enum', 1),
('Genitourinary', 'Enum', 1),
('Head', 'Enum', 1),
('Lung', 'Enum', 1),
('Neck', 'Enum', 1),
('Neuro', 'Enum', 1),
('Nose', 'Enum', 1),
('Skin', 'Enum', 1),
('Throat', 'Enum', 1),
('VitalSign', 'Enum', 1),
('False', 'Enum', 1),
('True', 'Enum', 1);

INSERT IGNORE INTO `#__j4schema_types` (`id_types`, `ty_parent`, `ty_comment`, `ty_comment_plain`, `ty_label`, `ty_url`, `ty_children`) VALUES
('AboutPage', 'WebPage', 'Web page type: About page.', 'Web page type: About page.', 'About Page', 'https://schema.org/AboutPage', 0),
('AccountingService', 'FinancialService', 'Accountancy business.', 'Accountancy business.', 'Accounting Service', 'https://schema.org/AccountingService', 0),
('AdministrativeArea', 'Place', 'A geographical region under the jurisdiction of a particular government.', 'A geographical region under the jurisdiction of a particular government.', 'Administrative Area', 'https://schema.org/AdministrativeArea', 3),
('AdultEntertainment', 'EntertainmentBusiness', 'An adult entertainment establishment.', 'An adult entertainment establishment.', 'Adult Entertainment', 'https://schema.org/AdultEntertainment', 0),
('AggregateOffer', 'Offer', 'When a single product that has different offers (for example, the same pair of shoes is offered by different merchants), then AggregateOffer can be used.', 'When a single product that has different offers (for example, the same pair of shoes is offered by different merchants), then AggregateOffer can be used.', 'Aggregate Offer', 'https://schema.org/AggregateOffer', 0),
('AggregateRating', 'Rating', 'The average rating based on multiple ratings or reviews.', 'The average rating based on multiple ratings or reviews.', 'Aggregate Rating', 'https://schema.org/AggregateRating', 0),
('Airport', 'CivicStructure', 'An airport.', 'An airport.', 'Airport', 'https://schema.org/Airport', 0),
('AmusementPark', 'EntertainmentBusiness', 'An amusement park.', 'An amusement park.', 'Amusement Park', 'https://schema.org/AmusementPark', 0),
('AnatomicalStructure', 'MedicalEntity', 'Any part of the human body, typically a component of an anatomical system. Organs, tissues, and cells are all anatomical structures.', 'Any part of the human body, typically a component of an anatomical system. Organs, tissues, and cells are all anatomical structures.', 'Anatomical Structure', 'https://schema.org/AnatomicalStructure', 7),
('AnatomicalSystem', 'MedicalEntity', 'An anatomical system is a group of anatomical structures that work together to perform a certain task. Anatomical systems, such as organ systems, are one organizing principle of anatomy, and can includes circulatory, digestive, endocrine, integumentary, immune, lymphatic, muscular, nervous, reproductive, respiratory, skeletal, urinary, vestibular, and other systems.', 'An anatomical system is a group of anatomical structures that work together to perform a certain task. Anatomical systems, such as organ systems, are one organizing principle of anatomy, and can includes circulatory, digestive, endocrine, integumentary, immune, lymphatic, muscular, nervous, reproductive, respiratory, skeletal, urinary, vestibular, and other systems.', 'Anatomical System', 'https://schema.org/AnatomicalSystem', 0),
('AnimalShelter', 'LocalBusiness', 'Animal shelter.', 'Animal shelter.', 'Animal Shelter', 'https://schema.org/AnimalShelter', 0),
('ApartmentComplex', 'Residence', 'Residence type: Apartment complex.', 'Residence type: Apartment complex.', 'Apartment Complex', 'https://schema.org/ApartmentComplex', 0),
('ApprovedIndication', 'MedicalIndication', 'An indication for a medical therapy that has been formally specified or approved by a regulatory body that regulates use of the therapy; for example, the US FDA approves indications for most drugs in the US.', 'An indication for a medical therapy that has been formally specified or approved by a regulatory body that regulates use of the therapy; for example, the US FDA approves indications for most drugs in the US.', 'Approved Indication', 'https://schema.org/ApprovedIndication', 0),
('Aquarium', 'CivicStructure', 'Aquarium.', 'Aquarium.', 'Aquarium', 'https://schema.org/Aquarium', 0),
('ArtGallery', 'EntertainmentBusiness', 'An art gallery.', 'An art gallery.', 'Art Gallery', 'https://schema.org/ArtGallery', 0),
('Artery', 'Vessel', 'A type of blood vessel that specifically carries blood away from the heart.', 'A type of blood vessel that specifically carries blood away from the heart.', 'Artery', 'https://schema.org/Artery', 0),
('Article', 'CreativeWork', 'An article, such as a news article or piece of investigative report. Newspapers and magazines have articles of many different types and this is intended to cover them all.', 'An article, such as a news article or piece of investigative report. Newspapers and magazines have articles of many different types and this is intended to cover them all.', 'Article', 'https://schema.org/Article', 3),
('Attorney', 'ProfessionalService', 'Professional service: Attorney.', 'Professional service: Attorney.', 'Attorney', 'https://schema.org/Attorney', 0),
('Audience', 'Intangible', 'Intended audience for a creative work, i.e. the group for whom the work was created.', 'Intended audience for a creative work, i.e. the group for whom the work was created.', 'Audience', 'https://schema.org/Audience', 1),
('AudioObject', 'MediaObject', 'An audio file.', 'An audio file.', 'Audio Object', 'https://schema.org/AudioObject', 0),
('AutoBodyShop', 'AutomotiveBusiness', 'Auto body shop.', 'Auto body shop.', 'Auto Body Shop', 'https://schema.org/AutoBodyShop', 0),
('AutoDealer', 'AutomotiveBusiness', 'An car dealership.', 'An car dealership.', 'Auto Dealer', 'https://schema.org/AutoDealer', 0),
('AutoPartsStore', 'Store', 'An auto parts store.', 'An auto parts store.', 'Auto Parts Store', 'https://schema.org/AutoPartsStore', 0),
('AutoRental', 'AutomotiveBusiness', 'A car rental business.', 'A car rental business.', 'Auto Rental', 'https://schema.org/AutoRental', 0),
('AutoRepair', 'AutomotiveBusiness', 'Car repair business.', 'Car repair business.', 'Auto Repair', 'https://schema.org/AutoRepair', 0),
('AutoWash', 'AutomotiveBusiness', 'A car wash business.', 'A car wash business.', 'Auto Wash', 'https://schema.org/AutoWash', 0),
('AutomatedTeller', 'FinancialService', 'ATM/cash machine.', 'ATM/cash machine.', 'Automated Teller', 'https://schema.org/AutomatedTeller', 0),
('AutomotiveBusiness', 'LocalBusiness', 'Car repair, sales, or parts.', 'Car repair, sales, or parts.', 'Automotive Business', 'https://schema.org/AutomotiveBusiness', 9),
('Bakery', 'FoodEstablishment', 'A bakery.', 'A bakery.', 'Bakery', 'https://schema.org/Bakery', 0),
('BankOrCreditUnion', 'FinancialService', 'Bank or credit union.', 'Bank or credit union.', 'Bank or Credit Union', 'https://schema.org/BankOrCreditUnion', 0),
('BarOrPub', 'FoodEstablishment', 'A bar or pub.', 'A bar or pub.', 'Bar or Pub', 'https://schema.org/BarOrPub', 0),
('Beach', 'CivicStructure', 'Beach.', 'Beach.', 'Beach', 'https://schema.org/Beach', 0),
('BeautySalon', 'HealthAndBeautyBusiness', 'Beauty salon.', 'Beauty salon.', 'Beauty Salon', 'https://schema.org/BeautySalon', 0),
('BedAndBreakfast', 'LodgingBusiness', 'Bed and breakfast.', 'Bed and breakfast.', 'Bed And Breakfast', 'https://schema.org/BedAndBreakfast', 0),
('BikeStore', 'Store', 'A bike store.', 'A bike store.', 'Bike Store', 'https://schema.org/BikeStore', 0),
('Blog', 'CreativeWork', 'A blog', 'A blog', 'Blog', 'https://schema.org/Blog', 0),
('BlogPosting', 'Article', 'A blog post.', 'A blog post.', 'Blog Posting', 'https://schema.org/BlogPosting', 0),
('BloodTest', 'MedicalTest', 'A medical test performed on a sample of a patient''s blood.', 'A medical test performed on a sample of a patient''s blood.', 'Blood Test', 'https://schema.org/BloodTest', 0),
('BodyOfWater', 'Landform', 'A body of water, such as a sea, ocean, or lake.', 'A body of water, such as a sea, ocean, or lake.', 'Body of Water', 'https://schema.org/BodyOfWater', 8),
('Bone', 'AnatomicalStructure', 'Rigid connective tissue that comprises up the skeletal structure of the human body.', 'Rigid connective tissue that comprises up the skeletal structure of the human body.', 'Bone', 'https://schema.org/Bone', 0),
('Book', 'CreativeWork', 'A book.', 'A book.', 'Book', 'https://schema.org/Book', 0),
('BookFormatType', 'Enumeration', 'The publication format of the book.', 'The publication format of the book.', 'Book Format Type', 'https://schema.org/BookFormatType', 0),
('BookStore', 'Store', 'A bookstore.', 'A bookstore.', 'Book Store', 'https://schema.org/BookStore', 0),
('BowlingAlley', 'SportsActivityLocation', 'A bowling alley.', 'A bowling alley.', 'Bowling Alley', 'https://schema.org/BowlingAlley', 0),
('BrainStructure', 'AnatomicalStructure', 'Any anatomical structure which pertains to the soft nervous tissue functioning as the coordinating center of sensation and intellectual and nervous activity.', 'Any anatomical structure which pertains to the soft nervous tissue functioning as the coordinating center of sensation and intellectual and nervous activity.', 'Brain Structure', 'https://schema.org/BrainStructure', 0),
('Brewery', 'FoodEstablishment', 'Brewery.', 'Brewery.', 'Brewery', 'https://schema.org/Brewery', 0),
('BuddhistTemple', 'PlaceOfWorship', 'A Buddhist temple.', 'A Buddhist temple.', 'Buddhist Temple', 'https://schema.org/BuddhistTemple', 0),
('BusStation', 'CivicStructure', 'A bus station.', 'A bus station.', 'Bus Station', 'https://schema.org/BusStation', 0),
('BusStop', 'CivicStructure', 'A bus stop.', 'A bus stop.', 'Bus Stop', 'https://schema.org/BusStop', 0),
('BusinessEvent', 'Event', 'Event type: Business event.', 'Event type: Business event.', 'Business Event', 'https://schema.org/BusinessEvent', 0),
('CafeOrCoffeeShop', 'FoodEstablishment', 'A cafe or coffee shop.', 'A cafe or coffee shop.', 'Cafe or Coffee Shop', 'https://schema.org/CafeOrCoffeeShop', 0),
('Campground', 'CivicStructure', 'A campground.', 'A campground.', 'Campground', 'https://schema.org/Campground', 0),
('Canal', 'BodyOfWater', 'A canal, like the Panama Canal', 'A canal, like the Panama Canal', 'Canal', 'https://schema.org/Canal', 0),
('Casino', 'EntertainmentBusiness', 'A casino.', 'A casino.', 'Casino', 'https://schema.org/Casino', 0),
('CatholicChurch', 'PlaceOfWorship', 'A Catholic church.', 'A Catholic church.', 'Catholic Church', 'https://schema.org/CatholicChurch', 0),
('Cemetery', 'CivicStructure', 'A graveyard.', 'A graveyard.', 'Cemetery', 'https://schema.org/Cemetery', 0),
('CheckoutPage', 'WebPage', 'Web page type: Checkout page.', 'Web page type: Checkout page.', 'Checkout Page', 'https://schema.org/CheckoutPage', 0),
('ChildCare', 'LocalBusiness', 'A Childcare center.', 'A Childcare center.', 'Child Care', 'https://schema.org/ChildCare', 0),
('ChildrensEvent', 'Event', 'Event type: Children''s event.', 'Event type: Children''s event.', 'Childrens Event', 'https://schema.org/ChildrensEvent', 0),
('Church', 'PlaceOfWorship', 'A church.', 'A church.', 'Church', 'https://schema.org/Church', 0),
('City', 'AdministrativeArea', 'A city or town.', 'A city or town.', 'City', 'https://schema.org/City', 0),
('CityHall', 'GovernmentBuilding', 'A city hall.', 'A city hall.', 'City Hall', 'https://schema.org/CityHall', 0),
('CivicStructure', 'Place', 'A public structure, such as a town hall or concert hall.', 'A public structure, such as a town hall or concert hall.', 'Civic Structure', 'https://schema.org/CivicStructure', 27),
('ClothingStore', 'Store', 'A clothing store.', 'A clothing store.', 'Clothing Store', 'https://schema.org/ClothingStore', 0),
('CollectionPage', 'WebPage', 'Web page type: Collection page.', 'Web page type: Collection page.', 'Collection Page', 'https://schema.org/CollectionPage', 2),
('CollegeOrUniversity', 'EducationalOrganization', 'A college, university, or other third-level educational institution.', 'A college, university, or other third-level educational institution.', 'College or University', 'https://schema.org/CollegeOrUniversity', 0),
('ComedyClub', 'EntertainmentBusiness', 'A comedy club.', 'A comedy club.', 'Comedy Club', 'https://schema.org/ComedyClub', 0),
('ComedyEvent', 'Event', 'Event type: Comedy event.', 'Event type: Comedy event.', 'Comedy Event', 'https://schema.org/ComedyEvent', 0),
('Comment', 'CreativeWork', 'A comment on an item - for example, a comment on a blog post. The comment''s content is expressed via the "text" property, and its topic via "about", properties shared with all CreativeWorks.', 'A comment on an item - for example, a comment on a blog post. The comment''s content is expressed via the "text" property, and its topic via "about", properties shared with all CreativeWorks.', 'Comment', 'https://schema.org/Comment', 0),
('ComputerStore', 'Store', 'A computer store.', 'A computer store.', 'Computer Store', 'https://schema.org/ComputerStore', 0),
('ContactPage', 'WebPage', 'Web page type: Contact page.', 'Web page type: Contact page.', 'Contact Page', 'https://schema.org/ContactPage', 0),
('ContactPoint', 'StructuredValue', 'A contact pointâ€”for example, a Customer Complaints department.', 'A contact pointâ€”for example, a Customer Complaints department.', 'Contact Point', 'https://schema.org/ContactPoint', 1),
('Continent', 'Landform', 'One of the continents (for example, Europe or Africa).', 'One of the continents (for example, Europe or Africa).', 'Continent', 'https://schema.org/Continent', 0),
('ConvenienceStore', 'Store', 'A convenience store.', 'A convenience store.', 'Convenience Store', 'https://schema.org/ConvenienceStore', 0),
('Corporation', 'Organization', 'Organization: A business corporation.', 'Organization: A business corporation.', 'Corporation', 'https://schema.org/Corporation', 0),
('Country', 'AdministrativeArea', 'A country.', 'A country.', 'Country', 'https://schema.org/Country', 0),
('Courthouse', 'GovernmentBuilding', 'A courthouse.', 'A courthouse.', 'Courthouse', 'https://schema.org/Courthouse', 0),
('CreativeWork', 'Thing', 'The most generic kind of creative work, including books, movies, photographs, software programs, etc.', 'The most generic kind of creative work, including books, movies, photographs, software programs, etc.', 'Creative Work', 'https://schema.org/CreativeWork', 23),
('Crematorium', 'CivicStructure', 'A crematorium.', 'A crematorium.', 'Crematorium', 'https://schema.org/Crematorium', 0),
('DDxElement', 'MedicalIntangible', 'An alternative, closely-related condition typically considered later in the differential diagnosis process along with the signs that are used to distinguish it.', 'An alternative, closely-related condition typically considered later in the differential diagnosis process along with the signs that are used to distinguish it.', 'D Dx Element', 'https://schema.org/DDxElement', 0),
('DanceEvent', 'Event', 'Event type: A social dance.', 'Event type: A social dance.', 'Dance Event', 'https://schema.org/DanceEvent', 0),
('DanceGroup', 'PerformingGroup', 'A dance groupâ€”for example, the Alvin Ailey Dance Theater or Riverdance.', 'A dance groupâ€”for example, the Alvin Ailey Dance Theater or Riverdance.', 'Dance Group', 'https://schema.org/DanceGroup', 0),
('DaySpa', 'HealthAndBeautyBusiness', 'A day spa.', 'A day spa.', 'Day Spa', 'https://schema.org/DaySpa', 0),
('DefenceEstablishment', 'GovernmentBuilding', 'A defence establishment, such as an army or navy base.', 'A defence establishment, such as an army or navy base.', 'Defence Establishment', 'https://schema.org/DefenceEstablishment', 0),
('Dentist', 'MedicalOrganization', 'A dentist.', 'A dentist.', 'Dentist', 'https://schema.org/Dentist', 0),
('DepartmentStore', 'Store', 'A department store.', 'A department store.', 'Department Store', 'https://schema.org/DepartmentStore', 0),
('DiagnosticLab', 'MedicalOrganization', 'A medical laboratory that offers on-site or off-site diagnostic services.', 'A medical laboratory that offers on-site or off-site diagnostic services.', 'Diagnostic Lab', 'https://schema.org/DiagnosticLab', 0),
('DiagnosticProcedure', 'MedicalTest', 'A medical procedure intended primarly for diagnostic, as opposed to therapeutic, purposes.', 'A medical procedure intended primarly for diagnostic, as opposed to therapeutic, purposes.', 'Diagnostic Procedure', 'https://schema.org/DiagnosticProcedure', 0),
('Diet', 'LifestyleModification', 'A strategy of regulating the intake of food to achieve or maintain a specific health-related goal.', 'A strategy of regulating the intake of food to achieve or maintain a specific health-related goal.', 'Diet', 'https://schema.org/Diet', 0),
('DietarySupplement', 'MedicalTherapy', 'A product taken by mouth that contains a dietary ingredient intended to supplement the diet. Dietary ingredients may include vitamins, minerals, herbs or other botanicals, amino acids, and substances such as enzymes, organ tissues, glandulars and metabolites.', 'A product taken by mouth that contains a dietary ingredient intended to supplement the diet. Dietary ingredients may include vitamins, minerals, herbs or other botanicals, amino acids, and substances such as enzymes, organ tissues, glandulars and metabolites.', 'Dietary Supplement', 'https://schema.org/DietarySupplement', 0),
('Distance', 'Quantity', 'Properties that take Distances as values are of the form ''<Number> <Length unit of measure>''. E.g., ''7 ft''', 'Properties that take Distances as values are of the form ''<Number> <Length unit of measure>''. E.g., ''7 ft''', 'Distance', 'https://schema.org/Distance', 0),
('DoseSchedule', 'MedicalIntangible', 'A specific dosing schedule for a drug or supplement.', 'A specific dosing schedule for a drug or supplement.', 'Dose Schedule', 'https://schema.org/DoseSchedule', 3),
('Drug', 'MedicalTherapy', 'A chemical or biologic substance, used as a medical therapy, that has a physiological effect on an organism.', 'A chemical or biologic substance, used as a medical therapy, that has a physiological effect on an organism.', 'Drug', 'https://schema.org/Drug', 0),
('DrugClass', 'MedicalTherapy', 'A class of medical drugs, e.g., statins. Classes can represent general pharmacological class, common mechanisms of action, common physiological effects, etc.', 'A class of medical drugs, e.g., statins. Classes can represent general pharmacological class, common mechanisms of action, common physiological effects, etc.', 'Drug Class', 'https://schema.org/DrugClass', 0),
('DrugCost', 'MedicalIntangible', 'The cost per unit of a medical drug. Note that this type is not meant to represent the price in an offer of a drug for sale; see the Offer type for that. This type will typically be used to tag wholesale or average retail cost of a drug, or maximum reimbursable cost. Costs of medical drugs vary widely depending on how and where they are paid for, so while this type captures some of the variables, costs should be used with caution by consumers of this schema''s markup.', 'The cost per unit of a medical drug. Note that this type is not meant to represent the price in an offer of a drug for sale; see the Offer type for that. This type will typically be used to tag wholesale or average retail cost of a drug, or maximum reimbursable cost. Costs of medical drugs vary widely depending on how and where they are paid for, so while this type captures some of the variables, costs should be used with caution by consumers of this schema''s markup.', 'Drug Cost', 'https://schema.org/DrugCost', 0),
('DrugCostCategory', 'MedicalEnumeration', 'Enumerated categories of medical drug costs.', 'Enumerated categories of medical drug costs.', 'Drug Cost Category', 'https://schema.org/DrugCostCategory', 0),
('DrugLegalStatus', 'MedicalIntangible', 'The legal availability status of a medical drug.', 'The legal availability status of a medical drug.', 'Drug Legal Status', 'https://schema.org/DrugLegalStatus', 0),
('DrugPregnancyCategory', 'MedicalEnumeration', 'Categories that represent an assessment of the risk of fetal injury due to a drug or pharmaceutical used as directed by the mother during pregnancy.', 'Categories that represent an assessment of the risk of fetal injury due to a drug or pharmaceutical used as directed by the mother during pregnancy.', 'Drug Pregnancy Category', 'https://schema.org/DrugPregnancyCategory', 0),
('DrugPrescriptionStatus', 'MedicalEnumeration', 'Indicates whether this drug is available by prescription or over-the-counter.', 'Indicates whether this drug is available by prescription or over-the-counter.', 'Drug Prescription Status', 'https://schema.org/DrugPrescriptionStatus', 0),
('DrugStrength', 'MedicalIntangible', 'A specific strength in which a medical drug is available in a specific country.', 'A specific strength in which a medical drug is available in a specific country.', 'Drug Strength', 'https://schema.org/DrugStrength', 0),
('DryCleaningOrLaundry', 'LocalBusiness', 'A dry-cleaning business.', 'A dry-cleaning business.', 'Dry Cleaning or Laundry', 'https://schema.org/DryCleaningOrLaundry', 0),
('Duration', 'Quantity', 'Quantity: Duration (use  <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 duration format</a>).', 'Quantity: Duration (use  ISO 8601 duration format).', 'Duration', 'https://schema.org/Duration', 0),
('EducationEvent', 'Event', 'Event type: Education event.', 'Event type: Education event.', 'Education Event', 'https://schema.org/EducationEvent', 0),
('EducationalOrganization', 'Organization', 'An educational organization.', 'An educational organization.', 'Educational Organization', 'https://schema.org/EducationalOrganization', 6),
('Electrician', 'HomeAndConstructionBusiness', 'An electrician.', 'An electrician.', 'Electrician', 'https://schema.org/Electrician', 0),
('ElectronicsStore', 'Store', 'An electronics store.', 'An electronics store.', 'Electronics Store', 'https://schema.org/ElectronicsStore', 0),
('ElementarySchool', 'EducationalOrganization', 'An elementary school.', 'An elementary school.', 'Elementary School', 'https://schema.org/ElementarySchool', 0),
('Embassy', 'GovernmentBuilding', 'An embassy.', 'An embassy.', 'Embassy', 'https://schema.org/Embassy', 0),
('EmergencyService', 'LocalBusiness', 'An emergency service, such as a fire station or ER.', 'An emergency service, such as a fire station or ER.', 'Emergency Service', 'https://schema.org/EmergencyService', 3),
('EmploymentAgency', 'LocalBusiness', 'An employment agency.', 'An employment agency.', 'Employment Agency', 'https://schema.org/EmploymentAgency', 0),
('Energy', 'Quantity', 'Properties that take Enerygy as values are of the form ''<Number> <Energy unit of measure>''', 'Properties that take Enerygy as values are of the form ''<Number> <Energy unit of measure>''', 'Energy', 'https://schema.org/Energy', 0),
('EntertainmentBusiness', 'LocalBusiness', 'A business providing entertainment.', 'A business providing entertainment.', 'Entertainment Business', 'https://schema.org/EntertainmentBusiness', 7),
('Enumeration', 'Intangible', 'Lists or enumerationsâ€”for example, a list of cuisines or music genres, etc.', 'Lists or enumerationsâ€”for example, a list of cuisines or music genres, etc.', 'Enumeration', 'https://schema.org/Enumeration', 4),
('Event', 'Thing', 'An event happening at a certain time at a certain location.', 'An event happening at a certain time at a certain location.', 'Event', 'https://schema.org/Event', 15),
('EventVenue', 'CivicStructure', 'An event venue.', 'An event venue.', 'Event Venue', 'https://schema.org/EventVenue', 0),
('ExerciseGym', 'SportsActivityLocation', 'A gym.', 'A gym.', 'Exercise Gym', 'https://schema.org/ExerciseGym', 0),
('ExercisePlan', 'PhysicalActivity', 'Fitness-related activity designed for a specific health-related purpose, including defined exercise routines as well as activity prescribed by a clinician.', 'Fitness-related activity designed for a specific health-related purpose, including defined exercise routines as well as activity prescribed by a clinician.', 'Exercise Plan', 'https://schema.org/ExercisePlan', 0),
('FastFoodRestaurant', 'FoodEstablishment', 'A fast-food restaurant.', 'A fast-food restaurant.', 'Fast Food Restaurant', 'https://schema.org/FastFoodRestaurant', 0),
('Festival', 'Event', 'Event type: Festival.', 'Event type: Festival.', 'Festival', 'https://schema.org/Festival', 0),
('FinancialService', 'LocalBusiness', 'Financial services business.', 'Financial services business.', 'Financial Service', 'https://schema.org/FinancialService', 4),
('FireStation', 'CivicStructure', 'A fire station. With firemen.', 'A fire station. With firemen.', 'Fire Station', 'https://schema.org/FireStation', 0),
('Florist', 'Store', 'A florist.', 'A florist.', 'Florist', 'https://schema.org/Florist', 0),
('FoodEstablishment', 'LocalBusiness', 'A food-related business.', 'A food-related business.', 'Food Establishment', 'https://schema.org/FoodEstablishment', 8),
('FoodEvent', 'Event', 'Event type: Food event.', 'Event type: Food event.', 'Food Event', 'https://schema.org/FoodEvent', 0),
('FurnitureStore', 'Store', 'A furniture store.', 'A furniture store.', 'Furniture Store', 'https://schema.org/FurnitureStore', 0),
('GardenStore', 'Store', 'A garden store.', 'A garden store.', 'Garden Store', 'https://schema.org/GardenStore', 0),
('GasStation', 'AutomotiveBusiness', 'A gas station.', 'A gas station.', 'Gas Station', 'https://schema.org/GasStation', 0),
('GatedResidenceCommunity', 'Residence', 'Residence type: Gated community.', 'Residence type: Gated community.', 'Gated Residence Community', 'https://schema.org/GatedResidenceCommunity', 0),
('GeneralContractor', 'HomeAndConstructionBusiness', 'A general contractor.', 'A general contractor.', 'General Contractor', 'https://schema.org/GeneralContractor', 0),
('GeoCoordinates', 'StructuredValue', 'The geographic coordinates of a place or event.', 'The geographic coordinates of a place or event.', 'Geo Coordinates', 'https://schema.org/GeoCoordinates', 0),
('GeoShape', 'StructuredValue', 'The geographic shape of a place.', 'The geographic shape of a place.', 'Geo Shape', 'https://schema.org/GeoShape', 0),
('GolfCourse', 'SportsActivityLocation', 'A golf course.', 'A golf course.', 'Golf Course', 'https://schema.org/GolfCourse', 0),
('GovernmentBuilding', 'CivicStructure', 'A government building.', 'A government building.', 'Government Building', 'https://schema.org/GovernmentBuilding', 5),
('GovernmentOffice', 'LocalBusiness', 'A government officeâ€”for example, an IRS or DMV office.', 'A government officeâ€”for example, an IRS or DMV office.', 'Government Office', 'https://schema.org/GovernmentOffice', 1),
('GovernmentOrganization', 'Organization', 'A governmental organization or agency.', 'A governmental organization or agency.', 'Government Organization', 'https://schema.org/GovernmentOrganization', 0),
('GroceryStore', 'Store', 'A grocery store.', 'A grocery store.', 'Grocery Store', 'https://schema.org/GroceryStore', 0),
('HVACBusiness', 'HomeAndConstructionBusiness', 'An HVAC service.', 'An HVAC service.', 'HVAC Business', 'https://schema.org/HVACBusiness', 0),
('HairSalon', 'HealthAndBeautyBusiness', 'A hair salon.', 'A hair salon.', 'Hair Salon', 'https://schema.org/HairSalon', 0),
('HardwareStore', 'Store', 'A hardware store.', 'A hardware store.', 'Hardware Store', 'https://schema.org/HardwareStore', 0),
('HealthAndBeautyBusiness', 'LocalBusiness', 'Health and beauty.', 'Health and beauty.', 'Health And Beauty Business', 'https://schema.org/HealthAndBeautyBusiness', 6),
('HealthClub', 'HealthAndBeautyBusiness', 'A health club.', 'A health club.', 'Health Club', 'https://schema.org/HealthClub', 0),
('HighSchool', 'EducationalOrganization', 'A high school.', 'A high school.', 'High School', 'https://schema.org/HighSchool', 0),
('HinduTemple', 'PlaceOfWorship', 'A Hindu temple.', 'A Hindu temple.', 'Hindu Temple', 'https://schema.org/HinduTemple', 0),
('HobbyShop', 'Store', 'A hobby store.', 'A hobby store.', 'Hobby Shop', 'https://schema.org/HobbyShop', 0),
('HomeAndConstructionBusiness', 'LocalBusiness', 'A construction business.', 'A construction business.', 'Home And Construction Business', 'https://schema.org/HomeAndConstructionBusiness', 8),
('HomeGoodsStore', 'Store', 'A home goods store.', 'A home goods store.', 'Home Goods Store', 'https://schema.org/HomeGoodsStore', 0),
('Hospital', 'MedicalOrganization', 'A hospital.', 'A hospital.', 'Hospital', 'https://schema.org/Hospital', 0),
('Hostel', 'LodgingBusiness', 'A hostel.', 'A hostel.', 'Hostel', 'https://schema.org/Hostel', 0),
('Hotel', 'LodgingBusiness', 'A hotel.', 'A hotel.', 'Hotel', 'https://schema.org/Hotel', 0),
('HousePainter', 'HomeAndConstructionBusiness', 'A house painting service.', 'A house painting service.', 'House Painter', 'https://schema.org/HousePainter', 0),
('IceCreamShop', 'FoodEstablishment', 'An ice cream shop', 'An ice cream shop', 'Ice Cream Shop', 'https://schema.org/IceCreamShop', 0),
('ImageGallery', 'CollectionPage', 'Web page type: Image gallery page.', 'Web page type: Image gallery page.', 'Image Gallery', 'https://schema.org/ImageGallery', 0),
('ImageObject', 'MediaObject', 'An image file.', 'An image file.', 'Image Object', 'https://schema.org/ImageObject', 0),
('ImagingTest', 'MedicalTest', 'Any medical imaging modality typically used for diagnostic purposes.', 'Any medical imaging modality typically used for diagnostic purposes.', 'Imaging Test', 'https://schema.org/ImagingTest', 0),
('InfectiousAgentClass', 'MedicalEnumeration', 'Classes of agents or pathogens that transmit infectious diseases. Enumerated type.', 'Classes of agents or pathogens that transmit infectious diseases. Enumerated type.', 'Infectious Agent Class', 'https://schema.org/InfectiousAgentClass', 0),
('InfectiousDisease', 'MedicalCondition', 'An infectious disease is a clinically evident human disease resulting from the presence of pathogenic microbial agents, like pathogenic viruses, pathogenic bacteria, fungi, protozoa, multicellular parasites, and prions. To be considered an infectious disease, such pathogens are known to be able to cause this disease.', 'An infectious disease is a clinically evident human disease resulting from the presence of pathogenic microbial agents, like pathogenic viruses, pathogenic bacteria, fungi, protozoa, multicellular parasites, and prions. To be considered an infectious disease, such pathogens are known to be able to cause this disease.', 'Infectious Disease', 'https://schema.org/InfectiousDisease', 0),
('InsuranceAgency', 'FinancialService', 'Insurance agency.', 'Insurance agency.', 'Insurance Agency', 'https://schema.org/InsuranceAgency', 0),
('Intangible', 'Thing', 'A utility class that serves as the umbrella for a number of ''intangible'' things such as quantities, structured values, etc.', 'A utility class that serves as the umbrella for a number of ''intangible'' things such as quantities, structured values, etc.', 'Intangible', 'https://schema.org/Intangible', 8),
('InternetCafe', 'LocalBusiness', 'An internet cafe.', 'An internet cafe.', 'Internet Cafe', 'https://schema.org/InternetCafe', 0),
('ItemAvailability', 'Enumeration', 'A list of possible product availablity options.', 'A list of possible product availablity options.', 'Item Availability', 'https://schema.org/ItemAvailability', 0),
('ItemList', 'CreativeWork', 'A list of items of any sortâ€”for example, Top 10 Movies About Weathermen, or Top 100 Party Songs. Not to be confused with HTML lists, which are often used only for formatting.', 'A list of items of any sortâ€”for example, Top 10 Movies About Weathermen, or Top 100 Party Songs. Not to be confused with HTML lists, which are often used only for formatting.', 'Item List', 'https://schema.org/ItemList', 0),
('ItemPage', 'WebPage', 'A page devoted to a single item, such as a particular product or hotel.', 'A page devoted to a single item, such as a particular product or hotel.', 'Item Page', 'https://schema.org/ItemPage', 0),
('JewelryStore', 'Store', 'A jewelry store.', 'A jewelry store.', 'Jewelry Store', 'https://schema.org/JewelryStore', 0),
('JobPosting', 'Intangible', 'A listing that describes a job opening in a certain organization.', 'A listing that describes a job opening in a certain organization.', 'Job Posting', 'https://schema.org/JobPosting', 0),
('Joint', 'AnatomicalStructure', 'The anatomical location at which two or more bones make contact.', 'The anatomical location at which two or more bones make contact.', 'Joint', 'https://schema.org/Joint', 0),
('LakeBodyOfWater', 'BodyOfWater', 'A lake (for example, Lake Pontrachain).', 'A lake (for example, Lake Pontrachain).', 'Lake Body of Water', 'https://schema.org/LakeBodyOfWater', 0),
('Landform', 'Place', 'A landform or physical feature.  Landform elements include mountains, plains, lakes, rivers, seascape and oceanic waterbody interface features such as bays, peninsulas, seas and so forth, including sub-aqueous terrain features such as submersed mountain ranges, volcanoes, and the great ocean basins.', 'A landform or physical feature.  Landform elements include mountains, plains, lakes, rivers, seascape and oceanic waterbody interface features such as bays, peninsulas, seas and so forth, including sub-aqueous terrain features such as submersed mountain ranges, volcanoes, and the great ocean basins.', 'Landform', 'https://schema.org/Landform', 4),
('LandmarksOrHistoricalBuildings', 'Place', 'An historical landmark or building.', 'An historical landmark or building.', 'Landmarks or Historical Buildings', 'https://schema.org/LandmarksOrHistoricalBuildings', 0),
('Language', 'Intangible', 'Natural languages such as Spanish, Tamil, Hindi, English, etc. and programming languages such as Scheme and Lisp.', 'Natural languages such as Spanish, Tamil, Hindi, English, etc. and programming languages such as Scheme and Lisp.', 'Language', 'https://schema.org/Language', 0),
('LegislativeBuilding', 'GovernmentBuilding', 'A legislative buildingâ€”for example, the state capitol.', 'A legislative buildingâ€”for example, the state capitol.', 'Legislative Building', 'https://schema.org/LegislativeBuilding', 0),
('Library', 'LocalBusiness', 'A library.', 'A library.', 'Library', 'https://schema.org/Library', 0),
('LifestyleModification', 'MedicalTherapy', 'A process of care involving exercise, changes to diet, fitness routines, and other lifestyle changes aimed at improving a health condition.', 'A process of care involving exercise, changes to diet, fitness routines, and other lifestyle changes aimed at improving a health condition.', 'Lifestyle Modification', 'https://schema.org/LifestyleModification', 2),
('Ligament', 'AnatomicalStructure', 'A short band of tough, flexible, fibrous connective tissue that functions to connect multiple bones, cartilages, and structurally support joints.', 'A short band of tough, flexible, fibrous connective tissue that functions to connect multiple bones, cartilages, and structurally support joints.', 'Ligament', 'https://schema.org/Ligament', 0),
('LiquorStore', 'Store', 'A liquor store.', 'A liquor store.', 'Liquor Store', 'https://schema.org/LiquorStore', 0),
('LiteraryEvent', 'Event', 'Event type: Literary event.', 'Event type: Literary event.', 'Literary Event', 'https://schema.org/LiteraryEvent', 0),
('LocalBusiness', 'Organization', 'A particular physical business or branch of an organization. Examples of LocalBusiness include a restaurant, a particular branch of a restaurant chain, a branch of a bank, a medical practice, a club, a bowling alley, etc.', 'A particular physical business or branch of an organization. Examples of LocalBusiness include a restaurant, a particular branch of a restaurant chain, a branch of a bank, a medical practice, a club, a bowling alley, etc.', 'Local Business', 'https://schema.org/LocalBusiness', 27),
('Locksmith', 'HomeAndConstructionBusiness', 'A locksmith.', 'A locksmith.', 'Locksmith', 'https://schema.org/Locksmith', 0),
('LodgingBusiness', 'LocalBusiness', 'A lodging business, such as a motel, hotel, or inn.', 'A lodging business, such as a motel, hotel, or inn.', 'Lodging Business', 'https://schema.org/LodgingBusiness', 4),
('LymphaticVessel', 'Vessel', 'A type of blood vessel that specifically carries lymph fluid unidirectionally toward the heart.', 'A type of blood vessel that specifically carries lymph fluid unidirectionally toward the heart.', 'Lymphatic Vessel', 'https://schema.org/LymphaticVessel', 0),
('Map', 'CreativeWork', 'A map.', 'A map.', 'Map', 'https://schema.org/Map', 0),
('Mass', 'Quantity', 'Properties that take Mass as values are of the form ''<Number> <Mass unit of measure>''. E.g., ''7 kg''', 'Properties that take Mass as values are of the form ''<Number> <Mass unit of measure>''. E.g., ''7 kg''', 'Mass', 'https://schema.org/Mass', 0),
('MaximumDoseSchedule', 'DoseSchedule', 'The maximum dosing schedule considered safe for a drug or supplement as recommended by an authority or by the drug/supplement''s manufacturer. Capture the recommending authority in the recognizingAuthority property of MedicalEntity.', 'The maximum dosing schedule considered safe for a drug or supplement as recommended by an authority or by the drug/supplement''s manufacturer. Capture the recommending authority in the recognizingAuthority property of MedicalEntity.', 'Maximum Dose Schedule', 'https://schema.org/MaximumDoseSchedule', 0),
('MediaObject', 'CreativeWork', 'An image, video, or audio object embedded in a web page. Note that a creative work may have many media objects associated with it on the same web page. For example, a page about a single song (MusicRecording) may have a music video (VideoObject), and a high and low bandwidth audio stream (2 AudioObject''s).', 'An image, video, or audio object embedded in a web page. Note that a creative work may have many media objects associated with it on the same web page. For example, a page about a single song (MusicRecording) may have a music video (VideoObject), and a high and low bandwidth audio stream (2 AudioObject''s).', 'Media Object', 'https://schema.org/MediaObject', 4),
('MedicalAudience', 'Audience', 'Target audiences for medical web pages. Enumerated type.', 'Target audiences for medical web pages. Enumerated type.', 'Medical Audience', 'https://schema.org/MedicalAudience', 0),
('MedicalCause', 'MedicalEntity', 'The causative agent(s) that are responsible for the pathophysiologic process that eventually results in a medical condition, symptom or sign. In this schema, unless otherwise specified this is meant to be the proximate cause of the medical condition, symptom or sign. The proximate cause is defined as the causative agent that most directly results in the medical condition, symptom or sign. For example, the HIV virus could be considered a cause of AIDS. Or in a diagnostic context, if a patient fell and sustained a hip fracture and two days later sustained a pulmonary embolism which eventuated in a cardiac arrest, the cause of the cardiac arrest (the proximate cause) would be the pulmonary embolism and not the fall. <p>Medical causes can include cardiovascular, chemical, dermatologic, endocrine, environmental, gastroenterologic, genetic, hematologic, gynecologic, iatrogenic, infectious, musculoskeletal, neurologic, nutritional, obstetric, oncologic, otolaryngologic, pharmacologic, psychiatric, pulmonary, renal, rheumatologic, toxic, traumatic, or urologic causes; medical conditions can be causes as well.\n\n\n\n        </p>', 'The causative agent(s) that are responsible for the pathophysiologic process that eventually results in a medical condition, symptom or sign. In this schema, unless otherwise specified this is meant to be the proximate cause of the medical condition, symptom or sign. The proximate cause is defined as the causative agent that most directly results in the medical condition, symptom or sign. For example, the HIV virus could be considered a cause of AIDS. Or in a diagnostic context, if a patient fell and sustained a hip fracture and two days later sustained a pulmonary embolism which eventuated in a cardiac arrest, the cause of the cardiac arrest (the proximate cause) would be the pulmonary embolism and not the fall. Medical causes can include cardiovascular, chemical, dermatologic, endocrine, environmental, gastroenterologic, genetic, hematologic, gynecologic, iatrogenic, infectious, musculoskeletal, neurologic, nutritional, obstetric, oncologic, otolaryngologic, pharmacologic, psychiatric, pulmonary, renal, rheumatologic, toxic, traumatic, or urologic causes; medical conditions can be causes as well.', 'Medical Cause', 'https://schema.org/MedicalCause', 0),
('MedicalClinic', 'MedicalOrganization', 'A medical clinic.', 'A medical clinic.', 'Medical Clinic', 'https://schema.org/MedicalClinic', 0),
('MedicalCode', 'MedicalIntangible', 'A code for a medical entity.', 'A code for a medical entity.', 'Medical Code', 'https://schema.org/MedicalCode', 0),
('MedicalCondition', 'MedicalEntity', 'Any condition of the human body that affects the normal functioning of a person, whether physically or mentally. Includes diseases, injuries, disabilities, disorders, syndromes, etc.', 'Any condition of the human body that affects the normal functioning of a person, whether physically or mentally. Includes diseases, injuries, disabilities, disorders, syndromes, etc.', 'Medical Condition', 'https://schema.org/MedicalCondition', 1),
('MedicalConditionStage', 'MedicalIntangible', 'A stage of a medical condition, such as ''Stage IIIa''.', 'A stage of a medical condition, such as ''Stage IIIa''.', 'Medical Condition Stage', 'https://schema.org/MedicalConditionStage', 0),
('MedicalContraindication', 'MedicalEntity', 'A condition or factor that serves as a reason to withhold a certain medical therapy. Contraindications can be absolute (there are no reasonable circumstances for undertaking a course of action) or relative (the patient is at higher risk of complications, but that these risks may be outweighed by other considerations or mitigated by other measures).', 'A condition or factor that serves as a reason to withhold a certain medical therapy. Contraindications can be absolute (there are no reasonable circumstances for undertaking a course of action) or relative (the patient is at higher risk of complications, but that these risks may be outweighed by other considerations or mitigated by other measures).', 'Medical Contraindication', 'https://schema.org/MedicalContraindication', 0),
('MedicalDevice', 'MedicalEntity', 'Any object used in a medical capacity, such as to diagnose or treat a patient.', 'Any object used in a medical capacity, such as to diagnose or treat a patient.', 'Medical Device', 'https://schema.org/MedicalDevice', 0),
('MedicalDevicePurpose', 'MedicalEnumeration', 'Categories of medical devices, organized by the purpose or intended use of the device.', 'Categories of medical devices, organized by the purpose or intended use of the device.', 'Medical Device Purpose', 'https://schema.org/MedicalDevicePurpose', 0),
('MedicalEntity', 'Thing', 'The most generic type of entity related to health and the practice of medicine.', 'The most generic type of entity related to health and the practice of medicine.', 'Medical Entity', 'https://schema.org/MedicalEntity', 17),
('MedicalEnumeration', 'MedicalIntangible', 'Enumerations related to health and the practice of medicine.', 'Enumerations related to health and the practice of medicine.', 'Medical Enumeration', 'https://schema.org/MedicalEnumeration', 16),
('MedicalEvidenceLevel', 'MedicalEnumeration', 'Level of evidence for a medical guideline. Enumerated type.', 'Level of evidence for a medical guideline. Enumerated type.', 'Medical Evidence Level', 'https://schema.org/MedicalEvidenceLevel', 0),
('MedicalGuideline', 'MedicalEntity', 'Any recommendation made by a standard society (e.g. ACC/AHA) or consensus statement that denotes how to diagnose and treat a particular condition. Note: this type should be used to tag the actual guideline recommendation; if the guideline recommendation occurs in a larger scholarly article, use MedicalScholarlyArticle to tag the overall article, not this type. Note also: the organization making the recommendation should be captured in the recognizingAuthority base property of MedicalEntity.', 'Any recommendation made by a standard society (e.g. ACC/AHA) or consensus statement that denotes how to diagnose and treat a particular condition. Note: this type should be used to tag the actual guideline recommendation; if the guideline recommendation occurs in a larger scholarly article, use MedicalScholarlyArticle to tag the overall article, not this type. Note also: the organization making the recommendation should be captured in the recognizingAuthority base property of MedicalEntity.', 'Medical Guideline', 'https://schema.org/MedicalGuideline', 2),
('MedicalGuidelineContraindication', 'MedicalGuideline', 'A guideline contraindication that designates a process as harmful and where quality of the data supporting the contraindication is sound.', 'A guideline contraindication that designates a process as harmful and where quality of the data supporting the contraindication is sound.', 'Medical Guideline Contraindication', 'https://schema.org/MedicalGuidelineContraindication', 0),
('MedicalGuidelineRecommendation', 'MedicalGuideline', 'A guideline recommendation that is regarded as efficacious and where quality of the data supporting the recommendation is sound.', 'A guideline recommendation that is regarded as efficacious and where quality of the data supporting the recommendation is sound.', 'Medical Guideline Recommendation', 'https://schema.org/MedicalGuidelineRecommendation', 0),
('MedicalImagingTechnique', 'MedicalEnumeration', 'Any medical imaging modality typically used for diagnostic purposes. Enumerated type.', 'Any medical imaging modality typically used for diagnostic purposes. Enumerated type.', 'Medical Imaging Technique', 'https://schema.org/MedicalImagingTechnique', 0),
('MedicalIndication', 'MedicalEntity', 'A condition or factor that indicates use of a medical therapy, including signs, symptoms, risk factors, anatomical states, etc.', 'A condition or factor that indicates use of a medical therapy, including signs, symptoms, risk factors, anatomical states, etc.', 'Medical Indication', 'https://schema.org/MedicalIndication', 3),
('MedicalIntangible', 'MedicalEntity', 'A utility class that serves as the umbrella for a number of ''intangible'' things in the medical space.', 'A utility class that serves as the umbrella for a number of ''intangible'' things in the medical space.', 'Medical Intangible', 'https://schema.org/MedicalIntangible', 8),
('MedicalObservationalStudy', 'MedicalStudy', 'An observational study is a type of medical study that attempts to infer the possible effect of a treatment through observation of a cohort of subjects over a period of time. In an observational study, the assignment of subjects into treatment groups versus control groups is outside the control of the investigator. This is in contrast with controlled studies, such as the randomized controlled trials represented by MedicalTrial, where each subject is randomly assigned to a treatment group or a control group before the start of the treatment.', 'An observational study is a type of medical study that attempts to infer the possible effect of a treatment through observation of a cohort of subjects over a period of time. In an observational study, the assignment of subjects into treatment groups versus control groups is outside the control of the investigator. This is in contrast with controlled studies, such as the randomized controlled trials represented by MedicalTrial, where each subject is randomly assigned to a treatment group or a control group before the start of the treatment.', 'Medical Observational Study', 'https://schema.org/MedicalObservationalStudy', 0),
('MedicalObservationalStudyDesign', 'MedicalEnumeration', 'Design models for observational medical studies. Enumerated type.', 'Design models for observational medical studies. Enumerated type.', 'Medical Observational Study Design', 'https://schema.org/MedicalObservationalStudyDesign', 0),
('MedicalOrganization', 'LocalBusiness', 'A medical organization, such as a doctor''s office or clinic.', 'A medical organization, such as a doctor''s office or clinic.', 'Medical Organization', 'https://schema.org/MedicalOrganization', 8),
('MedicalProcedure', 'MedicalEntity', 'A process of care used in either a diagnostic, therapeutic, or palliative capacity that relies on invasive (surgical), non-invasive, or percutaneous techniques.', 'A process of care used in either a diagnostic, therapeutic, or palliative capacity that relies on invasive (surgical), non-invasive, or percutaneous techniques.', 'Medical Procedure', 'https://schema.org/MedicalProcedure', 3),
('MedicalProcedureType', 'MedicalEnumeration', 'An enumeration that describes different types of medical procedures.', 'An enumeration that describes different types of medical procedures.', 'Medical Procedure Type', 'https://schema.org/MedicalProcedureType', 0),
('MedicalRiskCalculator', 'MedicalRiskEstimator', 'A complex mathematical calculation requiring an online calculator, used to assess prognosis. Note: use the url property of Thing to record any URLs for online calculators.', 'A complex mathematical calculation requiring an online calculator, used to assess prognosis. Note: use the url property of Thing to record any URLs for online calculators.', 'Medical Risk Calculator', 'https://schema.org/MedicalRiskCalculator', 0),
('MedicalRiskEstimator', 'MedicalEntity', 'Any rule set or interactive tool for estimating the risk of developing a complication or condition.', 'Any rule set or interactive tool for estimating the risk of developing a complication or condition.', 'Medical Risk Estimator', 'https://schema.org/MedicalRiskEstimator', 2),
('MedicalRiskFactor', 'MedicalEntity', 'A risk factor is anything that increases a person''s likelihood of developing or contracting a disease, medical condition, or complication.', 'A risk factor is anything that increases a person''s likelihood of developing or contracting a disease, medical condition, or complication.', 'Medical Risk Factor', 'https://schema.org/MedicalRiskFactor', 0);
INSERT IGNORE INTO `#__j4schema_types` (`id_types`, `ty_parent`, `ty_comment`, `ty_comment_plain`, `ty_label`, `ty_url`, `ty_children`) VALUES
('MedicalRiskScore', 'MedicalRiskEstimator', 'A simple system that adds up the number of risk factors to yield a score that is associated with prognosis, e.g. CHAD score, TIMI risk score.', 'A simple system that adds up the number of risk factors to yield a score that is associated with prognosis, e.g. CHAD score, TIMI risk score.', 'Medical Risk Score', 'https://schema.org/MedicalRiskScore', 0),
('MedicalScholarlyArticle', 'ScholarlyArticle', 'A scholarly article in the medical domain.', 'A scholarly article in the medical domain.', 'Medical Scholarly Article', 'https://schema.org/MedicalScholarlyArticle', 0),
('MedicalSign', 'MedicalSignOrSymptom', 'Any physical manifestation of a person''s medical condition discoverable by objective diagnostic tests or physical examination.', 'Any physical manifestation of a person''s medical condition discoverable by objective diagnostic tests or physical examination.', 'Medical Sign', 'https://schema.org/MedicalSign', 0),
('MedicalSignOrSymptom', 'MedicalEntity', 'Any indication of the existence of a medical condition or disease.', 'Any indication of the existence of a medical condition or disease.', 'Medical Sign or Symptom', 'https://schema.org/MedicalSignOrSymptom', 2),
('MedicalSpecialty', 'Specialty', 'Any specific branch of medical science or practice. Medical specialities include clinical specialties that pertain to particular organ systems and their respective disease states, as well as allied health specialties. Enumerated type.', 'Any specific branch of medical science or practice. Medical specialities include clinical specialties that pertain to particular organ systems and their respective disease states, as well as allied health specialties. Enumerated type.', 'Medical Specialty', 'https://schema.org/MedicalSpecialty', 0),
('MedicalStudy', 'MedicalEntity', 'A medical study is an umbrella type covering all kinds of research studies relating to human medicine or health, including observational studies and interventional trials and registries, randomized, controlled or not. When the specific type of study is known, use one of the extensions of this type, such as MedicalTrial or MedicalObservationalStudy. Also, note that this type should be used to mark up data that describes the study itself; to tag an article that publishes the results of a study, use MedicalScholarlyArticle. Note: use the code property of MedicalEntity to store study IDs, e.g. clinicaltrials.gov ID.', 'A medical study is an umbrella type covering all kinds of research studies relating to human medicine or health, including observational studies and interventional trials and registries, randomized, controlled or not. When the specific type of study is known, use one of the extensions of this type, such as MedicalTrial or MedicalObservationalStudy. Also, note that this type should be used to mark up data that describes the study itself; to tag an article that publishes the results of a study, use MedicalScholarlyArticle. Note: use the code property of MedicalEntity to store study IDs, e.g. clinicaltrials.gov ID.', 'Medical Study', 'https://schema.org/MedicalStudy', 2),
('MedicalStudyStatus', 'MedicalEnumeration', 'The status of a medical study. Enumerated type.', 'The status of a medical study. Enumerated type.', 'Medical Study Status', 'https://schema.org/MedicalStudyStatus', 0),
('MedicalSymptom', 'MedicalSignOrSymptom', 'Any indication of the existence of a medical condition or disease that is apparent to the patient.', 'Any indication of the existence of a medical condition or disease that is apparent to the patient.', 'Medical Symptom', 'https://schema.org/MedicalSymptom', 0),
('MedicalTest', 'MedicalEntity', 'Any medical test, typically performed for diagnostic purposes.', 'Any medical test, typically performed for diagnostic purposes.', 'Medical Test', 'https://schema.org/MedicalTest', 5),
('MedicalTestPanel', 'MedicalTest', 'Any collection of tests commonly ordered together.', 'Any collection of tests commonly ordered together.', 'Medical Test Panel', 'https://schema.org/MedicalTestPanel', 0),
('MedicalTherapy', 'MedicalEntity', 'Any medical intervention designed to prevent, treat, and cure human diseases and medical conditions, including both curative and palliative therapies. Medical therapies are typically processes of care relying upon pharmacotherapy, behavioral therapy, supportive therapy (with fluid or nutrition for example), or detoxification (e.g. hemodialysis) aimed at improving or preventing a health condition.', 'Any medical intervention designed to prevent, treat, and cure human diseases and medical conditions, including both curative and palliative therapies. Medical therapies are typically processes of care relying upon pharmacotherapy, behavioral therapy, supportive therapy (with fluid or nutrition for example), or detoxification (e.g. hemodialysis) aimed at improving or preventing a health condition.', 'Medical Therapy', 'https://schema.org/MedicalTherapy', 9),
('MedicalTrial', 'MedicalStudy', 'A medical trial is a type of medical study that uses scientific process used to compare the safety and efficacy of medical therapies or medical procedures. In general, medical trials are controlled and subjects are allocated at random to the different treatment and/or control groups.', 'A medical trial is a type of medical study that uses scientific process used to compare the safety and efficacy of medical therapies or medical procedures. In general, medical trials are controlled and subjects are allocated at random to the different treatment and/or control groups.', 'Medical Trial', 'https://schema.org/MedicalTrial', 0),
('MedicalTrialDesign', 'MedicalEnumeration', 'Design models for medical trials. Enumerated type.', 'Design models for medical trials. Enumerated type.', 'Medical Trial Design', 'https://schema.org/MedicalTrialDesign', 0),
('MedicalWebPage', 'WebPage', 'A web page that provides medical information.', 'A web page that provides medical information.', 'Medical Web Page', 'https://schema.org/MedicalWebPage', 0),
('MedicineSystem', 'MedicalEnumeration', 'Systems of medical practice.', 'Systems of medical practice.', 'Medicine System', 'https://schema.org/MedicineSystem', 0),
('MensClothingStore', 'Store', 'A men''s clothing store.', 'A men''s clothing store.', 'Mens Clothing Store', 'https://schema.org/MensClothingStore', 0),
('MiddleSchool', 'EducationalOrganization', 'A middle school.', 'A middle school.', 'Middle School', 'https://schema.org/MiddleSchool', 0),
('MobileApplication', 'SoftwareApplication', 'None', 'None', 'Mobile Application', 'https://schema.org/MobileApplication', 0),
('MobilePhoneStore', 'Store', 'A mobile-phone store.', 'A mobile-phone store.', 'Mobile Phone Store', 'https://schema.org/MobilePhoneStore', 0),
('Mosque', 'PlaceOfWorship', 'A mosque.', 'A mosque.', 'Mosque', 'https://schema.org/Mosque', 0),
('Motel', 'LodgingBusiness', 'A motel.', 'A motel.', 'Motel', 'https://schema.org/Motel', 0),
('MotorcycleDealer', 'AutomotiveBusiness', 'A motorcycle dealer.', 'A motorcycle dealer.', 'Motorcycle Dealer', 'https://schema.org/MotorcycleDealer', 0),
('MotorcycleRepair', 'AutomotiveBusiness', 'A motorcycle repair shop.', 'A motorcycle repair shop.', 'Motorcycle Repair', 'https://schema.org/MotorcycleRepair', 0),
('Mountain', 'Landform', 'A mountain, like Mount Whitney or Mount Everest', 'A mountain, like Mount Whitney or Mount Everest', 'Mountain', 'https://schema.org/Mountain', 0),
('Movie', 'CreativeWork', 'A movie.', 'A movie.', 'Movie', 'https://schema.org/Movie', 0),
('MovieRentalStore', 'Store', 'A movie rental store.', 'A movie rental store.', 'Movie Rental Store', 'https://schema.org/MovieRentalStore', 0),
('MovieTheater', 'EntertainmentBusiness', 'A movie theater.', 'A movie theater.', 'Movie Theater', 'https://schema.org/MovieTheater', 0),
('MovingCompany', 'HomeAndConstructionBusiness', 'A moving company.', 'A moving company.', 'Moving Company', 'https://schema.org/MovingCompany', 0),
('Muscle', 'AnatomicalStructure', 'A muscle is an anatomical structure consisting of a contractile form of tissue that animals use to effect movement.', 'A muscle is an anatomical structure consisting of a contractile form of tissue that animals use to effect movement.', 'Muscle', 'https://schema.org/Muscle', 0),
('Museum', 'CivicStructure', 'A museum.', 'A museum.', 'Museum', 'https://schema.org/Museum', 0),
('MusicAlbum', 'MusicPlaylist', 'A collection of music tracks.', 'A collection of music tracks.', 'Music Album', 'https://schema.org/MusicAlbum', 0),
('MusicEvent', 'Event', 'Event type: Music event.', 'Event type: Music event.', 'Music Event', 'https://schema.org/MusicEvent', 0),
('MusicGroup', 'PerformingGroup', 'A musical group, such as a band, an orchestra, or a choir. Can also be a solo musician.', 'A musical group, such as a band, an orchestra, or a choir. Can also be a solo musician.', 'Music Group', 'https://schema.org/MusicGroup', 0),
('MusicPlaylist', 'CreativeWork', 'A collection of music tracks in playlist form.', 'A collection of music tracks in playlist form.', 'Music Playlist', 'https://schema.org/MusicPlaylist', 1),
('MusicRecording', 'CreativeWork', 'A music recording (track), usually a single song.', 'A music recording (track), usually a single song.', 'Music Recording', 'https://schema.org/MusicRecording', 0),
('MusicStore', 'Store', 'A music store.', 'A music store.', 'Music Store', 'https://schema.org/MusicStore', 0),
('MusicVenue', 'CivicStructure', 'A music venue.', 'A music venue.', 'Music Venue', 'https://schema.org/MusicVenue', 0),
('MusicVideoObject', 'MediaObject', 'A music video file.', 'A music video file.', 'Music Video Object', 'https://schema.org/MusicVideoObject', 0),
('NGO', 'Organization', 'Organization: Non-governmental Organization.', 'Organization: Non-governmental Organization.', 'NGO', 'https://schema.org/NGO', 0),
('NailSalon', 'HealthAndBeautyBusiness', 'A nail salon.', 'A nail salon.', 'Nail Salon', 'https://schema.org/NailSalon', 0),
('Nerve', 'AnatomicalStructure', 'A common pathway for the electrochemical nerve impulses that are transmitted along each of the axons.', 'A common pathway for the electrochemical nerve impulses that are transmitted along each of the axons.', 'Nerve', 'https://schema.org/Nerve', 0),
('NewsArticle', 'Article', 'A news article', 'A news article', 'News Article', 'https://schema.org/NewsArticle', 0),
('NightClub', 'EntertainmentBusiness', 'A nightclub or discotheque.', 'A nightclub or discotheque.', 'Night Club', 'https://schema.org/NightClub', 0),
('Notary', 'ProfessionalService', 'A notary.', 'A notary.', 'Notary', 'https://schema.org/Notary', 0),
('NutritionInformation', 'StructuredValue', 'Nutritional information about the recipe.', 'Nutritional information about the recipe.', 'Nutrition Information', 'https://schema.org/NutritionInformation', 0),
('OceanBodyOfWater', 'BodyOfWater', 'An ocean (for example, the Pacific).', 'An ocean (for example, the Pacific).', 'Ocean Body of Water', 'https://schema.org/OceanBodyOfWater', 0),
('Offer', 'Intangible', 'An offer to sell an itemâ€”for example, an offer to sell a product, the DVD of a movie, or tickets to an event.', 'An offer to sell an itemâ€”for example, an offer to sell a product, the DVD of a movie, or tickets to an event.', 'Offer', 'https://schema.org/Offer', 1),
('OfferItemCondition', 'Enumeration', 'A list of possible conditions for the item for sale.', 'A list of possible conditions for the item for sale.', 'Offer Item Condition', 'https://schema.org/OfferItemCondition', 0),
('OfficeEquipmentStore', 'Store', 'An office equipment store.', 'An office equipment store.', 'Office Equipment Store', 'https://schema.org/OfficeEquipmentStore', 0),
('Optician', 'MedicalOrganization', 'An optician''s store.', 'An optician''s store.', 'Optician', 'https://schema.org/Optician', 0),
('Organization', 'Thing', 'An organization such as a school, NGO, corporation, club, etc.', 'An organization such as a school, NGO, corporation, club, etc.', 'Organization', 'https://schema.org/Organization', 7),
('OutletStore', 'Store', 'An outlet store.', 'An outlet store.', 'Outlet Store', 'https://schema.org/OutletStore', 0),
('Painting', 'CreativeWork', 'A painting.', 'A painting.', 'Painting', 'https://schema.org/Painting', 0),
('PalliativeProcedure', 'MedicalTherapy', 'A medical procedure intended primarly for palliative purposes, aimed at relieving the symptoms of an underlying health condition.', 'A medical procedure intended primarly for palliative purposes, aimed at relieving the symptoms of an underlying health condition.', 'Palliative Procedure', 'https://schema.org/PalliativeProcedure', 0),
('Park', 'CivicStructure', 'A park.', 'A park.', 'Park', 'https://schema.org/Park', 0),
('ParkingFacility', 'CivicStructure', 'A parking lot or other parking facility.', 'A parking lot or other parking facility.', 'Parking Facility', 'https://schema.org/ParkingFacility', 0),
('PathologyTest', 'MedicalTest', 'A medical test performed by a laboratory that typically involves examination of a tissue sample by a pathologist.', 'A medical test performed by a laboratory that typically involves examination of a tissue sample by a pathologist.', 'Pathology Test', 'https://schema.org/PathologyTest', 0),
('PawnShop', 'Store', 'A pawnstore.', 'A pawnstore.', 'Pawn Shop', 'https://schema.org/PawnShop', 0),
('PerformingArtsTheater', 'CivicStructure', 'A theatre or other performing art center.', 'A theatre or other performing art center.', 'Performing Arts Theater', 'https://schema.org/PerformingArtsTheater', 0),
('PerformingGroup', 'Organization', 'A performance group, such as a band, an orchestra, or a circus.', 'A performance group, such as a band, an orchestra, or a circus.', 'Performing Group', 'https://schema.org/PerformingGroup', 3),
('Person', 'Thing', 'A person (alive, dead, undead, or fictional).', 'A person (alive, dead, undead, or fictional).', 'Person', 'https://schema.org/Person', 0),
('PetStore', 'Store', 'A pet store.', 'A pet store.', 'Pet Store', 'https://schema.org/PetStore', 0),
('Pharmacy', 'MedicalOrganization', 'A pharmacy or drugstore.', 'A pharmacy or drugstore.', 'Pharmacy', 'https://schema.org/Pharmacy', 0),
('Photograph', 'CreativeWork', 'A photograph.', 'A photograph.', 'Photograph', 'https://schema.org/Photograph', 0),
('PhysicalActivity', 'LifestyleModification', 'Any bodily activity that enhances or maintains physical fitness and overall health and wellness. Includes activity that is part of daily living and routine, structured exercise, and exercise prescribed as part of a medical treatment or recovery plan.', 'Any bodily activity that enhances or maintains physical fitness and overall health and wellness. Includes activity that is part of daily living and routine, structured exercise, and exercise prescribed as part of a medical treatment or recovery plan.', 'Physical Activity', 'https://schema.org/PhysicalActivity', 1),
('PhysicalActivityCategory', 'MedicalEnumeration', 'Categories of physical activity, organized by physiologic classification.', 'Categories of physical activity, organized by physiologic classification.', 'Physical Activity Category', 'https://schema.org/PhysicalActivityCategory', 0),
('PhysicalExam', 'MedicalEnumeration', 'A type of physical examination of a patient performed by a physician. Enumerated type.', 'A type of physical examination of a patient performed by a physician. Enumerated type.', 'Physical Exam', 'https://schema.org/PhysicalExam', 0),
('PhysicalTherapy', 'MedicalTherapy', 'A process of progressive physical care and rehabilitation aimed at improving a health condition.', 'A process of progressive physical care and rehabilitation aimed at improving a health condition.', 'Physical Therapy', 'https://schema.org/PhysicalTherapy', 0),
('Physician', 'MedicalOrganization', 'A doctor''s office.', 'A doctor''s office.', 'Physician', 'https://schema.org/Physician', 0),
('Place', 'Thing', 'Entities that have a somewhat fixed, physical extension.', 'Entities that have a somewhat fixed, physical extension.', 'Place', 'https://schema.org/Place', 7),
('PlaceOfWorship', 'CivicStructure', 'Place of worship, such as a church, synagogue, or mosque.', 'Place of worship, such as a church, synagogue, or mosque.', 'Place of Worship', 'https://schema.org/PlaceOfWorship', 6),
('Playground', 'CivicStructure', 'A playground.', 'A playground.', 'Playground', 'https://schema.org/Playground', 0),
('Plumber', 'HomeAndConstructionBusiness', 'A plumbing service.', 'A plumbing service.', 'Plumber', 'https://schema.org/Plumber', 0),
('PoliceStation', 'CivicStructure', 'A police station.', 'A police station.', 'Police Station', 'https://schema.org/PoliceStation', 0),
('Pond', 'BodyOfWater', 'A pond', 'A pond', 'Pond', 'https://schema.org/Pond', 0),
('PostOffice', 'GovernmentOffice', 'A post office.', 'A post office.', 'Post Office', 'https://schema.org/PostOffice', 0),
('PostalAddress', 'ContactPoint', 'The mailing address.', 'The mailing address.', 'Postal Address', 'https://schema.org/PostalAddress', 0),
('Preschool', 'EducationalOrganization', 'A preschool.', 'A preschool.', 'Preschool', 'https://schema.org/Preschool', 0),
('PreventionIndication', 'MedicalIndication', 'An indication for preventing an underlying condition, symptom, etc.', 'An indication for preventing an underlying condition, symptom, etc.', 'Prevention Indication', 'https://schema.org/PreventionIndication', 0),
('Product', 'Thing', 'A product is anything that is made available for saleâ€”for example, a pair of shoes, a concert ticket, or a car.', 'A product is anything that is made available for saleâ€”for example, a pair of shoes, a concert ticket, or a car.', 'Product', 'https://schema.org/Product', 0),
('ProfessionalService', 'LocalBusiness', 'Provider of professional services.', 'Provider of professional services.', 'Professional Service', 'https://schema.org/ProfessionalService', 10),
('ProfilePage', 'WebPage', 'Web page type: Profile page.', 'Web page type: Profile page.', 'Profile Page', 'https://schema.org/ProfilePage', 0),
('PsychologicalTreatment', 'MedicalTherapy', 'A process of care relying upon counseling, dialogue, communication, verbalization aimed at improving a mental health condition.', 'A process of care relying upon counseling, dialogue, communication, verbalization aimed at improving a mental health condition.', 'Psychological Treatment', 'https://schema.org/PsychologicalTreatment', 0),
('PublicSwimmingPool', 'SportsActivityLocation', 'A public swimming pool.', 'A public swimming pool.', 'Public Swimming Pool', 'https://schema.org/PublicSwimmingPool', 0),
('Quantity', 'Intangible', 'Quantities such as distance, time, mass, weight, etc. Particular instances of say Mass are entities like ''3 Kg'' or ''4 milligrams''.', 'Quantities such as distance, time, mass, weight, etc. Particular instances of say Mass are entities like ''3 Kg'' or ''4 milligrams''.', 'Quantity', 'https://schema.org/Quantity', 4),
('RVPark', 'CivicStructure', 'An RV park.', 'An RV park.', 'RV Park', 'https://schema.org/RVPark', 0),
('RadiationTherapy', 'MedicalTherapy', 'A process of care using radiation aimed at improving a health condition.', 'A process of care using radiation aimed at improving a health condition.', 'Radiation Therapy', 'https://schema.org/RadiationTherapy', 0),
('RadioStation', 'LocalBusiness', 'A radio station.', 'A radio station.', 'Radio Station', 'https://schema.org/RadioStation', 0),
('Rating', 'Intangible', 'The rating of the video.', 'The rating of the video.', 'Rating', 'https://schema.org/Rating', 1),
('RealEstateAgent', 'LocalBusiness', 'A real-estate agent.', 'A real-estate agent.', 'Real Estate Agent', 'https://schema.org/RealEstateAgent', 0),
('Recipe', 'CreativeWork', 'A recipe.', 'A recipe.', 'Recipe', 'https://schema.org/Recipe', 0),
('RecommendedDoseSchedule', 'DoseSchedule', 'A recommended dosing schedule for a drug or supplement as prescribed or recommended by an authority or by the drug/supplement''s manufacturer. Capture the recommending authority in the recognizingAuthority property of MedicalEntity.', 'A recommended dosing schedule for a drug or supplement as prescribed or recommended by an authority or by the drug/supplement''s manufacturer. Capture the recommending authority in the recognizingAuthority property of MedicalEntity.', 'Recommended Dose Schedule', 'https://schema.org/RecommendedDoseSchedule', 0),
('RecyclingCenter', 'LocalBusiness', 'A recycling center.', 'A recycling center.', 'Recycling Center', 'https://schema.org/RecyclingCenter', 0),
('ReportedDoseSchedule', 'DoseSchedule', 'A patient-reported or observed dosing schedule for a drug or supplement.', 'A patient-reported or observed dosing schedule for a drug or supplement.', 'Reported Dose Schedule', 'https://schema.org/ReportedDoseSchedule', 0),
('Reservoir', 'BodyOfWater', 'A reservoir, like the Lake Kariba reservoir.', 'A reservoir, like the Lake Kariba reservoir.', 'Reservoir', 'https://schema.org/Reservoir', 0),
('Residence', 'Place', 'The place where a person lives.', 'The place where a person lives.', 'Residence', 'https://schema.org/Residence', 3),
('Restaurant', 'FoodEstablishment', 'A restaurant.', 'A restaurant.', 'Restaurant', 'https://schema.org/Restaurant', 0),
('Review', 'CreativeWork', 'A review of an item - for example, a restaurant, movie, or store.', 'A review of an item - for example, a restaurant, movie, or store.', 'Review', 'https://schema.org/Review', 0),
('RiverBodyOfWater', 'BodyOfWater', 'A river (for example, the broad majestic Shannon).', 'A river (for example, the broad majestic Shannon).', 'River Body of Water', 'https://schema.org/RiverBodyOfWater', 0),
('RoofingContractor', 'HomeAndConstructionBusiness', 'A roofing contractor.', 'A roofing contractor.', 'Roofing Contractor', 'https://schema.org/RoofingContractor', 0),
('SaleEvent', 'Event', 'Event type: Sales event.', 'Event type: Sales event.', 'Sale Event', 'https://schema.org/SaleEvent', 0),
('ScholarlyArticle', 'Article', 'A scholarly article.', 'A scholarly article.', 'Scholarly Article', 'https://schema.org/ScholarlyArticle', 1),
('School', 'EducationalOrganization', 'A school.', 'A school.', 'School', 'https://schema.org/School', 0),
('Sculpture', 'CreativeWork', 'A piece of sculpture.', 'A piece of sculpture.', 'Sculpture', 'https://schema.org/Sculpture', 0),
('SeaBodyOfWater', 'BodyOfWater', 'A sea (for example, the Caspian sea).', 'A sea (for example, the Caspian sea).', 'Sea Body of Water', 'https://schema.org/SeaBodyOfWater', 0),
('SearchResultsPage', 'WebPage', 'Web page type: Search results page.', 'Web page type: Search results page.', 'Search Results Page', 'https://schema.org/SearchResultsPage', 0),
('SelfStorage', 'LocalBusiness', 'Self-storage facility.', 'Self-storage facility.', 'Self Storage', 'https://schema.org/SelfStorage', 0),
('ShoeStore', 'Store', 'A shoe store.', 'A shoe store.', 'Shoe Store', 'https://schema.org/ShoeStore', 0),
('ShoppingCenter', 'LocalBusiness', 'A shopping center or mall.', 'A shopping center or mall.', 'Shopping Center', 'https://schema.org/ShoppingCenter', 0),
('SingleFamilyResidence', 'Residence', 'Residence type: Single-family home.', 'Residence type: Single-family home.', 'Single Family Residence', 'https://schema.org/SingleFamilyResidence', 0),
('SiteNavigationElement', 'WebPageElement', 'A navigation element of the page.', 'A navigation element of the page.', 'Site Navigation Element', 'https://schema.org/SiteNavigationElement', 0),
('SkiResort', 'SportsActivityLocation', 'A ski resort.', 'A ski resort.', 'Ski Resort', 'https://schema.org/SkiResort', 0),
('SocialEvent', 'Event', 'Event type: Social event.', 'Event type: Social event.', 'Social Event', 'https://schema.org/SocialEvent', 0),
('SoftwareApplication', 'CreativeWork', 'A software application.', 'A software application.', 'Software Application', 'https://schema.org/SoftwareApplication', 2),
('Specialty', 'Enumeration', 'Any branch of a field in which people typically develop specific expertise, usually after significant study, time, and effort.', 'Any branch of a field in which people typically develop specific expertise, usually after significant study, time, and effort.', 'Specialty', 'https://schema.org/Specialty', 1),
('SportingGoodsStore', 'Store', 'A sporting goods store.', 'A sporting goods store.', 'Sporting Goods Store', 'https://schema.org/SportingGoodsStore', 0),
('SportsActivityLocation', 'LocalBusiness', 'A sports location, such as a playing field.', 'A sports location, such as a playing field.', 'Sports Activity Location', 'https://schema.org/SportsActivityLocation', 9),
('SportsClub', 'SportsActivityLocation', 'A sports club.', 'A sports club.', 'Sports Club', 'https://schema.org/SportsClub', 0),
('SportsEvent', 'Event', 'Event type: Sports event.', 'Event type: Sports event.', 'Sports Event', 'https://schema.org/SportsEvent', 0),
('SportsTeam', 'Organization', 'Organization: Sports team.', 'Organization: Sports team.', 'Sports Team', 'https://schema.org/SportsTeam', 0),
('StadiumOrArena', 'CivicStructure', 'A stadium.', 'A stadium.', 'Stadium or Arena', 'https://schema.org/StadiumOrArena', 0),
('State', 'AdministrativeArea', 'A state or province.', 'A state or province.', 'State', 'https://schema.org/State', 0),
('Store', 'LocalBusiness', 'A retail good store.', 'A retail good store.', 'Store', 'https://schema.org/Store', 30),
('StructuredValue', 'Intangible', 'Structured values are stringsâ€”for example, addressesâ€”that have certain constraints on their structure.', 'Structured values are stringsâ€”for example, addressesâ€”that have certain constraints on their structure.', 'Structured Value', 'https://schema.org/StructuredValue', 4),
('SubwayStation', 'CivicStructure', 'A subway station.', 'A subway station.', 'Subway Station', 'https://schema.org/SubwayStation', 0),
('SuperficialAnatomy', 'MedicalEntity', 'Anatomical features that can be observed by sight (without dissection), including the form and proportions of the human body as well as surface landmarks that correspond to deeper subcutaneous structures. Superficial anatomy plays an important role in sports medicine, phlebotomy, and other medical specialties as underlying anatomical structures can be identified through surface palpation. For example, during back surgery, superficial anatomy can be used to palpate and count vertebrae to find the site of incision. Or in phlebotomy, superficial anatomy can be used to locate an underlying vein; for example, the median cubital vein can be located by palpating the borders of the cubital fossa (such as the epicondyles of the humerus) and then looking for the superficial signs of the vein, such as size, prominence, ability to refill after depression, and feel of surrounding tissue support. As another example, in a subluxation (dislocation) of the glenohumeral joint, the bony structure becomes pronounced with the deltoid muscle failing to cover the glenohumeral joint allowing the edges of the scapula to be superficially visible. Here, the superficial anatomy is the visible edges of the scapula, implying the underlying dislocation of the joint (the related anatomical structure).', 'Anatomical features that can be observed by sight (without dissection), including the form and proportions of the human body as well as surface landmarks that correspond to deeper subcutaneous structures. Superficial anatomy plays an important role in sports medicine, phlebotomy, and other medical specialties as underlying anatomical structures can be identified through surface palpation. For example, during back surgery, superficial anatomy can be used to palpate and count vertebrae to find the site of incision. Or in phlebotomy, superficial anatomy can be used to locate an underlying vein; for example, the median cubital vein can be located by palpating the borders of the cubital fossa (such as the epicondyles of the humerus) and then looking for the superficial signs of the vein, such as size, prominence, ability to refill after depression, and feel of surrounding tissue support. As another example, in a subluxation (dislocation) of the glenohumeral joint, the bony structure becomes pronounced with the deltoid muscle failing to cover the glenohumeral joint allowing the edges of the scapula to be superficially visible. Here, the superficial anatomy is the visible edges of the scapula, implying the underlying dislocation of the joint (the related anatomical structure).', 'Superficial Anatomy', 'https://schema.org/SuperficialAnatomy', 0),
('Synagogue', 'PlaceOfWorship', 'A synagogue.', 'A synagogue.', 'Synagogue', 'https://schema.org/Synagogue', 0),
('TVEpisode', 'CreativeWork', 'An episode of a TV series or season.', 'An episode of a TV series or season.', 'TV Episode', 'https://schema.org/TVEpisode', 0),
('TVSeason', 'CreativeWork', 'A TV season.', 'A TV season.', 'TV Season', 'https://schema.org/TVSeason', 0),
('TVSeries', 'CreativeWork', 'A television series.', 'A television series.', 'TV Series', 'https://schema.org/TVSeries', 0),
('Table', 'WebPageElement', 'A table on the page.', 'A table on the page.', 'Table', 'https://schema.org/Table', 0),
('TattooParlor', 'HealthAndBeautyBusiness', 'A tattoo parlor.', 'A tattoo parlor.', 'Tattoo Parlor', 'https://schema.org/TattooParlor', 0),
('TaxiStand', 'CivicStructure', 'A taxi stand.', 'A taxi stand.', 'Taxi Stand', 'https://schema.org/TaxiStand', 0),
('TelevisionStation', 'LocalBusiness', 'A television station.', 'A television station.', 'Television Station', 'https://schema.org/TelevisionStation', 0),
('TennisComplex', 'SportsActivityLocation', 'A tennis complex.', 'A tennis complex.', 'Tennis Complex', 'https://schema.org/TennisComplex', 0),
('TheaterEvent', 'Event', 'Event type: Theater performance.', 'Event type: Theater performance.', 'Theater Event', 'https://schema.org/TheaterEvent', 0),
('TheaterGroup', 'PerformingGroup', 'A theater group or companyâ€”for example, the Royal Shakespeare Company or Druid Theatre.', 'A theater group or companyâ€”for example, the Royal Shakespeare Company or Druid Theatre.', 'Theater Group', 'https://schema.org/TheaterGroup', 0),
('TherapeuticProcedure', 'MedicalTherapy', 'A medical procedure intended primarly for therapeutic purposes, aimed at improving a health condition.', 'A medical procedure intended primarly for therapeutic purposes, aimed at improving a health condition.', 'Therapeutic Procedure', 'https://schema.org/TherapeuticProcedure', 0),
('Thing', '', 'The most generic type of item.', 'The most generic type of item.', 'Thing', 'https://schema.org/Thing', 8),
('TireShop', 'Store', 'A tire shop.', 'A tire shop.', 'Tire Shop', 'https://schema.org/TireShop', 0),
('TouristAttraction', 'Place', 'A tourist attraction.', 'A tourist attraction.', 'Tourist Attraction', 'https://schema.org/TouristAttraction', 0),
('TouristInformationCenter', 'LocalBusiness', 'A tourist information center.', 'A tourist information center.', 'Tourist Information Center', 'https://schema.org/TouristInformationCenter', 0),
('ToyStore', 'Store', 'A toystore.', 'A toystore.', 'Toy Store', 'https://schema.org/ToyStore', 0),
('TrainStation', 'CivicStructure', 'A train station.', 'A train station.', 'Train Station', 'https://schema.org/TrainStation', 0),
('TravelAgency', 'LocalBusiness', 'A travel agency.', 'A travel agency.', 'Travel Agency', 'https://schema.org/TravelAgency', 0),
('TreatmentIndication', 'MedicalIndication', 'An indication for treating an underlying condition, symptom, etc.', 'An indication for treating an underlying condition, symptom, etc.', 'Treatment Indication', 'https://schema.org/TreatmentIndication', 0),
('UserBlocks', 'UserInteraction', 'User interaction: Block this content.', 'User interaction: Block this content.', 'User Blocks', 'https://schema.org/UserBlocks', 0),
('UserCheckins', 'UserInteraction', 'User interaction: Check-in at a place.', 'User interaction: Check-in at a place.', 'User Checkins', 'https://schema.org/UserCheckins', 0),
('UserComments', 'UserInteraction', 'The UserInteraction event in which a user comments on an item.', 'The UserInteraction event in which a user comments on an item.', 'User Comments', 'https://schema.org/UserComments', 0),
('UserDownloads', 'UserInteraction', 'User interaction: Download of an item.', 'User interaction: Download of an item.', 'User Downloads', 'https://schema.org/UserDownloads', 0),
('UserInteraction', 'Event', 'A user interacting with a page', 'A user interacting with a page', 'User Interaction', 'https://schema.org/UserInteraction', 9),
('UserLikes', 'UserInteraction', 'User interaction: Like an item.', 'User interaction: Like an item.', 'User Likes', 'https://schema.org/UserLikes', 0),
('UserPageVisits', 'UserInteraction', 'User interaction: Visit to a web page.', 'User interaction: Visit to a web page.', 'User Page Visits', 'https://schema.org/UserPageVisits', 0),
('UserPlays', 'UserInteraction', 'User interaction: Play count of an item, for example a video or a song.', 'User interaction: Play count of an item, for example a video or a song.', 'User Plays', 'https://schema.org/UserPlays', 0),
('UserPlusOnes', 'UserInteraction', 'User interaction: +1.', 'User interaction: +1.', 'User Plus Ones', 'https://schema.org/UserPlusOnes', 0),
('UserTweets', 'UserInteraction', 'User interaction: Tweets.', 'User interaction: Tweets.', 'User Tweets', 'https://schema.org/UserTweets', 0),
('Vein', 'Vessel', 'A type of blood vessel that specifically carries blood to the heart.', 'A type of blood vessel that specifically carries blood to the heart.', 'Vein', 'https://schema.org/Vein', 0),
('Vessel', 'AnatomicalStructure', 'A component of the human body circulatory system comprised of an intricate network of hollow tubes that transport blood throughout the entire body.', 'A component of the human body circulatory system comprised of an intricate network of hollow tubes that transport blood throughout the entire body.', 'Vessel', 'https://schema.org/Vessel', 3),
('VeterinaryCare', 'MedicalOrganization', 'A vet''s office.', 'A vet''s office.', 'Veterinary Care', 'https://schema.org/VeterinaryCare', 0),
('VideoGallery', 'CollectionPage', 'Web page type: Video gallery page.', 'Web page type: Video gallery page.', 'Video Gallery', 'https://schema.org/VideoGallery', 0),
('VideoObject', 'MediaObject', 'A video file.', 'A video file.', 'Video Object', 'https://schema.org/VideoObject', 0),
('VisualArtsEvent', 'Event', 'Event type: Visual arts event.', 'Event type: Visual arts event.', 'Visual Arts Event', 'https://schema.org/VisualArtsEvent', 0),
('Volcano', 'Landform', 'A volcano, like Fuji san', 'A volcano, like Fuji san', 'Volcano', 'https://schema.org/Volcano', 0),
('WPAdBlock', 'WebPageElement', 'An advertising section of the page.', 'An advertising section of the page.', 'WP Ad Block', 'https://schema.org/WPAdBlock', 0),
('WPFooter', 'WebPageElement', 'The footer section of the page.', 'The footer section of the page.', 'WP Footer', 'https://schema.org/WPFooter', 0),
('WPHeader', 'WebPageElement', 'The header section of the page.', 'The header section of the page.', 'WP Header', 'https://schema.org/WPHeader', 0),
('WPSideBar', 'WebPageElement', 'A sidebar section of the page.', 'A sidebar section of the page.', 'WP Side Bar', 'https://schema.org/WPSideBar', 0),
('Waterfall', 'BodyOfWater', 'A waterfall, like Niagara', 'A waterfall, like Niagara', 'Waterfall', 'https://schema.org/Waterfall', 0),
('WebApplication', 'SoftwareApplication', 'Web applications.', 'Web applications.', 'Web Application', 'https://schema.org/WebApplication', 0),
('WebPage', 'CreativeWork', 'A web page. Every web page is implicitly assumed to be declared to be of type WebPage, so the various properties about that webpage, such as <code>breadcrumb</code> may be used. We recommend explicit declaration if these properties are specified, but if they are found outside of an itemscope, they will be assumed to be about the page', 'A web page. Every web page is implicitly assumed to be declared to be of type WebPage, so the various properties about that webpage, such as breadcrumb may be used. We recommend explicit declaration if these properties are specified, but if they are found outside of an itemscope, they will be assumed to be about the page', 'Web Page', 'https://schema.org/WebPage', 8),
('WebPageElement', 'CreativeWork', 'A web page element, like a table or an image', 'A web page element, like a table or an image', 'Web Page Element', 'https://schema.org/WebPageElement', 6),
('WholesaleStore', 'Store', 'A wholesale store.', 'A wholesale store.', 'Wholesale Store', 'https://schema.org/WholesaleStore', 0),
('Winery', 'FoodEstablishment', 'A winery.', 'A winery.', 'Winery', 'https://schema.org/Winery', 0),
('Zoo', 'CivicStructure', 'A zoo.', 'A zoo.', 'Zoo', 'https://schema.org/Zoo', 0),
('Boolean', 'DataType', 'Boolean: True or False.', 'Boolean: True or False.', 'Boolean', 'https://schema.org/Boolean', 0),
('DataType', '', 'The basic data types such as Integers, Strings, etc.', 'The basic data types such as Integers, Strings, etc.', 'Data Type', 'https://schema.org/DataType', 6),
('Date', 'DataType', 'A date value in <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 date format</a>.', 'A date value in ISO 8601 date format.', 'Date', 'https://schema.org/Date', 0),
('DateTime', 'DataType', 'A combination of date and time of day in the form [-]CCYY-MM-DDThh:mm:ss[Z|(+|-)hh:mm] (see Chapter 5.4 of ISO 8601).', 'A combination of date and time of day in the form [-]CCYY-MM-DDThh:mm:ss[Z|(+|-)hh:mm] (see Chapter 5.4 of ISO 8601).', 'Date Time', 'https://schema.org/DateTime', 0),
('Float', 'Number', 'Data type: Floating number.', 'Data type: Floating number.', 'Float', 'https://schema.org/Float', 0),
('Integer', 'Number', 'Data type: Integer.', 'Data type: Integer.', 'Integer', 'https://schema.org/Integer', 0),
('Number', 'DataType', 'Data type: Number.', 'Data type: Number.', 'Number', 'https://schema.org/Number', 2),
('Text', 'DataType', 'Data type: Text.', 'Data type: Text.', 'Text', 'https://schema.org/Text', 1),
('Time', 'DataType', 'A point in time recurring on multiple days in the form hh:mm:ss[Z|(+|-)hh:mm] (see <a href="http://www.w3.org/TR/xmlschema-2/#time">XML schema for details</a>).', 'A point in time recurring on multiple days in the form hh:mm:ss[Z|(+|-)hh:mm] (see XML schema for details).', 'Time', 'https://schema.org/Time', 0),
('URL', 'Text', 'Data type: URL.', 'Data type: URL.', 'URL', 'https://schema.org/URL', 0);

INSERT IGNORE INTO `#__j4schema_type_prop` (`id_type`, `id_property`) VALUES
('AggregateOffer', 'highPrice'),
('AggregateOffer', 'lowPrice'),
('AggregateOffer', 'offerCount'),
('AggregateRating', 'itemReviewed'),
('AggregateRating', 'ratingCount'),
('AggregateRating', 'reviewCount'),
('AnatomicalStructure', 'associatedPathophysiology'),
('AnatomicalStructure', 'bodyLocation'),
('AnatomicalStructure', 'connectedTo'),
('AnatomicalStructure', 'diagram'),
('AnatomicalStructure', 'function'),
('AnatomicalStructure', 'partOfSystem'),
('AnatomicalStructure', 'relatedCondition'),
('AnatomicalStructure', 'relatedTherapy'),
('AnatomicalStructure', 'subStructure'),
('AnatomicalSystem', 'associatedPathophysiology'),
('AnatomicalSystem', 'comprisedOf'),
('AnatomicalSystem', 'relatedCondition'),
('AnatomicalSystem', 'relatedStructure'),
('AnatomicalSystem', 'relatedTherapy'),
('Artery', 'arterialBranch'),
('Artery', 'source'),
('Artery', 'supplyTo'),
('Article', 'articleBody'),
('Article', 'articleSection'),
('Article', 'wordCount'),
('AudioObject', 'transcript'),
('Blog', 'blogPost'),
('Blog', 'blogPosts'),
('Book', 'bookEdition'),
('Book', 'bookFormat'),
('Book', 'illustrator'),
('Book', 'isbn'),
('Book', 'numberOfPages'),
('BookFormatType', 'EBook'),
('BookFormatType', 'Hardcover'),
('BookFormatType', 'Paperback'),
('Boolean', 'False'),
('Boolean', 'True'),
('CivicStructure', 'openingHours'),
('ContactPoint', 'contactType'),
('ContactPoint', 'email'),
('ContactPoint', 'faxNumber'),
('ContactPoint', 'telephone'),
('Corporation', 'tickerSymbol'),
('CreativeWork', 'about'),
('CreativeWork', 'accountablePerson'),
('CreativeWork', 'aggregateRating'),
('CreativeWork', 'alternativeHeadline'),
('CreativeWork', 'associatedMedia'),
('CreativeWork', 'audience'),
('CreativeWork', 'audio'),
('CreativeWork', 'author'),
('CreativeWork', 'award'),
('CreativeWork', 'awards'),
('CreativeWork', 'comment'),
('CreativeWork', 'contentLocation'),
('CreativeWork', 'contentRating'),
('CreativeWork', 'contributor'),
('CreativeWork', 'copyrightHolder'),
('CreativeWork', 'copyrightYear'),
('CreativeWork', 'creator'),
('CreativeWork', 'dateCreated'),
('CreativeWork', 'dateModified'),
('CreativeWork', 'datePublished'),
('CreativeWork', 'discussionUrl'),
('CreativeWork', 'editor'),
('CreativeWork', 'encoding'),
('CreativeWork', 'encodings'),
('CreativeWork', 'genre'),
('CreativeWork', 'headline'),
('CreativeWork', 'inLanguage'),
('CreativeWork', 'interactionCount'),
('CreativeWork', 'isFamilyFriendly'),
('CreativeWork', 'keywords'),
('CreativeWork', 'mentions'),
('CreativeWork', 'offers'),
('CreativeWork', 'provider'),
('CreativeWork', 'publisher'),
('CreativeWork', 'publishingPrinciples'),
('CreativeWork', 'review'),
('CreativeWork', 'reviews'),
('CreativeWork', 'sourceOrganization'),
('CreativeWork', 'text'),
('CreativeWork', 'thumbnailUrl'),
('CreativeWork', 'version'),
('CreativeWork', 'video'),
('DDxElement', 'diagnosis'),
('DDxElement', 'distinguishingSign'),
('DiagnosticLab', 'availableTest'),
('DiagnosticProcedure', 'followup'),
('DiagnosticProcedure', 'howPerformed'),
('DiagnosticProcedure', 'preparation'),
('DiagnosticProcedure', 'procedureType'),
('Diet', 'about'),
('Diet', 'accountablePerson'),
('Diet', 'aggregateRating'),
('Diet', 'alternativeHeadline'),
('Diet', 'associatedMedia'),
('Diet', 'audience'),
('Diet', 'audio'),
('Diet', 'author'),
('Diet', 'award'),
('Diet', 'awards'),
('Diet', 'comment'),
('Diet', 'contentLocation'),
('Diet', 'contentRating'),
('Diet', 'contributor'),
('Diet', 'copyrightHolder'),
('Diet', 'copyrightYear'),
('Diet', 'creator'),
('Diet', 'dateCreated'),
('Diet', 'dateModified'),
('Diet', 'datePublished'),
('Diet', 'dietFeatures'),
('Diet', 'discussionUrl'),
('Diet', 'editor'),
('Diet', 'encoding'),
('Diet', 'encodings'),
('Diet', 'endorsers'),
('Diet', 'expertConsiderations'),
('Diet', 'genre'),
('Diet', 'headline'),
('Diet', 'inLanguage'),
('Diet', 'interactionCount'),
('Diet', 'isFamilyFriendly'),
('Diet', 'keywords'),
('Diet', 'mentions'),
('Diet', 'offers'),
('Diet', 'overview'),
('Diet', 'physiologicalBenefits'),
('Diet', 'proprietaryName'),
('Diet', 'provider'),
('Diet', 'publisher'),
('Diet', 'publishingPrinciples'),
('Diet', 'review'),
('Diet', 'reviews'),
('Diet', 'risks'),
('Diet', 'sourceOrganization'),
('Diet', 'text'),
('Diet', 'thumbnailUrl'),
('Diet', 'version'),
('Diet', 'video'),
('DietarySupplement', 'activeIngredient'),
('DietarySupplement', 'background'),
('DietarySupplement', 'dosageForm'),
('DietarySupplement', 'isProprietary'),
('DietarySupplement', 'legalStatus'),
('DietarySupplement', 'manufacturer'),
('DietarySupplement', 'maximumIntake'),
('DietarySupplement', 'mechanismOfAction'),
('DietarySupplement', 'nonProprietaryName'),
('DietarySupplement', 'recommendedIntake'),
('DietarySupplement', 'safetyConsideration'),
('DietarySupplement', 'targetPopulation'),
('DoseSchedule', 'doseUnit'),
('DoseSchedule', 'doseValue'),
('DoseSchedule', 'frequency'),
('DoseSchedule', 'targetPopulation'),
('Drug', 'activeIngredient'),
('Drug', 'administrationRoute'),
('Drug', 'alcoholWarning'),
('Drug', 'availableStrength'),
('Drug', 'breastfeedingWarning'),
('Drug', 'clincalPharmacology'),
('Drug', 'cost'),
('Drug', 'dosageForm'),
('Drug', 'doseSchedule'),
('Drug', 'drugClass'),
('Drug', 'foodWarning'),
('Drug', 'interactingDrug'),
('Drug', 'isAvailableGenerically'),
('Drug', 'isProprietary'),
('Drug', 'labelDetails'),
('Drug', 'legalStatus'),
('Drug', 'manufacturer'),
('Drug', 'mechanismOfAction'),
('Drug', 'nonProprietaryName'),
('Drug', 'overdosage'),
('Drug', 'pregnancyCategory'),
('Drug', 'pregnancyWarning'),
('Drug', 'prescribingInfo'),
('Drug', 'prescriptionStatus'),
('Drug', 'relatedDrug'),
('Drug', 'warning'),
('DrugClass', 'drug'),
('DrugCost', 'applicableLocation'),
('DrugCost', 'costCategory'),
('DrugCost', 'costCurrency'),
('DrugCost', 'costOrigin'),
('DrugCost', 'costPerUnit'),
('DrugCost', 'drugUnit'),
('DrugCostCategory', 'ReimbursementCap'),
('DrugCostCategory', 'Retail'),
('DrugCostCategory', 'Wholesale'),
('DrugLegalStatus', 'applicableLocation'),
('DrugPregnancyCategory', 'FDAcategoryA'),
('DrugPregnancyCategory', 'FDAcategoryB'),
('DrugPregnancyCategory', 'FDAcategoryC'),
('DrugPregnancyCategory', 'FDAcategoryD'),
('DrugPregnancyCategory', 'FDAcategoryX'),
('DrugPregnancyCategory', 'FDAnotEvaluated'),
('DrugPrescriptionStatus', 'OTC'),
('DrugPrescriptionStatus', 'PrescriptionOnly'),
('DrugStrength', 'activeIngredient'),
('DrugStrength', 'availableIn'),
('DrugStrength', 'strengthUnit'),
('DrugStrength', 'strengthValue'),
('EducationalOrganization', 'alumni'),
('Event', 'attendee'),
('Event', 'attendees'),
('Event', 'duration'),
('Event', 'endDate'),
('Event', 'location'),
('Event', 'offers'),
('Event', 'performer'),
('Event', 'performers'),
('Event', 'startDate'),
('Event', 'subEvent'),
('Event', 'subEvents'),
('Event', 'superEvent'),
('ExercisePlan', 'about'),
('ExercisePlan', 'accountablePerson'),
('ExercisePlan', 'activityDuration'),
('ExercisePlan', 'activityFrequency'),
('ExercisePlan', 'additionalVariable'),
('ExercisePlan', 'aggregateRating'),
('ExercisePlan', 'alternativeHeadline'),
('ExercisePlan', 'associatedMedia'),
('ExercisePlan', 'audience'),
('ExercisePlan', 'audio'),
('ExercisePlan', 'author'),
('ExercisePlan', 'award'),
('ExercisePlan', 'awards'),
('ExercisePlan', 'comment'),
('ExercisePlan', 'contentLocation'),
('ExercisePlan', 'contentRating'),
('ExercisePlan', 'contributor'),
('ExercisePlan', 'copyrightHolder'),
('ExercisePlan', 'copyrightYear'),
('ExercisePlan', 'creator'),
('ExercisePlan', 'dateCreated'),
('ExercisePlan', 'dateModified'),
('ExercisePlan', 'datePublished'),
('ExercisePlan', 'discussionUrl'),
('ExercisePlan', 'editor'),
('ExercisePlan', 'encoding'),
('ExercisePlan', 'encodings'),
('ExercisePlan', 'exerciseType'),
('ExercisePlan', 'genre'),
('ExercisePlan', 'headline'),
('ExercisePlan', 'inLanguage'),
('ExercisePlan', 'intensity'),
('ExercisePlan', 'interactionCount'),
('ExercisePlan', 'isFamilyFriendly'),
('ExercisePlan', 'keywords'),
('ExercisePlan', 'mentions'),
('ExercisePlan', 'offers'),
('ExercisePlan', 'provider'),
('ExercisePlan', 'publisher'),
('ExercisePlan', 'publishingPrinciples'),
('ExercisePlan', 'repetitions'),
('ExercisePlan', 'restPeriods'),
('ExercisePlan', 'review'),
('ExercisePlan', 'reviews'),
('ExercisePlan', 'sourceOrganization'),
('ExercisePlan', 'text'),
('ExercisePlan', 'thumbnailUrl'),
('ExercisePlan', 'version'),
('ExercisePlan', 'video'),
('ExercisePlan', 'workload'),
('FireStation', 'branchOf'),
('FireStation', 'contactPoint'),
('FireStation', 'contactPoints'),
('FireStation', 'currenciesAccepted'),
('FireStation', 'email'),
('FireStation', 'employee'),
('FireStation', 'employees'),
('FireStation', 'founder'),
('FireStation', 'founders'),
('FireStation', 'foundingDate'),
('FireStation', 'location'),
('FireStation', 'member'),
('FireStation', 'members'),
('FireStation', 'paymentAccepted'),
('FireStation', 'priceRange'),
('FoodEstablishment', 'acceptsReservations'),
('FoodEstablishment', 'menu'),
('FoodEstablishment', 'servesCuisine'),
('GeoCoordinates', 'elevation'),
('GeoCoordinates', 'latitude'),
('GeoCoordinates', 'longitude'),
('GeoShape', 'box'),
('GeoShape', 'circle'),
('GeoShape', 'elevation'),
('GeoShape', 'line'),
('GeoShape', 'polygon'),
('Hospital', 'availableService'),
('Hospital', 'medicalSpecialty'),
('ImageObject', 'caption'),
('ImageObject', 'exifData'),
('ImageObject', 'representativeOfPage'),
('ImageObject', 'thumbnail'),
('ImagingTest', 'imagingTechnique'),
('InfectiousAgentClass', 'Bacteria'),
('InfectiousAgentClass', 'Fungus'),
('InfectiousAgentClass', 'MulticellularParasite'),
('InfectiousAgentClass', 'Prion'),
('InfectiousAgentClass', 'Protozoa'),
('InfectiousAgentClass', 'Virus'),
('InfectiousDisease', 'infectiousAgent'),
('InfectiousDisease', 'infectiousAgentClass'),
('InfectiousDisease', 'transmissionMethod'),
('ItemAvailability', 'Discontinued'),
('ItemAvailability', 'InStock'),
('ItemAvailability', 'InStoreOnly'),
('ItemAvailability', 'OnlineOnly'),
('ItemAvailability', 'OutOfStock'),
('ItemAvailability', 'PreOrder'),
('ItemList', 'itemListElement'),
('ItemList', 'itemListOrder'),
('JobPosting', 'baseSalary'),
('JobPosting', 'benefits'),
('JobPosting', 'datePosted'),
('JobPosting', 'educationRequirements'),
('JobPosting', 'employmentType'),
('JobPosting', 'experienceRequirements'),
('JobPosting', 'hiringOrganization'),
('JobPosting', 'incentives'),
('JobPosting', 'industry'),
('JobPosting', 'jobLocation'),
('JobPosting', 'occupationalCategory'),
('JobPosting', 'qualifications'),
('JobPosting', 'responsibilities'),
('JobPosting', 'salaryCurrency'),
('JobPosting', 'skills'),
('JobPosting', 'specialCommitments'),
('JobPosting', 'title'),
('JobPosting', 'workHours'),
('Joint', 'biomechnicalClass'),
('Joint', 'functionalClass'),
('Joint', 'structuralClass'),
('LocalBusiness', 'branchOf'),
('LocalBusiness', 'containedIn'),
('LocalBusiness', 'currenciesAccepted'),
('LocalBusiness', 'geo'),
('LocalBusiness', 'map'),
('LocalBusiness', 'maps'),
('LocalBusiness', 'openingHours'),
('LocalBusiness', 'paymentAccepted'),
('LocalBusiness', 'photo'),
('LocalBusiness', 'photos'),
('LocalBusiness', 'priceRange'),
('LymphaticVessel', 'originatesFrom'),
('LymphaticVessel', 'regionDrained'),
('LymphaticVessel', 'runsTo'),
('MediaObject', 'associatedArticle'),
('MediaObject', 'bitrate'),
('MediaObject', 'contentSize'),
('MediaObject', 'contentUrl'),
('MediaObject', 'duration'),
('MediaObject', 'embedUrl'),
('MediaObject', 'encodesCreativeWork'),
('MediaObject', 'encodingFormat'),
('MediaObject', 'expires'),
('MediaObject', 'height'),
('MediaObject', 'playerType'),
('MediaObject', 'regionsAllowed'),
('MediaObject', 'requiresSubscription'),
('MediaObject', 'uploadDate'),
('MediaObject', 'width'),
('MedicalAudience', 'alternateName'),
('MedicalAudience', 'Clinician'),
('MedicalAudience', 'code'),
('MedicalAudience', 'guideline'),
('MedicalAudience', 'medicineSystem'),
('MedicalAudience', 'Patient'),
('MedicalAudience', 'recognizingAuthority'),
('MedicalAudience', 'relevantSpecialty'),
('MedicalAudience', 'Researcher'),
('MedicalAudience', 'study'),
('MedicalCause', 'causeOf'),
('MedicalClinic', 'availableService'),
('MedicalClinic', 'medicalSpecialty'),
('MedicalCode', 'codeValue'),
('MedicalCode', 'codingSystem'),
('MedicalCondition', 'associatedAnatomy'),
('MedicalCondition', 'cause'),
('MedicalCondition', 'differentialDiagnosis'),
('MedicalCondition', 'epidemiology'),
('MedicalCondition', 'expectedPrognosis'),
('MedicalCondition', 'naturalProgression'),
('MedicalCondition', 'pathophysiology'),
('MedicalCondition', 'possibleComplication'),
('MedicalCondition', 'possibleTreatment'),
('MedicalCondition', 'primaryPrevention'),
('MedicalCondition', 'riskFactor'),
('MedicalCondition', 'secondaryPrevention'),
('MedicalCondition', 'signOrSymptom'),
('MedicalCondition', 'stage'),
('MedicalCondition', 'subtype'),
('MedicalCondition', 'typicalTest'),
('MedicalConditionStage', 'stageAsNumber'),
('MedicalConditionStage', 'subStageSuffix'),
('MedicalDevice', 'adverseOutcome'),
('MedicalDevice', 'contraindication'),
('MedicalDevice', 'indication'),
('MedicalDevice', 'postOp'),
('MedicalDevice', 'preOp'),
('MedicalDevice', 'procedure'),
('MedicalDevice', 'purpose'),
('MedicalDevice', 'seriousAdverseOutcome'),
('MedicalDevicePurpose', 'Diagnostic'),
('MedicalDevicePurpose', 'Therapeutic'),
('MedicalEntity', 'alternateName'),
('MedicalEntity', 'code'),
('MedicalEntity', 'guideline'),
('MedicalEntity', 'medicineSystem'),
('MedicalEntity', 'recognizingAuthority'),
('MedicalEntity', 'relevantSpecialty'),
('MedicalEntity', 'study'),
('MedicalEvidenceLevel', 'EvidenceLevelA'),
('MedicalEvidenceLevel', 'EvidenceLevelB'),
('MedicalEvidenceLevel', 'EvidenceLevelC'),
('MedicalGuideline', 'evidenceLevel'),
('MedicalGuideline', 'evidenceOrigin'),
('MedicalGuideline', 'guidelineDate'),
('MedicalGuideline', 'guidelineSubject'),
('MedicalGuidelineRecommendation', 'recommendationStrength'),
('MedicalImagingTechnique', 'CT'),
('MedicalImagingTechnique', 'MRI'),
('MedicalImagingTechnique', 'PET'),
('MedicalImagingTechnique', 'Ultrasound'),
('MedicalImagingTechnique', 'XRay'),
('MedicalObservationalStudy', 'studyDesign'),
('MedicalObservationalStudyDesign', 'CaseSeries'),
('MedicalObservationalStudyDesign', 'CohortStudy'),
('MedicalObservationalStudyDesign', 'CrossSectional'),
('MedicalObservationalStudyDesign', 'Longitudinal'),
('MedicalObservationalStudyDesign', 'Observational'),
('MedicalObservationalStudyDesign', 'Registry'),
('MedicalProcedure', 'followup'),
('MedicalProcedure', 'howPerformed'),
('MedicalProcedure', 'preparation'),
('MedicalProcedure', 'procedureType'),
('MedicalProcedureType', 'NoninvasiveProcedure'),
('MedicalProcedureType', 'PercutaneousProcedure'),
('MedicalProcedureType', 'SurgicalProcedure'),
('MedicalRiskEstimator', 'estimatesRiskOf'),
('MedicalRiskEstimator', 'includedRiskFactor'),
('MedicalRiskFactor', 'increasesRiskOf'),
('MedicalRiskScore', 'algorithm'),
('MedicalScholarlyArticle', 'citation'),
('MedicalScholarlyArticle', 'publicationType'),
('MedicalSign', 'identifyingExam'),
('MedicalSign', 'identifyingTest'),
('MedicalSignOrSymptom', 'cause'),
('MedicalSignOrSymptom', 'possibleTreatment'),
('MedicalSpecialty', 'alternateName'),
('MedicalSpecialty', 'Anesthesia'),
('MedicalSpecialty', 'Cardiovascular'),
('MedicalSpecialty', 'code'),
('MedicalSpecialty', 'CommunityHealth'),
('MedicalSpecialty', 'Dentistry'),
('MedicalSpecialty', 'Dermatologic'),
('MedicalSpecialty', 'DietNutrition'),
('MedicalSpecialty', 'Emergency'),
('MedicalSpecialty', 'Endocrine'),
('MedicalSpecialty', 'Gastroenterologic'),
('MedicalSpecialty', 'Genetic'),
('MedicalSpecialty', 'Geriatric'),
('MedicalSpecialty', 'guideline'),
('MedicalSpecialty', 'Gynecologic'),
('MedicalSpecialty', 'Hematologic'),
('MedicalSpecialty', 'Infectious'),
('MedicalSpecialty', 'LaboratoryScience'),
('MedicalSpecialty', 'medicineSystem'),
('MedicalSpecialty', 'Midwifery'),
('MedicalSpecialty', 'Musculoskeletal'),
('MedicalSpecialty', 'Neurologic'),
('MedicalSpecialty', 'Nursing'),
('MedicalSpecialty', 'Obstetric'),
('MedicalSpecialty', 'OccupationalTherapy'),
('MedicalSpecialty', 'Oncologic'),
('MedicalSpecialty', 'Optometic'),
('MedicalSpecialty', 'Otolaryngologic'),
('MedicalSpecialty', 'Pathology'),
('MedicalSpecialty', 'Pediatric'),
('MedicalSpecialty', 'Pharmacy'),
('MedicalSpecialty', 'Physiotherapy'),
('MedicalSpecialty', 'PlasticSurgery'),
('MedicalSpecialty', 'Podiatric'),
('MedicalSpecialty', 'PrimaryCare'),
('MedicalSpecialty', 'Psychiatric'),
('MedicalSpecialty', 'PublicHealth'),
('MedicalSpecialty', 'Pulmonary'),
('MedicalSpecialty', 'Radiograpy'),
('MedicalSpecialty', 'recognizingAuthority'),
('MedicalSpecialty', 'relevantSpecialty'),
('MedicalSpecialty', 'Renal'),
('MedicalSpecialty', 'RespiratoryTherapy'),
('MedicalSpecialty', 'Rheumatologic'),
('MedicalSpecialty', 'SpeechPathology'),
('MedicalSpecialty', 'study'),
('MedicalSpecialty', 'Surgical'),
('MedicalSpecialty', 'Toxicologic'),
('MedicalSpecialty', 'Urologic'),
('MedicalStudy', 'outcome'),
('MedicalStudy', 'population'),
('MedicalStudy', 'sponsor'),
('MedicalStudy', 'status'),
('MedicalStudy', 'studyLocation'),
('MedicalStudy', 'studySubject'),
('MedicalStudyStatus', 'ActiveNotRecruiting'),
('MedicalStudyStatus', 'Completed'),
('MedicalStudyStatus', 'EnrollingByInvitation'),
('MedicalStudyStatus', 'NotYetRecruiting'),
('MedicalStudyStatus', 'Recruiting'),
('MedicalStudyStatus', 'ResultsAvailable'),
('MedicalStudyStatus', 'ResultsNotAvailable'),
('MedicalStudyStatus', 'Suspended'),
('MedicalStudyStatus', 'Terminated'),
('MedicalStudyStatus', 'Withdrawn'),
('MedicalTest', 'affectedBy'),
('MedicalTest', 'normalRange'),
('MedicalTest', 'signDetected'),
('MedicalTest', 'usedToDiagnose'),
('MedicalTest', 'usesDevice'),
('MedicalTestPanel', 'subTest'),
('MedicalTherapy', 'adverseOutcome'),
('MedicalTherapy', 'contraindication'),
('MedicalTherapy', 'duplicateTherapy'),
('MedicalTherapy', 'indication'),
('MedicalTherapy', 'seriousAdverseOutcome'),
('MedicalTrial', 'phase'),
('MedicalTrial', 'trialDesign'),
('MedicalTrialDesign', 'DoubleBlindedTrial'),
('MedicalTrialDesign', 'InternationalTrial'),
('MedicalTrialDesign', 'MultiCenterTrial'),
('MedicalTrialDesign', 'OpenTrial'),
('MedicalTrialDesign', 'PlaceboControlledTrial'),
('MedicalTrialDesign', 'RandomizedTrial'),
('MedicalTrialDesign', 'SingleBlindedTrial'),
('MedicalTrialDesign', 'SingleCenterTrial'),
('MedicalTrialDesign', 'TripleBlindedTrial'),
('MedicalWebPage', 'aspect'),
('MedicineSystem', 'Ayurvedic'),
('MedicineSystem', 'Chiropractic'),
('MedicineSystem', 'Homeopathic'),
('MedicineSystem', 'Osteopathic'),
('MedicineSystem', 'TraditionalChinese'),
('MedicineSystem', 'WesternConventional'),
('MobileApplication', 'carrierRequirements'),
('Movie', 'actor'),
('Movie', 'actors'),
('Movie', 'director'),
('Movie', 'duration'),
('Movie', 'musicBy'),
('Movie', 'producer'),
('Movie', 'productionCompany'),
('Movie', 'trailer'),
('Muscle', 'action'),
('Muscle', 'antagonist'),
('Muscle', 'bloodSupply'),
('Muscle', 'insertion'),
('Muscle', 'nerve'),
('Muscle', 'origin'),
('MusicAlbum', 'byArtist'),
('MusicGroup', 'album'),
('MusicGroup', 'albums'),
('MusicGroup', 'musicGroupMember'),
('MusicGroup', 'track'),
('MusicGroup', 'tracks'),
('MusicPlaylist', 'numTracks'),
('MusicPlaylist', 'track'),
('MusicPlaylist', 'tracks'),
('MusicRecording', 'byArtist'),
('MusicRecording', 'duration'),
('MusicRecording', 'inAlbum'),
('MusicRecording', 'inPlaylist'),
('Nerve', 'branch'),
('Nerve', 'nerveMotor'),
('Nerve', 'sensoryUnit'),
('Nerve', 'sourcedFrom'),
('NewsArticle', 'dateline'),
('NewsArticle', 'printColumn'),
('NewsArticle', 'printEdition'),
('NewsArticle', 'printPage'),
('NewsArticle', 'printSection'),
('NutritionInformation', 'calories'),
('NutritionInformation', 'carbohydrateContent'),
('NutritionInformation', 'cholesterolContent'),
('NutritionInformation', 'fatContent'),
('NutritionInformation', 'fiberContent'),
('NutritionInformation', 'proteinContent'),
('NutritionInformation', 'saturatedFatContent'),
('NutritionInformation', 'servingSize'),
('NutritionInformation', 'sodiumContent'),
('NutritionInformation', 'sugarContent'),
('NutritionInformation', 'transFatContent'),
('NutritionInformation', 'unsaturatedFatContent'),
('Offer', 'aggregateRating'),
('Offer', 'availability'),
('Offer', 'itemCondition'),
('Offer', 'itemOffered'),
('Offer', 'price'),
('Offer', 'priceCurrency'),
('Offer', 'priceValidUntil'),
('Offer', 'review'),
('Offer', 'reviews'),
('Offer', 'seller'),
('OfferItemCondition', 'DamagedCondition'),
('OfferItemCondition', 'NewCondition'),
('OfferItemCondition', 'RefurbishedCondition'),
('OfferItemCondition', 'UsedCondition'),
('Organization', 'address'),
('Organization', 'aggregateRating'),
('Organization', 'contactPoint'),
('Organization', 'contactPoints'),
('Organization', 'email'),
('Organization', 'employee'),
('Organization', 'employees'),
('Organization', 'event'),
('Organization', 'events'),
('Organization', 'faxNumber'),
('Organization', 'founder'),
('Organization', 'founders'),
('Organization', 'foundingDate'),
('Organization', 'interactionCount'),
('Organization', 'location'),
('Organization', 'member'),
('Organization', 'members'),
('Organization', 'review'),
('Organization', 'reviews'),
('Organization', 'telephone'),
('PalliativeProcedure', 'followup'),
('PalliativeProcedure', 'howPerformed'),
('PalliativeProcedure', 'preparation'),
('PalliativeProcedure', 'procedureType'),
('PathologyTest', 'tissueSample'),
('Person', 'additionalName'),
('Person', 'address'),
('Person', 'affiliation'),
('Person', 'alumniOf'),
('Person', 'award'),
('Person', 'awards'),
('Person', 'birthDate'),
('Person', 'children'),
('Person', 'colleague'),
('Person', 'colleagues'),
('Person', 'contactPoint'),
('Person', 'contactPoints'),
('Person', 'deathDate'),
('Person', 'email'),
('Person', 'familyName'),
('Person', 'faxNumber'),
('Person', 'follows'),
('Person', 'gender'),
('Person', 'givenName'),
('Person', 'homeLocation'),
('Person', 'honorificPrefix'),
('Person', 'honorificSuffix'),
('Person', 'interactionCount'),
('Person', 'jobTitle'),
('Person', 'knows'),
('Person', 'memberOf'),
('Person', 'nationality'),
('Person', 'parent'),
('Person', 'parents'),
('Person', 'performerIn'),
('Person', 'relatedTo'),
('Person', 'sibling'),
('Person', 'siblings'),
('Person', 'spouse'),
('Person', 'telephone'),
('Person', 'workLocation'),
('Person', 'worksFor'),
('PhysicalActivity', 'associatedAnatomy'),
('PhysicalActivity', 'category'),
('PhysicalActivity', 'epidemiology'),
('PhysicalActivity', 'pathophysiology'),
('PhysicalActivityCategory', 'AerobicActivity'),
('PhysicalActivityCategory', 'AnaerobicActivity'),
('PhysicalActivityCategory', 'Balance'),
('PhysicalActivityCategory', 'Flexibility'),
('PhysicalActivityCategory', 'LeisureTimeActivity'),
('PhysicalActivityCategory', 'OccupationalActivity'),
('PhysicalActivityCategory', 'StrengthTraining'),
('PhysicalExam', 'Abdomen'),
('PhysicalExam', 'Appearance'),
('PhysicalExam', 'Cardiovascular'),
('PhysicalExam', 'Ear'),
('PhysicalExam', 'Eye'),
('PhysicalExam', 'Genitourinary'),
('PhysicalExam', 'Head'),
('PhysicalExam', 'Lung'),
('PhysicalExam', 'Musculoskeletal'),
('PhysicalExam', 'Neck'),
('PhysicalExam', 'Neuro'),
('PhysicalExam', 'Nose'),
('PhysicalExam', 'Skin'),
('PhysicalExam', 'Throat'),
('PhysicalExam', 'VitalSign'),
('Physician', 'availableService'),
('Physician', 'hospitalAffiliation'),
('Physician', 'medicalSpecialty'),
('Place', 'address'),
('Place', 'aggregateRating'),
('Place', 'containedIn'),
('Place', 'event'),
('Place', 'events'),
('Place', 'faxNumber'),
('Place', 'geo'),
('Place', 'interactionCount'),
('Place', 'map'),
('Place', 'maps'),
('Place', 'photo'),
('Place', 'photos'),
('Place', 'review'),
('Place', 'reviews'),
('Place', 'telephone'),
('PoliceStation', 'branchOf'),
('PoliceStation', 'contactPoint'),
('PoliceStation', 'contactPoints'),
('PoliceStation', 'currenciesAccepted'),
('PoliceStation', 'email'),
('PoliceStation', 'employee'),
('PoliceStation', 'employees'),
('PoliceStation', 'founder'),
('PoliceStation', 'founders'),
('PoliceStation', 'foundingDate'),
('PoliceStation', 'location'),
('PoliceStation', 'member'),
('PoliceStation', 'members'),
('PoliceStation', 'paymentAccepted'),
('PoliceStation', 'priceRange'),
('PostalAddress', 'addressCountry'),
('PostalAddress', 'addressLocality'),
('PostalAddress', 'addressRegion'),
('PostalAddress', 'postalCode'),
('PostalAddress', 'postOfficeBoxNumber'),
('PostalAddress', 'streetAddress'),
('Product', 'aggregateRating'),
('Product', 'brand'),
('Product', 'manufacturer'),
('Product', 'model'),
('Product', 'offers'),
('Product', 'productID'),
('Product', 'review'),
('Product', 'reviews'),
('Rating', 'bestRating'),
('Rating', 'ratingValue'),
('Rating', 'worstRating'),
('Recipe', 'cookingMethod'),
('Recipe', 'cookTime'),
('Recipe', 'ingredients'),
('Recipe', 'nutrition'),
('Recipe', 'prepTime'),
('Recipe', 'recipeCategory'),
('Recipe', 'recipeCuisine'),
('Recipe', 'recipeInstructions'),
('Recipe', 'recipeYield'),
('Recipe', 'totalTime'),
('Review', 'itemReviewed'),
('Review', 'reviewBody'),
('Review', 'reviewRating'),
('SoftwareApplication', 'applicationCategory'),
('SoftwareApplication', 'applicationSubCategory'),
('SoftwareApplication', 'applicationSuite'),
('SoftwareApplication', 'countriesNotSupported'),
('SoftwareApplication', 'countriesSupported'),
('SoftwareApplication', 'device'),
('SoftwareApplication', 'downloadUrl'),
('SoftwareApplication', 'featureList'),
('SoftwareApplication', 'fileFormat'),
('SoftwareApplication', 'fileSize'),
('SoftwareApplication', 'installUrl'),
('SoftwareApplication', 'memoryRequirements'),
('SoftwareApplication', 'operatingSystem'),
('SoftwareApplication', 'permissions'),
('SoftwareApplication', 'processorRequirements'),
('SoftwareApplication', 'releaseNotes'),
('SoftwareApplication', 'requirements'),
('SoftwareApplication', 'screenshot'),
('SoftwareApplication', 'softwareVersion'),
('SoftwareApplication', 'storageRequirements'),
('StadiumOrArena', 'branchOf'),
('StadiumOrArena', 'contactPoint'),
('StadiumOrArena', 'contactPoints'),
('StadiumOrArena', 'currenciesAccepted'),
('StadiumOrArena', 'email'),
('StadiumOrArena', 'employee'),
('StadiumOrArena', 'employees'),
('StadiumOrArena', 'founder'),
('StadiumOrArena', 'founders'),
('StadiumOrArena', 'foundingDate'),
('StadiumOrArena', 'location'),
('StadiumOrArena', 'member'),
('StadiumOrArena', 'members'),
('StadiumOrArena', 'paymentAccepted'),
('StadiumOrArena', 'priceRange'),
('SuperficialAnatomy', 'associatedPathophysiology'),
('SuperficialAnatomy', 'relatedAnatomy'),
('SuperficialAnatomy', 'relatedCondition'),
('SuperficialAnatomy', 'relatedTherapy'),
('SuperficialAnatomy', 'significance'),
('TherapeuticProcedure', 'followup'),
('TherapeuticProcedure', 'howPerformed'),
('TherapeuticProcedure', 'preparation'),
('TherapeuticProcedure', 'procedureType'),
('Thing', 'additionalType'),
('Thing', 'description'),
('Thing', 'image'),
('Thing', 'name'),
('Thing', 'url'),
('TVEpisode', 'actor'),
('TVEpisode', 'actors'),
('TVEpisode', 'director'),
('TVEpisode', 'episodeNumber'),
('TVEpisode', 'musicBy'),
('TVEpisode', 'partOfSeason'),
('TVEpisode', 'partOfTVSeries'),
('TVEpisode', 'producer'),
('TVEpisode', 'productionCompany'),
('TVEpisode', 'trailer'),
('TVSeason', 'endDate'),
('TVSeason', 'episode'),
('TVSeason', 'episodes'),
('TVSeason', 'numberOfEpisodes'),
('TVSeason', 'partOfTVSeries'),
('TVSeason', 'seasonNumber'),
('TVSeason', 'startDate'),
('TVSeason', 'trailer'),
('TVSeries', 'actor'),
('TVSeries', 'actors'),
('TVSeries', 'director'),
('TVSeries', 'endDate'),
('TVSeries', 'episode'),
('TVSeries', 'episodes'),
('TVSeries', 'musicBy'),
('TVSeries', 'numberOfEpisodes'),
('TVSeries', 'producer'),
('TVSeries', 'productionCompany'),
('TVSeries', 'season'),
('TVSeries', 'seasons'),
('TVSeries', 'startDate'),
('TVSeries', 'trailer'),
('UserComments', 'commentText'),
('UserComments', 'commentTime'),
('UserComments', 'creator'),
('UserComments', 'discusses'),
('UserComments', 'replyToUrl'),
('Vein', 'drainsTo'),
('Vein', 'regionDrained'),
('Vein', 'tributary'),
('VideoObject', 'caption'),
('VideoObject', 'productionCompany'),
('VideoObject', 'thumbnail'),
('VideoObject', 'transcript'),
('VideoObject', 'videoFrameSize'),
('VideoObject', 'videoQuality'),
('WebApplication', 'browserRequirements'),
('WebPage', 'breadcrumb'),
('WebPage', 'isPartOf'),
('WebPage', 'lastReviewed'),
('WebPage', 'mainContentOfPage'),
('WebPage', 'primaryImageOfPage'),
('WebPage', 'relatedLink'),
('WebPage', 'reviewedBy'),
('WebPage', 'significantLink'),
('WebPage', 'significantLinks'),
('WebPage', 'specialty');